GNU bug report logs - #25682
25.1; font-lock: fontifying too slow in some modes on very long lines

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Ryan B <public@HIDDEN>; dated Fri, 10 Feb 2017 21:45:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 25682 <at> debbugs.gnu.org:


Received: (at 25682) by debbugs.gnu.org; 31 Oct 2019 17:32:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 31 13:32:29 2019
Received: from localhost ([127.0.0.1]:54232 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iQEJB-0007vl-C6
	for submit <at> debbugs.gnu.org; Thu, 31 Oct 2019 13:32:29 -0400
Received: from quimby.gnus.org ([80.91.231.51]:48844)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iQEJ9-0007tw-3A
 for 25682 <at> debbugs.gnu.org; Thu, 31 Oct 2019 13:32:27 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1iQEJ4-00037W-Um; Thu, 31 Oct 2019 18:32:25 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#25682: 25.1; font-lock: fontifying too slow in some modes
 on very long lines
References: <CA+caGh9CW_4UBri3xngZg9qkO8xunLUGmpA7HpOPVQGSOuYUtQ@HIDDEN>
 <87wock6dxy.fsf@HIDDEN> <831rusomgw.fsf@HIDDEN>
Date: Thu, 31 Oct 2019 18:32:22 +0100
In-Reply-To: <831rusomgw.fsf@HIDDEN> (Eli Zaretskii's message of "Thu, 31 Oct
 2019 19:26:23 +0200")
Message-ID: <87imo46ct5.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eli Zaretskii <eliz@HIDDEN> writes: >> Running M-x
 compilation-mode
 takes about five seconds for me, but this >> laptop is pretty fast. > > Yours
 is an optimized build, right? Yup. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 25682
Cc: 25682 <at> debbugs.gnu.org, public@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> Running M-x compilation-mode takes about five seconds for me, but this
>> laptop is pretty fast.
>
> Yours is an optimized build, right?

Yup.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25682; Package emacs. Full text available.

Message received at 25682 <at> debbugs.gnu.org:


Received: (at 25682) by debbugs.gnu.org; 31 Oct 2019 17:26:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 31 13:26:32 2019
Received: from localhost ([127.0.0.1]:54220 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iQEDQ-0005sK-7L
	for submit <at> debbugs.gnu.org; Thu, 31 Oct 2019 13:26:32 -0400
Received: from eggs.gnu.org ([209.51.188.92]:38718)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iQEDO-0005s7-92
 for 25682 <at> debbugs.gnu.org; Thu, 31 Oct 2019 13:26:30 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:57660)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iQEDI-0005pM-7Q; Thu, 31 Oct 2019 13:26:24 -0400
Received: from [176.228.60.248] (port=1048 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iQEDH-0007qF-If; Thu, 31 Oct 2019 13:26:24 -0400
Date: Thu, 31 Oct 2019 19:26:23 +0200
Message-Id: <831rusomgw.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-reply-to: <87wock6dxy.fsf@HIDDEN> (message from Lars Ingebrigtsen on Thu, 
 31 Oct 2019 18:07:53 +0100)
Subject: Re: bug#25682: 25.1;
 font-lock: fontifying too slow in some modes on very long lines
References: <CA+caGh9CW_4UBri3xngZg9qkO8xunLUGmpA7HpOPVQGSOuYUtQ@HIDDEN>
 <87wock6dxy.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 25682
Cc: 25682 <at> debbugs.gnu.org, public@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Date: Thu, 31 Oct 2019 18:07:53 +0100
> Cc: 25682 <at> debbugs.gnu.org
> 
> > 1. put the single long line under the === below (18572 chars long) into a file
> > 2. run emacs -Q
> > 3. type C-x C-f <filename> RET to open the file
> > 4. type M-x compilation-mode RET
> >
> > this consistently hangs emacs for 9-10s for me on modern hardware, a 2014
> > retina macbook pro.
> 
> The example was corrupted in transit (line-folded), so I've included a
> fixed-up version as an attachment here.

The profile is below.

> Running M-x compilation-mode takes about five seconds for me, but this
> laptop is pretty fast.

Yours is an optimized build, right?

- ...                                                            3375  98%
 - compilation--ensure-parse                                     3362  98%
  - save-excursion                                               3362  98%
   - if                                                          3362  98%
    - progn                                                      3362  98%
     - let                                                       3362  98%
      - let*                                                     3362  98%
       - unwind-protect                                          3362  98%
        - progn                                                  3362  98%
         - compilation--parse-region                             3362  98%
          - if                                                   3362  98%
           - compilation-parse-errors                            3362  98%
            - let                                                3362  98%
             - while                                             3362  98%
              - let                                              3362  98%
               - let                                             3362  98%
                  while                                          3362  98%
   Automatic GC                                                    13   0%
- command-execute                                                  50   1%
 - call-interactively                                              50   1%
  - funcall-interactively                                          48   1%
   - execute-extended-command                                      48   1%
    - execute-extended-command--shorter                            45   1%
     - completion-try-completion                                   45   1%
      - completion--nth-completion                                 45   1%
       - completion--some                                          45   1%
        - #<compiled -0x1ffffffff85d3920>                          45   1%
         - completion-pcm-try-completion                           28   0%
          - completion-pcm--find-all-completions                   26   0%
             completion-pcm--all-completions                       26   0%
          - completion-pcm--merge-try                               2   0%
             completion-pcm--merge-completions                      1   0%
           completion-basic-try-completion                         17   0%
    - command-execute                                               1   0%
     - call-interactively                                           1   0%
      - funcall-interactively                                       1   0%
       - compilation-mode                                           1   0%
        - run-mode-hooks                                            1   0%
         - hack-local-variables                                     1   0%
          - hack-dir-local-variables                                1   0%
           - dir-locals-find-file                                   1   0%
            - locate-dominating-file                                1   0%
               dir-locals--all-files                                1   0%
    - sit-for                                                       1   0%
       redisplay                                                    1   0%
  - byte-code                                                       2   0%
   - read-extended-command                                          2   0%
    - completing-read                                               2   0%
     - completing-read-default                                      2   0%
        read-from-minibuffer                                        2   0%




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25682; Package emacs. Full text available.

Message received at 25682 <at> debbugs.gnu.org:


Received: (at 25682) by debbugs.gnu.org; 31 Oct 2019 17:08:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 31 13:08:02 2019
Received: from localhost ([127.0.0.1]:54192 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iQDvV-0003OC-9F
	for submit <at> debbugs.gnu.org; Thu, 31 Oct 2019 13:08:02 -0400
Received: from quimby.gnus.org ([80.91.231.51]:48546)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iQDvS-0003Ny-IT
 for 25682 <at> debbugs.gnu.org; Thu, 31 Oct 2019 13:07:59 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1iQDvO-0002oY-73; Thu, 31 Oct 2019 18:07:56 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Ryan B <public@HIDDEN>
Subject: Re: 25.1; font-lock: fontifying too slow in some modes on very long
 lines
References: <CA+caGh9CW_4UBri3xngZg9qkO8xunLUGmpA7HpOPVQGSOuYUtQ@HIDDEN>
Date: Thu, 31 Oct 2019 18:07:53 +0100
In-Reply-To: <CA+caGh9CW_4UBri3xngZg9qkO8xunLUGmpA7HpOPVQGSOuYUtQ@HIDDEN>
 (Ryan B.'s message of "Fri, 10 Feb 2017 13:33:52 -0800")
Message-ID: <87wock6dxy.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Ryan B <public@HIDDEN> writes: > here are steps that
 reproduce
 this, with gnu emacs 25.1.1 on mac os x: > > 1. put the single long line
 under the === below (18572 chars long) into a file > 2. run emacs -Q > 3.
 type C-x C-f <filenam [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 25682
Cc: 25682 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

Ryan B <public@HIDDEN> writes:

> here are steps that reproduce this, with gnu emacs 25.1.1 on mac os x:
>
> 1. put the single long line under the === below (18572 chars long) into a file
> 2. run emacs -Q
> 3. type C-x C-f <filename> RET to open the file
> 4. type M-x compilation-mode RET
>
> this consistently hangs emacs for 9-10s for me on modern hardware, a 2014
> retina macbook pro.

The example was corrupted in transit (line-folded), so I've included a
fixed-up version as an attachment here.

Running M-x compilation-mode takes about five seconds for me, but this
laptop is pretty fast.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no

--=-=-=
Content-Type: text/plain
Content-Disposition: attachment; filename=long.txt
Content-Transfer-Encoding: quoted-printable

[2017-02-10T07:35:45Z django.db.backends] DEBUG: (0.057) SELECT "xxx_xxxxxx=
_xxxxxxxx"."xx", "xxx_xxxxxx_xxxxxxxx"."xxxxxxx_xx", "xxx_xxxxxx_xxxxxxxx".=
"xxxxxxx_xx", "xxx_xxxxxx_xxxxxxxx"."xxxxxxxx_xxxxx", "xxx_xxxxxx_xxxxxxxx"=
."xxxxxxxx_xx_xx", "xxx_xxxxxx_xxxxxxxx"."xxxxxxxx_xx", "xxx_xxxxxx_xxxxxxx=
x"."xxxxxxxx_xx_xx", "xxx_xxxxxx_xxxxxxxx"."xxxxxxxx_xx", "xxx_xxxxxx_xxxxx=
xxx"."xxxxxxxxx_xxxx", "xxx_xxxxxx_xxxxxxxx"."xxxxx_xxxxxx", "xxx_xxxxxx_xx=
xxxxxx"."xxxx_xx", "xxx_xxxxxx_xxxxxxxx"."xxxxxxxxx_xxxxx_xx", "xxx_xxxxxx_=
xxxxxxxx"."xxxxxxxxxxx_xxxx_xx", "xxx_xxxxxx_xxxxxxxx"."xxxx_xxxx", "xxx_xx=
xxxx_xxxxxxxx"."xxx_xxxxx_xxxxx", "xxx_xxxxxx_xxxxxxxx"."xxxxx_xxxxx_xxxxx"=
, "xxx_xxxxxx_xxxxxxxx"."xxxxx_xxxxx_xxxxxx", "xxx_xxxxxx_xxxxxxxx"."xxxxxx=
xx", "xxx_xxxxxx_xxxxxxxx"."xxxxx_xx_xxx", "xxx_xxxxxx_xxxxxxxx"."xxxx_xxx_=
xxxxxxx", "xxx_xxxxxx_xxxxxxxx"."xxxxxxx_xx", "xxx_xxxxxx_xxxxxxxx"."xxxxxx=
xx_xx", "xxx_xxxxxx_xxxxxxxx"."xxxxx", "xxx_xxxxxx_xxxxxxxx"."xxxxx_xxxxxx_=
xx", "xxx_xxxxxx_xxxxxxxx"."xxxxxxxxx_xx", MAX ("xxx_xxxxxx_xxxxxxxxxxxxxxx=
xxx"."xx") AS "xxxxxxxx_xx", COUNT(DISTINCT "xxx_xxxxxx_xxxxxxxx_xxxxxxx"."=
xxxxxx_xx") AS "xxx_xxxxxxx", MAX ("xxxxxxx_xxxxxx"."xxxx_xx") AS "xxxxxx_x=
xxx_xx", STRING_AGG ("xxxxxxx_xxxxxx"."xxx_xxxxxxx", ' ') AS "xxx_xxxxxxxx"=
, "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xx", "xxxxxxxx_xxxxxxxxxx_xxxxxxxxx=
xxxxx"."xxxxxxx_xx", "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxx_xx", "xx=
xxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxxxxxx_xxxxxx", "xxxxxxxx_xxxxxxxxx=
x_xxxxxxxxxxxxxx"."xxxxxx_xx", "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxx=
x_xxxxxxx_xx", "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxxx_xxxxxxxxx_xxx=
xxxx_xx", "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxx_xx_xx", "xxxxxxxx_xx=
xxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxx_xxxxxxx_xx", "xxxxxxxx_xxxxxxxxxx_xxxxxxx=
xxxxxxx"."xxxx_xxxxxxxxx", "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xx_xxxxxxx=
x_xxxxx", "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxx_xx_xxxxxxx", "xxxxx=
xxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxx_xxxxx_xx_xxxx", "xxxxxxxx_xxxxxxxxx=
x_xxxxxxxxxxxxxx"."xxxxxxx_xxx_xxxx_xxxxxxxxxx", "xxxxxxxx_xxxxxxxxxx_xxxxx=
xxxxxxxxx"."xxxxxxx_xxxxxxxxxx_xx_xxxxxxxx", "xxxxxxxx_xxxxxxxxxx_xxxxxxxxx=
xxxxx"."xxxxxxx_xxxxxxxxxx_xx_xxxxxxxx", "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxx=
x"."xx_xxxxxxxx_xxxxxxx_xxxx_xx_xxxxxx_xxxxxxx_xxxxxx", "xxxxxxxx_xxxxxxxxx=
x_xxxxxxxxxxxxxx"."xx_xxxxxxxx_xxxxxxx_xxxx_xxx_xxxxxxxxxx_xxxxxxx", "xxxxx=
xxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xx_xxxxx_xxx_xxxxxxxx_xxxxx_xx_xxxxxx", "xx=
xxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxxx_xxxx", "xxxxxxxx_xxxxxxxxxx_xxx=
xxxxxxxxxxx"."xxx_xxxxx_xxxxxxxx_xxxxxxxxxx", "xxxxxxxx_xxxxxxxxxx_xxxxxxxx=
xxxxxx"."xxxxxxxx_xxxxxxxx", "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxx_xxxx=
x_xxxxxx", "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxx_xxxxxx", "xxxxxxxx_x=
xxxxxxxxx_xxxxxxxxxxxxxx"."xxxx_xxxxxx_xxxxx", "xxxxxxxx_xxxxxxxxxx_xxxxxxx=
xxxxxxx"."xxxx", "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxx_xxxxxxx", "xxxx=
xxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxx_xxx_xxxxxxx", "xxxxxxxx_xxxxxxxxxx_xx=
xxxxxxxxxxxx"."xxxxxx_xxxxxxxxxxx", "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."x=
xxxxxxx_xx", "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxx", "xxxxxxxx_xxxxxx=
xxxx_xxxxxxxxxxxxxx"."xxxxxxxxx_xx", "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."=
xxxx_xx", "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxxxx_xx", "xxxxxxxx_xx=
xxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxxx_xxxxxx_x3_xxxx", "xxxxxxxx_xxxxxxxxxx_xx=
xxxxxxxxxxxxx"."xx", "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxxxx_xx", "x=
xxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxxxx_xx", "xxxxxxxx_xxxxxxxxxx_xxxx=
xxxxxxxxxxx"."xxx", "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxx_xxxx", "xx=
xxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxx_xxxx", "xxxxxxxx_xxxxxxxxxx_xxxxxx=
xxxxxxxxx"."xxxxx", "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxx_xxxxxx", "=
xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxx_xxxxxx", "xxxxxxxx_xxxxxxxxxx_xxx=
xxxxxxxxxxxx"."xxxxxxx_xxxx", "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxxx=
xxxxx_xxxx", "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxx", "xxxxxxxx_xxxxxx=
xxxx_xxxxxxxxxxxxxxx"."xxxxx", "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxx=
xx_xxxx1", "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxxxx", "xxxxxxxx_xxxxx=
xxxxx_xxxxxxxxxxxxxxx"."xxxxxxx_xxxxxxx_xxxxxxx_xxx", "xxxxxxxx_xxxxxxxxxx_=
xxxxxxxxxxxxxxx"."xxxx_xx", "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxxxxx=
xxxx_xx", "xxxxxxxxxx_xxxxxxxxxxxxxxxxxxxxx"."xx", "xxxxxxxxxx_xxxxxxxxxxxx=
xxxxxxxxx"."xxxxxxx_xx", "xxxxxxxxxx_xxxxxxxxxxxxxxxxxxxxx"."xxxxxxx_xx", "=
xxxxxxxxxx_xxxxxxxxxxxxxxxxxxxxx"."xxxxx", "xxxxxxxxxx_xxxxxxxxxxxxxxxxxxxx=
x"."xxxxxxxxx_xx", "xxxxxxxxxx_xxxxxxxxxxxxxxxxxxxxx"."xxxxxxxx_xx_xx", "xx=
xxxxxxxx_xxxxxxxxxxxxxxxxxxxxx"."xxxxxxxx_xx", "xxxxxxxxxx_xxxxxxxxxxxxxxxx=
x"."xx", "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxxxx_xx", "xxxxxxxxxx_xxxxxxxxx=
xxxxxxxx"."xxxxxxx_xx", "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxx_xxxx", "xxxxx=
xxxxx_xxxxxxxxxxxxxxxxx"."xxxx_xxxx", "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxx=
_xxxxxx", "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxx_xxxxxx", "xxxxxxxxxx_xxxxxxxx=
xxxxxxxxx"."xxxxxxx_xxxx", "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxxxxxxxx_xxxx=
", "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxxxxxxxx_xx", "xxxxxxxxxx_xxxxxxxxxxx=
xxxxxx"."xxxxx", "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxx", "xxxxxxxxxx_xxxxxxxx=
xxxxxxxxx"."xxxxxx", "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxxxx_xxxx1", "xxxxx=
xxxxx_xxxxxxxxxxxxxxxxx"."xxxxxxx_xxxx2", "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."x=
xxxxxx_xxxx", "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxxxx_xxxxx", "xxxxxxxxxx_x=
xxxxxxxxxxxxxxxx"."xxxxxxx_xxxxxxx", "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxxx=
x_xxxxxx_xxxx", "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxx", T11."xx", T11."xxxx=
xxxx", T11."xxxx_xxxxx", T11."xx_xxxxxxxxx", T11."xxxxx", T11."xxxxxxxxxxx_=
xxxxxxx_xxxxx", T11."xxxxxxx_xx", T11."xxxxx_xxxx", T11."xxxx_xxxx", T11."x=
xxxxxxx", T11."xxxxxx", T11."xxxxx_xxxxxx", T11."xxxxxxx_xxxxxxx_xx", T11."=
xxxxxxx_xxxxxxxx_xxxxxxx_xx", T11."xxxxxxx_xx_xxxxx", T11."xxx_xxx_xxx_xxxx=
xxxx", T11."xx_xxxxx", T11."xxxxx_xxxxx_xxxxx_xxxxxxx", T11."xx_xxxxxx", T1=
1."xx_xxxxx", T11."xxxxxxx_xx", T11."xxxxxxx_xx", T11."xxxxxxx_xx", T11."xx=
xx_xxxxx_xxxxxxx", T11."xxxxxxxxxxx_xxxxxx_xxxxxx", T12."xx", T12."xxxxxxx_=
xx", T12."xxxxxxx_xx", T12."xxx", T12."xxxxx_xxxx", T12."xxxx_xxxx", T12."x=
xxxx", T12."xxxxx_xxxxxx", T12."xxx_xxxxxx", T12."xxxxxxx_xxxx", T12."xxxxx=
xxxxxx_xxxx", T12."xxxx", T12."xxxxx", T12."xxxxxxx_xxxx1", T12."xxxxxxx", =
T12."xxxxxxx_xxxxxxx_xxxxxxx_xxx", T12."xxxx_xx", T12."xxxxxxxxxxxx_xx", "x=
xxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xx", "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxx=
xxxxx"."xxxxxxx_xx", "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxxx_xx", "=
xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxxxx_xxxxxxx_xx", "xxxxxxxx_xxxx=
xxxxxx_xxxxxxxxxxxxxxxx"."xxxxxxx_xxxxxxx_xxxxxxxxxx_xx_xxxxxxxx", "xxxxxxx=
x_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxxx_xxxxxxx_xxxxx_xx_xxxx", "xxxxxxxx_x=
xxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxxx_xxxx_xx", "xxxxxxxx_xxxxxxxxxx_xxxxxxx=
xxxxxxxxx"."xxxxxxx_xxxx_xxxxxxxxx", "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"=
."xxxxxx_xxxxxxxxxxx", "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxxx_xxxx=
xxx", "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxx_xxxx", "xxxxxxxx_xxxxxx=
xxxx_xxxxxxxxxxxxxxxx"."xxxxxxxx_xxxxx_xxxx", "xxxxxxxx_xxxxxxxxxx_xxxxxxxx=
xxxxxxxx"."xxxx_xxxxxxxxxx_xxxx", "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."x=
xxx_xxx_xxxxxxx", "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxxx_xxxxxxx_x=
xxxxxx_xxx", "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xx_xxxxxxxx_xxxxxxxx",=
 "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxx_xxxxx_xxxxxx", "xxxxxxxx_xxxx=
xxxxxx_xxxxxxxxxxxxxxxx"."xxxxxxxxxxx_xxxx", "xxx_xxxxxx_xxxxxxxxxxxxxxx"."=
xx", "xxx_xxxxxx_xxxxxxxxxxxxxxx"."xxxxxxx_xx", "xxx_xxxxxx_xxxxxxxxxxxxxxx=
"."xxxxxxx_xx", "xxx_xxxxxx_xxxxxxxxxxxxxxx"."xxxx", "xxx_xxxxxx_xxxxxxxxxx=
xxxxx"."xxxxx_xxxxx", "xxx_xxxxxx_xxxxxxxxxxxxxxx"."xxxxxxx_xxxxxxxx", "xxx=
_xxxxxx_xxxxxxxxxxxxxxx"."xxxxxxxxxx_xxxx", "xxx_xxxxxx_xxxxxxxxxxxxxxx"."x=
xxxxxx", "xxx_xxxxxx_xxxxxxxxxxxxxxx"."xxx_xxxxxxxxxxx", "xxx_xxxxxx_xxxxxx=
xxxxxxxxx"."xxxxxxxx_xx", "xxx_xxxxxx_xxxxxxxxxxxxxxx"."xx_xxxxxxx", "xxx_x=
xxxxx_xxxxxxxxxxxxxxx"."xxxxxxx", "xxxxxxxx_xxxxxxxx"."xx", "xxxxxxxx_xxxxx=
xxx"."xxxxxxx_xx", "xxxxxxxx_xxxxxxxx"."xxxxxxx_xx", "xxxxxxxx_xxxxxxxx"."x=
xxxxxxx_xxxxxx", "xxxxxxxx_xxxxxxxx"."xxxx_xx", "xxxxxxxx_xxxxxxxx"."xxxxxx=
x_xx", "xxxxxxxx_xxxxxxxx"."xxxxxxxx_xxxx_xxxxx", "xxxxxxxx_xxxxxxxx"."xxxx=
xxxx_xxxxxxx_xx", "xxxxxxxx_xxxxxxxx"."xxxxxxxx_xxxxx_xxxxx", "xxxxxxxx_xxx=
xxxxx"."xxxx_xx", "xxxxxxxx_xxxxxxxx"."xxxxxxxxx_xxxxx_xx", "xxxxxxxx_xxxxx=
xxx"."xx_xxxx_xx", "xxxxxxxx_xxxxxxxx"."xxx_xxx_xxxx" FROM "xxx_xxxxxx_xxxx=
xxxx" LEFT OUTER JOIN "xxx_xxxxxx_xxxxxxxxxxxxxxx" ON ( "xxx_xxxxxx_xxxxxxx=
x"."xxxxxxxxxxx_xxxx_xx" =3D "xxx_xxxxxx_xxxxxxxxxxxxxxx"."xx" ) LEFT OUTER=
 JOIN "xxx_xxxxxx_xxxxxxxxxxxxxxxxxx" ON ( "xxx_xxxxxx_xxxxxxxx"."xx" =3D "=
xxx_xxxxxx_xxxxxxxxxxxxxxxxxx"."xxx_xxxxx_xx" ) LEFT OUTER JOIN "xxx_xxxxxx=
_xxxxxxxx_xxxxxxx" ON ( "xxx_xxxxxx_xxxxxxxx"."xx" =3D "xxx_xxxxxx_xxxxxxxx=
_xxxxxxx"."xxxxxxxx_xx" ) LEFT OUTER JOIN "xxxxxxx_xxxxxx" ON ( "xxx_xxxxxx=
_xxxxxxxx_xxxxxxx"."xxxxxx_xx" =3D "xxxxxxx_xxxxxx"."xx" ) LEFT OUTER JOIN =
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx" ON ( "xxx_xxxxxx_xxxxxxxx"."xxxxxxxxx_=
xxxxx_xx" =3D "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xx" ) LEFT OUTER JOIN "=
xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx" ON ( "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxx=
xx"."xxxxxxxx_xxxxxxxxx_xxxxxxx_xx" =3D "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx=
x"."xx" ) LEFT OUTER JOIN "xxxxxxxxxx_xxxxxxxxxxxxxxxxxxxxx" ON ( "xxxxxxxx=
_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxxxxxxxxx_xx" =3D "xxxxxxxxxx_xxxxxxxxxxxx=
xxxxxxxxx"."xx" ) LEFT OUTER JOIN "xxxxxxxxxx_xxxxxxxxxxxxxxxxx" ON ( "xxxx=
xxxxxx_xxxxxxxxxxxxxxxxxxxxx"."xxxxxxxxx_xx" =3D "xxxxxxxxxx_xxxxxxxxxxxxxx=
xxx"."xx" ) LEFT OUTER JOIN "xxxxx_xxxxxxxxx" T11 ON ( "xxxxxxxx_xxxxxxxxxx=
_xxxxxxxxxxxxxx"."xxxxxx_xx_xx" =3D T11."xx" ) LEFT OUTER JOIN "xxxxxxxx_xx=
xxxxxxxx_xxxxxxxxxxxxxxx" T12 ON ( T11."xx" =3D T12."xxxx_xx" ) LEFT OUTER =
JOIN "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx" ON ( T12."xx" =3D "xxxxxxxx_xxx=
xxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxxxx_xxxxxxx_xx" ) LEFT OUTER JOIN "xxxxxxxx=
_xxxxxxxx" ON ( "xxx_xxxxxx_xxxxxxxx"."xxxxxxxx_xx" =3D "xxxxxxxx_xxxxxxxx"=
."xx" ) WHERE (NOT ("xxx_xxxxxx_xxxxxxxx"."xxxxx" =3D 'xxxxxxxxx') AND NOT =
("xxx_xxxxxx_xxxxxxxx"."xxxxxxx_xx" < '2015-04-20T00:00:00-07:00'::xxxxxxxx=
xxx) AND NOT ("xxx_xxxxxx_xxxxxxxxxxxxxxx"."xxxxxxx" IN ('xx', 'xx') AND "x=
xx_xxxxxx_xxxxxxxxxxxxxxx"."xxxxxxx" IS NOT NULL)) GROUP BY "xxx_xxxxxx_xxx=
xxxxx"."xx", "xxx_xxxxxx_xxxxxxxx"."xxxxxxx_xx", "xxx_xxxxxx_xxxxxxxx"."xxx=
xxxx_xx", "xxx_xxxxxx_xxxxxxxx"."xxxxxxxx_xxxxx", "xxx_xxxxxx_xxxxxxxx"."xx=
xxxxxx_xx_xx", "xxx_xxxxxx_xxxxxxxx"."xxxxxxxx_xx", "xxx_xxxxxx_xxxxxxxx"."=
xxxxxxxx_xx_xx", "xxx_xxxxxx_xxxxxxxx"."xxxxxxxx_xx", "xxx_xxxxxx_xxxxxxxx"=
."xxxxxxxxx_xxxx", "xxx_xxxxxx_xxxxxxxx"."xxxxx_xxxxxx", "xxx_xxxxxx_xxxxxx=
xx"."xxxx_xx", "xxx_xxxxxx_xxxxxxxx"."xxxxxxxxx_xxxxx_xx", "xxx_xxxxxx_xxxx=
xxxx"."xxxxxxxxxxx_xxxx_xx", "xxx_xxxxxx_xxxxxxxx"."xxxx_xxxx", "xxx_xxxxxx=
_xxxxxxxx"."xxx_xxxxx_xxxxx", "xxx_xxxxxx_xxxxxxxx"."xxxxx_xxxxx_xxxxx", "x=
xx_xxxxxx_xxxxxxxx"."xxxxx_xxxxx_xxxxxx", "xxx_xxxxxx_xxxxxxxx"."xxxxxxxx",=
 "xxx_xxxxxx_xxxxxxxx"."xxxxx_xx_xxx", "xxx_xxxxxx_xxxxxxxx"."xxxx_xxx_xxxx=
xxx", "xxx_xxxxxx_xxxxxxxx"."xxxxxxx_xx", "xxx_xxxxxx_xxxxxxxx"."xxxxxxxx_x=
x", "xxx_xxxxxx_xxxxxxxx"."xxxxx", "xxx_xxxxxx_xxxxxxxx"."xxxxx_xxxxxx_xx",=
 "xxx_xxxxxx_xxxxxxxx"."xxxxxxxxx_xx", "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"=
."xx", "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxx_xx", "xxxxxxxx_xxxxxxx=
xxx_xxxxxxxxxxxxxx"."xxxxxxx_xx", "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxx=
xxxxxxxx_xxxxxx", "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxx_xx", "xxxxxx=
xx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxx_xxxxxxx_xx", "xxxxxxxx_xxxxxxxxxx_xx=
xxxxxxxxxxxx"."xxxxxxxx_xxxxxxxxx_xxxxxxx_xx", "xxxxxxxx_xxxxxxxxxx_xxxxxxx=
xxxxxxx"."xxxxxx_xx_xx", "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxx_xxxx=
xxx_xx", "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxx_xxxxxxxxx", "xxxxxxxx_x=
xxxxxxxxx_xxxxxxxxxxxxxx"."xx_xxxxxxxx_xxxxx", "xxxxxxxx_xxxxxxxxxx_xxxxxxx=
xxxxxxx"."xxxxxxx_xx_xxxxxxx", "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxx=
x_xxxxx_xx_xxxx", "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxx_xxx_xxxx_xx=
xxxxxxxx", "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxx_xxxxxxxxxx_xx_xxxx=
xxxx", "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxx_xxxxxxxxxx_xx_xxxxxxxx=
", "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xx_xxxxxxxx_xxxxxxx_xxxx_xx_xxxxxx=
_xxxxxxx_xxxxxx", "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xx_xxxxxxxx_xxxxxxx=
_xxxx_xxx_xxxxxxxxxx_xxxxxxx", "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xx_xxx=
xx_xxx_xxxxxxxx_xxxxx_xx_xxxxxx", "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxx=
xxxxx_xxxx", "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxx_xxxxx_xxxxxxxx_xxxxx=
xxxxx", "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxxx_xxxxxxxx", "xxxxxxxx=
_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxx_xxxxx_xxxxxx", "xxxxxxxx_xxxxxxxxxx_xxxxxx=
xxxxxxxx"."xxxxx_xxxxxx", "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxx_xxxxxx=
_xxxxx", "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxx", "xxxxxxxx_xxxxxxxxxx_=
xxxxxxxxxxxxxx"."xxxx_xxxxxxx", "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxx_=
xxx_xxxxxxx", "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxx_xxxxxxxxxxx", "x=
xxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxxx_xx", "xxxxxxxx_xxxxxxxxxx_xxxx=
xxxxxxxxxx"."xxxxx", "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxxxx_xx", "=
xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxx_xx", "xxxxxxxx_xxxxxxxxxx_xxxxxxx=
xxxxxxx"."xxxxxxxxx_xx", "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxxx_xxx=
xxx_x3_xxxx", "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xx", "xxxxxxxx_xxxxxxx=
xxx_xxxxxxxxxxxxxxx"."xxxxxxx_xx", "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."x=
xxxxxx_xx", "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxx", "xxxxxxxx_xxxxxxxx=
xx_xxxxxxxxxxxxxxx"."xxxxx_xxxx", "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xx=
xx_xxxx", "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxx", "xxxxxxxx_xxxxxxxx=
xx_xxxxxxxxxxxxxxx"."xxxxx_xxxxxx", "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."=
xxx_xxxxxx", "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxxxx_xxxx", "xxxxxxx=
x_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxxxxxxxx_xxxx", "xxxxxxxx_xxxxxxxxxx_xxxx=
xxxxxxxxxxx"."xxxx", "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxx", "xxxxxx=
xx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxxxx_xxxx1", "xxxxxxxx_xxxxxxxxxx_xxxxxx=
xxxxxxxxx"."xxxxxxx", "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxxxx_xxxxxx=
x_xxxxxxx_xxx", "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxx_xx", "xxxxxxxx_=
xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxxxxxxxxx_xx", "xxxxxxxxxx_xxxxxxxxxxxxxxxx=
xxxxx"."xx", "xxxxxxxxxx_xxxxxxxxxxxxxxxxxxxxx"."xxxxxxx_xx", "xxxxxxxxxx_x=
xxxxxxxxxxxxxxxxxxxx"."xxxxxxx_xx", "xxxxxxxxxx_xxxxxxxxxxxxxxxxxxxxx"."xxx=
xx", "xxxxxxxxxx_xxxxxxxxxxxxxxxxxxxxx"."xxxxxxxxx_xx", "xxxxxxxxxx_xxxxxxx=
xxxxxxxxxxxxxx"."xxxxxxxx_xx_xx", "xxxxxxxxxx_xxxxxxxxxxxxxxxxxxxxx"."xxxxx=
xxx_xx", "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xx", "xxxxxxxxxx_xxxxxxxxxxxxxxxxx=
"."xxxxxxx_xx", "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxxxx_xx", "xxxxxxxxxx_xx=
xxxxxxxxxxxxxxx"."xxxxx_xxxx", "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxx_xxxx", =
"xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxx_xxxxxx", "xxxxxxxxxx_xxxxxxxxxxxxxxxx=
x"."xxx_xxxxxx", "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxxxx_xxxx", "xxxxxxxxxx=
_xxxxxxxxxxxxxxxxx"."xxxxxxxxxxx_xxxx", "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxx=
xxxxxxxx_xx", "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxx", "xxxxxxxxxx_xxxxxxxxx=
xxxxxxxx"."xxx", "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxxx", "xxxxxxxxxx_xxxxx=
xxxxxxxxxxxx"."xxxxxxx_xxxx1", "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxxxx_xxxx=
2", "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxxxx_xxxx", "xxxxxxxxxx_xxxxxxxxxxxx=
xxxxx"."xxxxxxx_xxxxx", "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxxxx_xxxxxxx", "=
xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxxxx_xxxxxx_xxxx", "xxxxxxxxxx_xxxxxxxxxx=
xxxxxxx"."xxxxx", T11."xx", T11."xxxxxxxx", T11."xxxx_xxxxx", T11."xx_xxxxx=
xxxx", T11."xxxxx", T11."xxxxxxxxxxx_xxxxxxx_xxxxx", T11."xxxxxxx_xx", T11.=
"xxxxx_xxxx", T11."xxxx_xxxx", T11."xxxxxxxx", T11."xxxxxx", T11."xxxxx_xxx=
xxx", T11."xxxxxxx_xxxxxxx_xx", T11."xxxxxxx_xxxxxxxx_xxxxxxx_xx", T11."xxx=
xxxx_xx_xxxxx", T11."xxx_xxx_xxx_xxxxxxxx", T11."xx_xxxxx", T11."xxxxx_xxxx=
x_xxxxx_xxxxxxx", T11."xx_xxxxxx", T11."xx_xxxxx", T11."xxxxxxx_xx", T11."x=
xxxxxx_xx", T11."xxxxxxx_xx", T11."xxxx_xxxxx_xxxxxxx", T11."xxxxxxxxxxx_xx=
xxxx_xxxxxx", T12."xx", T12."xxxxxxx_xx", T12."xxxxxxx_xx", T12."xxx", T12.=
"xxxxx_xxxx", T12."xxxx_xxxx", T12."xxxxx", T12."xxxxx_xxxxxx", T12."xxx_xx=
xxxx", T12."xxxxxxx_xxxx", T12."xxxxxxxxxxx_xxxx", T12."xxxx", T12."xxxxx",=
 T12."xxxxxxx_xxxx1", T12."xxxxxxx", T12."xxxxxxx_xxxxxxx_xxxxxxx_xxx", T12=
."xxxx_xx", T12."xxxxxxxxxxxx_xx", "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."=
xx", "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxxx_xx", "xxxxxxxx_xxxxxxx=
xxx_xxxxxxxxxxxxxxxx"."xxxxxxx_xx", "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx".=
"xxxxxxxx_xxxxxxx_xx", "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxxx_xxxx=
xxx_xxxxxxxxxx_xx_xxxxxxxx", "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxx=
x_xxxxxxx_xxxxx_xx_xxxx", "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxxx_x=
xxx_xx", "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxxx_xxxx_xxxxxxxxx", "=
xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxx_xxxxxxxxxxx", "xxxxxxxx_xxxxx=
xxxxx_xxxxxxxxxxxxxxxx"."xxxxxxx_xxxxxxx", "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxx=
xxxxx"."xxxxx_xxxx", "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxxxx_xxxxx=
_xxxx", "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxx_xxxxxxxxxx_xxxx", "xxx=
xxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxx_xxx_xxxxxxx", "xxxxxxxx_xxxxxxxxxx=
_xxxxxxxxxxxxxxxx"."xxxxxxx_xxxxxxx_xxxxxxx_xxx", "xxxxxxxx_xxxxxxxxxx_xxxx=
xxxxxxxxxxxx"."xx_xxxxxxxx_xxxxxxxx", "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx=
"."xxxx_xxxxx_xxxxxx", "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxxxxxxx_=
xxxx", "xxx_xxxxxx_xxxxxxxxxxxxxxx"."xx", "xxx_xxxxxx_xxxxxxxxxxxxxxx"."xxx=
xxxx_xx", "xxx_xxxxxx_xxxxxxxxxxxxxxx"."xxxxxxx_xx", "xxx_xxxxxx_xxxxxxxxxx=
xxxxx"."xxxx", "xxx_xxxxxx_xxxxxxxxxxxxxxx"."xxxxx_xxxxx", "xxx_xxxxxx_xxxx=
xxxxxxxxxxx"."xxxxxxx_xxxxxxxx", "xxx_xxxxxx_xxxxxxxxxxxxxxx"."xxxxxxxxxx_x=
xxx", "xxx_xxxxxx_xxxxxxxxxxxxxxx"."xxxxxxx", "xxx_xxxxxx_xxxxxxxxxxxxxxx".=
"xxx_xxxxxxxxxxx", "xxx_xxxxxx_xxxxxxxxxxxxxxx"."xxxxxxxx_xx", "xxx_xxxxxx_=
xxxxxxxxxxxxxxx"."xx_xxxxxxx", "xxx_xxxxxx_xxxxxxxxxxxxxxx"."xxxxxxx", "xxx=
xxxxx_xxxxxxxx"."xx", "xxxxxxxx_xxxxxxxx"."xxxxxxx_xx", "xxxxxxxx_xxxxxxxx"=
."xxxxxxx_xx", "xxxxxxxx_xxxxxxxx"."xxxxxxxx_xxxxxx", "xxxxxxxx_xxxxxxxx"."=
xxxx_xx", "xxxxxxxx_xxxxxxxx"."xxxxxxx_xx", "xxxxxxxx_xxxxxxxx"."xxxxxxxx_x=
xxx_xxxxx", "xxxxxxxx_xxxxxxxx"."xxxxxxxx_xxxxxxx_xx", "xxxxxxxx_xxxxxxxx".=
"xxxxxxxx_xxxxx_xxxxx", "xxxxxxxx_xxxxxxxx"."xxxx_xx", "xxxxxxxx_xxxxxxxx".=
"xxxxxxxxx_xxxxx_xx", "xxxxxxxx_xxxxxxxx"."xx_xxxx_xx", "xxxxxxxx_xxxxxxxx"=
."xxx_xxx_xxxx"; xxxx=3D('xxxxxxxxx', datetime.datetime(2015, 4, 20, 0, 0, =
tzinfo=3D<DstTzInfo 'America/Los_Angeles' PDT-1 day, 17:00:00 DST>), 'ff', =
'qa')=20

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25682; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 11 Feb 2017 13:57:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 11 08:57:07 2017
Received: from localhost ([127.0.0.1]:35393 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ccYAk-0000wM-4L
	for submit <at> debbugs.gnu.org; Sat, 11 Feb 2017 08:57:07 -0500
Received: from eggs.gnu.org ([208.118.235.92]:56931)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andreas.roehler@HIDDEN>) id 1ccYAh-0000vq-7O
 for submit <at> debbugs.gnu.org; Sat, 11 Feb 2017 08:57:04 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <andreas.roehler@HIDDEN>) id 1ccYAW-0007I1-7N
 for submit <at> debbugs.gnu.org; Sat, 11 Feb 2017 08:56:57 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.3 required=5.0 tests=BAYES_50,HTML_MESSAGE,
 RCVD_IN_SORBS_SPAM autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:35238)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <andreas.roehler@HIDDEN>)
 id 1ccYAW-0007Hx-3A
 for submit <at> debbugs.gnu.org; Sat, 11 Feb 2017 08:56:52 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:47898)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <andreas.roehler@HIDDEN>) id 1ccYAQ-0006UG-JS
 for bug-gnu-emacs@HIDDEN; Sat, 11 Feb 2017 08:56:51 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <andreas.roehler@HIDDEN>) id 1ccYAL-0007HI-IP
 for bug-gnu-emacs@HIDDEN; Sat, 11 Feb 2017 08:56:46 -0500
Received: from mout.kundenserver.de ([212.227.126.187]:60518)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <andreas.roehler@HIDDEN>)
 id 1ccYAK-0007Go-TL
 for bug-gnu-emacs@HIDDEN; Sat, 11 Feb 2017 08:56:41 -0500
Received: from [192.168.178.35] ([77.12.41.101]) by mrelayeu.kundenserver.de
 (mreue005 [212.227.15.167]) with ESMTPSA (Nemesis) id
 0MFfu5-1cfb6W0Mej-00EcEG for <bug-gnu-emacs@HIDDEN>; Sat, 11 Feb 2017
 14:56:38 +0100
Subject: Re: bug#25682: 25.1; font-lock: fontifying too slow in some modes on
 very long lines
To: bug-gnu-emacs@HIDDEN
References: <CA+caGh9CW_4UBri3xngZg9qkO8xunLUGmpA7HpOPVQGSOuYUtQ@HIDDEN>
From: =?UTF-8?Q?Andreas_R=c3=b6hler?= <andreas.roehler@HIDDEN>
Message-ID: <88c394d0-1614-f25a-9054-a6bc7c4c777d@HIDDEN>
Date: Sat, 11 Feb 2017 15:07:36 +0100
User-Agent: Mozilla/5.0 (X11; Linux i686; rv:45.0) Gecko/20100101
 Icedove/45.6.0
MIME-Version: 1.0
In-Reply-To: <CA+caGh9CW_4UBri3xngZg9qkO8xunLUGmpA7HpOPVQGSOuYUtQ@HIDDEN>
Content-Type: multipart/alternative;
 boundary="------------8088F609970B9AF097731D5C"
X-Provags-ID: V03:K0:GCr2XrEc785aDXqYMkzgYNT1l6B5J3bQWS18Ufv8tFmswytz4qp
 /SoL6HEKIyDa3WOnh7Mqt6C6sWsEQRXwlxlKsFvwFshGgZ0s2i8DGKX0BiiuO3mDRvsveZf
 GtAs10doaTTjjz7VyPoV09UlnajiKHqNBrVEZ96yV1gQaWNDazS4mgNVHmuU9iqGf5n8May
 uQ4z8KxatUQPeJE6F9EYg==
X-UI-Out-Filterresults: notjunk:1;V01:K0:Ko38yPdmSYw=:Xyz8fLHzaXzOR5Tx9S+UTs
 vyBaOSI7LnXG25bEHoZC1T+78dq7+/ApMS+4lYeyxvMPLnH9Y7tuiClcQJp77/VLc3i6ezccr
 Qo1zTBEmuLqTm6POkOm+k8/pGEcw+U7+r6fOVcQneITR5s96SpLX+r8S+EBDuKv7lzvoE7JlW
 Anx7/7JrmGWK43JAM75+dp5+VRLp8pEENRWJNqXF3hqC5Zo5KiLe8SUTChINrbb2LuDbRKwzt
 n/1sCosLhVNjHSqt5Y7r6vx5lgid9BTEEXWxzSHqS/y8XnxyhWypEEWDUqo2p2CouegSwa+/b
 k5nrddN0Qj3TkjqBKIJ2IVCk7LutCyFobPaxGLFwMJsGZ3w1zZ1emqB8GPkpcjAzN9iaW600w
 b0cVrJlGHJWFjSYk63KK/+tPgBNVeIpy3P4g1YsUwDFSQ3L6aIzzTJ56zabLGp0Ef9iHW1a6P
 3kYbLBIbTa8eFuDPDldvZ5yr3Jivh/SSGf7wMWgkCezAw198scUfT2A9LyYT+VcixS2e2an/u
 e/5+jQe2fBeVsJ2KkKMbcRzZ3yHO6xqjc0Tw29a9cu1u1+4uBLWxte4663GFmtzqfXIHvMBSz
 JGy57/t4sS0TfXGZMA7QhIBS2r8GDsn3MDGGj/iHp8YXgSEIRoZTR5SomRhnFy7a3La3z8kQg
 ysTI3ErGhHcn/jsP+Su9F6Ux7RPcSzRddvK4tkKnmHaFGoNAjb4LiWOYOL5hjWiO84pLobuXB
 SwQvWOvG8iiJSUD8
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.5 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.5 (----)

This is a multi-part message in MIME format.
--------------8088F609970B9AF097731D5C
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 8bit



On 10.02.2017 22:33, Ryan B wrote:
> i occasionally have very long lines in some buffers, e.g. 10k-20k 
> characters. font-lock-mode often hangs for a long time (5-10s) when 
> fontifying these lines.
>
> this has evidently been a known issue with font-lock-mode for a long 
> time, and inspired a number of optimizations and workarounds: 
> jit-lock/lazy-lock (formerly fast-lock), font-lock-maximum-decoration, 
> https://www.emacswiki.org/emacs/SoLong , etc. they all work by 
> deferring, downgrading, or disabling fontification in certain buffers.
>
> that's nice, but i'd ideally like to keep font-lock-mode on in buffers 
> where very long lines appear, and still prevent the hangs. i'm 
> considering adding an opt-in max line length to font-lock-mode, after 
> which it would stop fontifying or evaluating regexps. i'd love to hear 
> feedback on whether this makes sense!
>
> here are steps that reproduce this, with gnu emacs 25.1.1 on mac os x:
>
> 1. put the single long line under the === below (18572 chars long) 
> into a file
> 2. run emacs -Q
> 3. type C-x C-f <filename> RET to open the file
> 4. type M-x compilation-mode RET
>
> this consistently hangs emacs for 9-10s for me on modern hardware, a 
> 2014 retina macbook pro.
>
> ===
>
> [2017-02-10T07:35:45Z django.db.backends] DEBUG: (0.057) SELECT 
> "xxx_xxxxxx_xxxxxxxx"."xx", "xxx_xxxxxx_xxxxxxxx"."xxxxxxx_xx", 
> "xxx_xxxxxx_xxxxxxxx"."xxxxxxx_xx", 
> "xxx_xxxxxx_xxxxxxxx"."xxxxxxxx_xxxxx", 
> "xxx_xxxxxx_xxxxxxxx"."xxxxxxxx_xx_xx", 
> "xxx_xxxxxx_xxxxxxxx"."xxxxxxxx_xx", 
> "xxx_xxxxxx_xxxxxxxx"."xxxxxxxx_xx_xx", 
> "xxx_xxxxxx_xxxxxxxx"."xxxxxxxx_xx", 
> "xxx_xxxxxx_xxxxxxxx"."xxxxxxxxx_xxxx", 
> "xxx_xxxxxx_xxxxxxxx"."xxxxx_xxxxxx", "xxx_xxxxxx_xxxxxxxx"."xxxx_xx", 
> "xxx_xxxxxx_xxxxxxxx"."xxxxxxxxx_xxxxx_xx", 
> "xxx_xxxxxx_xxxxxxxx"."xxxxxxxxxxx_xxxx_xx", 
> "xxx_xxxxxx_xxxxxxxx"."xxxx_xxxx", 
> "xxx_xxxxxx_xxxxxxxx"."xxx_xxxxx_xxxxx", 
> "xxx_xxxxxx_xxxxxxxx"."xxxxx_xxxxx_xxxxx", 
> "xxx_xxxxxx_xxxxxxxx"."xxxxx_xxxxx_xxxxxx", 
> "xxx_xxxxxx_xxxxxxxx"."xxxxxxxx", 
> "xxx_xxxxxx_xxxxxxxx"."xxxxx_xx_xxx", 
> "xxx_xxxxxx_xxxxxxxx"."xxxx_xxx_xxxxxxx", 
> "xxx_xxxxxx_xxxxxxxx"."xxxxxxx_xx", 
> "xxx_xxxxxx_xxxxxxxx"."xxxxxxxx_xx", "xxx_xxxxxx_xxxxxxxx"."xxxxx", 
> "xxx_xxxxxx_xxxxxxxx"."xxxxx_xxxxxx_xx", 
> "xxx_xxxxxx_xxxxxxxx"."xxxxxxxxx_xx", 
> MAX("xxx_xxxxxx_xxxxxxxxxxxxxxxxxx"."xx") AS "xxxxxxxx_xx", 
> COUNT(DISTINCT "xxx_xxxxxx_xxxxxxxx_xxxxxxx"."xxxxxx_xx") AS 
> "xxx_xxxxxxx", MAX("xxxxxxx_xxxxxx"."xxxx_xx") AS "xxxxxx_xxxx_xx", 
> STRING_AGG("xxxxxxx_xxxxxx"."xxx_xxxxxxx", ' ') AS "xxx_xxxxxxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxx_xx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxx_xx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxxxxxx_xxxxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxx_xx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxx_xxxxxxx_xx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxxx_xxxxxxxxx_xxxxxxx_xx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxx_xx_xx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxx_xxxxxxx_xx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxx_xxxxxxxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xx_xxxxxxxx_xxxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxx_xx_xxxxxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxx_xxxxx_xx_xxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxx_xxx_xxxx_xxxxxxxxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxx_xxxxxxxxxx_xx_xxxxxxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxx_xxxxxxxxxx_xx_xxxxxxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xx_xxxxxxxx_xxxxxxx_xxxx_xx_xxxxxx_xxxxxxx_xxxxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xx_xxxxxxxx_xxxxxxx_xxxx_xxx_xxxxxxxxxx_xxxxxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xx_xxxxx_xxx_xxxxxxxx_xxxxx_xx_xxxxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxxx_xxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxx_xxxxx_xxxxxxxx_xxxxxxxxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxxx_xxxxxxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxx_xxxxx_xxxxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxx_xxxxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxx_xxxxxx_xxxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxx_xxxxxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxx_xxx_xxxxxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxx_xxxxxxxxxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxxx_xx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxxxx_xx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxx_xx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxxxx_xx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxxx_xxxxxx_x3_xxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxxxx_xx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxxxx_xx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxx_xxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxx_xxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxx_xxxxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxx_xxxxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxxxx_xxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxxxxxxxx_xxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxxxx_xxxx1", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxxxx_xxxxxxx_xxxxxxx_xxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxx_xx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxxxxxxxxx_xx", 
> "xxxxxxxxxx_xxxxxxxxxxxxxxxxxxxxx"."xx", 
> "xxxxxxxxxx_xxxxxxxxxxxxxxxxxxxxx"."xxxxxxx_xx", 
> "xxxxxxxxxx_xxxxxxxxxxxxxxxxxxxxx"."xxxxxxx_xx", 
> "xxxxxxxxxx_xxxxxxxxxxxxxxxxxxxxx"."xxxxx", 
> "xxxxxxxxxx_xxxxxxxxxxxxxxxxxxxxx"."xxxxxxxxx_xx", 
> "xxxxxxxxxx_xxxxxxxxxxxxxxxxxxxxx"."xxxxxxxx_xx_xx", 
> "xxxxxxxxxx_xxxxxxxxxxxxxxxxxxxxx"."xxxxxxxx_xx", 
> "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xx", 
> "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxxxx_xx", 
> "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxxxx_xx", 
> "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxx_xxxx", 
> "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxx_xxxx", 
> "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxx_xxxxxx", 
> "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxx_xxxxxx", 
> "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxxxx_xxxx", 
> "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxxxxxxxx_xxxx", 
> "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxxxxxxxx_xx", 
> "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxx", 
> "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxx", 
> "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxxx", 
> "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxxxx_xxxx1", 
> "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxxxx_xxxx2", 
> "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxxxx_xxxx", 
> "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxxxx_xxxxx", 
> "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxxxx_xxxxxxx", 
> "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxxxx_xxxxxx_xxxx", 
> "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxx", T11."xx", T11."xxxxxxxx", 
> T11."xxxx_xxxxx", T11."xx_xxxxxxxxx", T11."xxxxx", 
> T11."xxxxxxxxxxx_xxxxxxx_xxxxx", T11."xxxxxxx_xx", T11."xxxxx_xxxx", 
> T11."xxxx_xxxx", T11."xxxxxxxx", T11."xxxxxx", T11."xxxxx_xxxxxx", 
> T11."xxxxxxx_xxxxxxx_xx", T11."xxxxxxx_xxxxxxxx_xxxxxxx_xx", 
> T11."xxxxxxx_xx_xxxxx", T11."xxx_xxx_xxx_xxxxxxxx", T11."xx_xxxxx", 
> T11."xxxxx_xxxxx_xxxxx_xxxxxxx", T11."xx_xxxxxx", T11."xx_xxxxx", 
> T11."xxxxxxx_xx", T11."xxxxxxx_xx", T11."xxxxxxx_xx", 
> T11."xxxx_xxxxx_xxxxxxx", T11."xxxxxxxxxxx_xxxxxx_xxxxxx", T12."xx", 
> T12."xxxxxxx_xx", T12."xxxxxxx_xx", T12."xxx", T12."xxxxx_xxxx", 
> T12."xxxx_xxxx", T12."xxxxx", T12."xxxxx_xxxxxx", T12."xxx_xxxxxx", 
> T12."xxxxxxx_xxxx", T12."xxxxxxxxxxx_xxxx", T12."xxxx", T12."xxxxx", 
> T12."xxxxxxx_xxxx1", T12."xxxxxxx", T12."xxxxxxx_xxxxxxx_xxxxxxx_xxx", 
> T12."xxxx_xx", T12."xxxxxxxxxxxx_xx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxxx_xx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxxx_xx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxxxx_xxxxxxx_xx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxxx_xxxxxxx_xxxxxxxxxx_xx_xxxxxxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxxx_xxxxxxx_xxxxx_xx_xxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxxx_xxxx_xx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxxx_xxxx_xxxxxxxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxx_xxxxxxxxxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxxx_xxxxxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxx_xxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxxxx_xxxxx_xxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxx_xxxxxxxxxx_xxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxx_xxx_xxxxxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxxx_xxxxxxx_xxxxxxx_xxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xx_xxxxxxxx_xxxxxxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxx_xxxxx_xxxxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxxxxxxx_xxxx", 
> "xxx_xxxxxx_xxxxxxxxxxxxxxx"."xx", 
> "xxx_xxxxxx_xxxxxxxxxxxxxxx"."xxxxxxx_xx", 
> "xxx_xxxxxx_xxxxxxxxxxxxxxx"."xxxxxxx_xx", 
> "xxx_xxxxxx_xxxxxxxxxxxxxxx"."xxxx", 
> "xxx_xxxxxx_xxxxxxxxxxxxxxx"."xxxxx_xxxxx", 
> "xxx_xxxxxx_xxxxxxxxxxxxxxx"."xxxxxxx_xxxxxxxx", 
> "xxx_xxxxxx_xxxxxxxxxxxxxxx"."xxxxxxxxxx_xxxx", 
> "xxx_xxxxxx_xxxxxxxxxxxxxxx"."xxxxxxx", 
> "xxx_xxxxxx_xxxxxxxxxxxxxxx"."xxx_xxxxxxxxxxx", 
> "xxx_xxxxxx_xxxxxxxxxxxxxxx"."xxxxxxxx_xx", 
> "xxx_xxxxxx_xxxxxxxxxxxxxxx"."xx_xxxxxxx", 
> "xxx_xxxxxx_xxxxxxxxxxxxxxx"."xxxxxxx", "xxxxxxxx_xxxxxxxx"."xx", 
> "xxxxxxxx_xxxxxxxx"."xxxxxxx_xx", "xxxxxxxx_xxxxxxxx"."xxxxxxx_xx", 
> "xxxxxxxx_xxxxxxxx"."xxxxxxxx_xxxxxx", "xxxxxxxx_xxxxxxxx"."xxxx_xx", 
> "xxxxxxxx_xxxxxxxx"."xxxxxxx_xx", 
> "xxxxxxxx_xxxxxxxx"."xxxxxxxx_xxxx_xxxxx", 
> "xxxxxxxx_xxxxxxxx"."xxxxxxxx_xxxxxxx_xx", 
> "xxxxxxxx_xxxxxxxx"."xxxxxxxx_xxxxx_xxxxx", 
> "xxxxxxxx_xxxxxxxx"."xxxx_xx", 
> "xxxxxxxx_xxxxxxxx"."xxxxxxxxx_xxxxx_xx", 
> "xxxxxxxx_xxxxxxxx"."xx_xxxx_xx", "xxxxxxxx_xxxxxxxx"."xxx_xxx_xxxx" 
> FROM "xxx_xxxxxx_xxxxxxxx" LEFT OUTER JOIN 
> "xxx_xxxxxx_xxxxxxxxxxxxxxx" ON ( 
> "xxx_xxxxxx_xxxxxxxx"."xxxxxxxxxxx_xxxx_xx" = 
> "xxx_xxxxxx_xxxxxxxxxxxxxxx"."xx" ) LEFT OUTER JOIN 
> "xxx_xxxxxx_xxxxxxxxxxxxxxxxxx" ON ( "xxx_xxxxxx_xxxxxxxx"."xx" = 
> "xxx_xxxxxx_xxxxxxxxxxxxxxxxxx"."xxx_xxxxx_xx" ) LEFT OUTER JOIN 
> "xxx_xxxxxx_xxxxxxxx_xxxxxxx" ON ( "xxx_xxxxxx_xxxxxxxx"."xx" = 
> "xxx_xxxxxx_xxxxxxxx_xxxxxxx"."xxxxxxxx_xx" ) LEFT OUTER JOIN 
> "xxxxxxx_xxxxxx" ON ( "xxx_xxxxxx_xxxxxxxx_xxxxxxx"."xxxxxx_xx" = 
> "xxxxxxx_xxxxxx"."xx" ) LEFT OUTER JOIN 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx" ON ( 
> "xxx_xxxxxx_xxxxxxxx"."xxxxxxxxx_xxxxx_xx" = 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xx" ) LEFT OUTER JOIN 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx" ON ( 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxxx_xxxxxxxxx_xxxxxxx_xx" = 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xx" ) LEFT OUTER JOIN 
> "xxxxxxxxxx_xxxxxxxxxxxxxxxxxxxxx" ON ( 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxxxxxxxxx_xx" = 
> "xxxxxxxxxx_xxxxxxxxxxxxxxxxxxxxx"."xx" ) LEFT OUTER JOIN 
> "xxxxxxxxxx_xxxxxxxxxxxxxxxxx" ON ( 
> "xxxxxxxxxx_xxxxxxxxxxxxxxxxxxxxx"."xxxxxxxxx_xx" = 
> "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xx" ) LEFT OUTER JOIN 
> "xxxxx_xxxxxxxxx" T11 ON ( 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxx_xx_xx" = T11."xx" ) LEFT 
> OUTER JOIN "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx" T12 ON ( T11."xx" = 
> T12."xxxx_xx" ) LEFT OUTER JOIN "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx" 
> ON ( T12."xx" = 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxxxx_xxxxxxx_xx" ) LEFT 
> OUTER JOIN "xxxxxxxx_xxxxxxxx" ON ( 
> "xxx_xxxxxx_xxxxxxxx"."xxxxxxxx_xx" = "xxxxxxxx_xxxxxxxx"."xx" ) WHERE 
> (NOT ("xxx_xxxxxx_xxxxxxxx"."xxxxx" = 'xxxxxxxxx') AND NOT 
> ("xxx_xxxxxx_xxxxxxxx"."xxxxxxx_xx" < 
> '2015-04-20T00:00:00-07:00'::xxxxxxxxxxx) AND NOT 
> ("xxx_xxxxxx_xxxxxxxxxxxxxxx"."xxxxxxx" IN ('xx', 'xx') AND 
> "xxx_xxxxxx_xxxxxxxxxxxxxxx"."xxxxxxx" IS NOT NULL)) GROUP BY 
> "xxx_xxxxxx_xxxxxxxx"."xx", "xxx_xxxxxx_xxxxxxxx"."xxxxxxx_xx", 
> "xxx_xxxxxx_xxxxxxxx"."xxxxxxx_xx", 
> "xxx_xxxxxx_xxxxxxxx"."xxxxxxxx_xxxxx", 
> "xxx_xxxxxx_xxxxxxxx"."xxxxxxxx_xx_xx", 
> "xxx_xxxxxx_xxxxxxxx"."xxxxxxxx_xx", 
> "xxx_xxxxxx_xxxxxxxx"."xxxxxxxx_xx_xx", 
> "xxx_xxxxxx_xxxxxxxx"."xxxxxxxx_xx", 
> "xxx_xxxxxx_xxxxxxxx"."xxxxxxxxx_xxxx", 
> "xxx_xxxxxx_xxxxxxxx"."xxxxx_xxxxxx", "xxx_xxxxxx_xxxxxxxx"."xxxx_xx", 
> "xxx_xxxxxx_xxxxxxxx"."xxxxxxxxx_xxxxx_xx", 
> "xxx_xxxxxx_xxxxxxxx"."xxxxxxxxxxx_xxxx_xx", 
> "xxx_xxxxxx_xxxxxxxx"."xxxx_xxxx", 
> "xxx_xxxxxx_xxxxxxxx"."xxx_xxxxx_xxxxx", 
> "xxx_xxxxxx_xxxxxxxx"."xxxxx_xxxxx_xxxxx", 
> "xxx_xxxxxx_xxxxxxxx"."xxxxx_xxxxx_xxxxxx", 
> "xxx_xxxxxx_xxxxxxxx"."xxxxxxxx", 
> "xxx_xxxxxx_xxxxxxxx"."xxxxx_xx_xxx", 
> "xxx_xxxxxx_xxxxxxxx"."xxxx_xxx_xxxxxxx", 
> "xxx_xxxxxx_xxxxxxxx"."xxxxxxx_xx", 
> "xxx_xxxxxx_xxxxxxxx"."xxxxxxxx_xx", "xxx_xxxxxx_xxxxxxxx"."xxxxx", 
> "xxx_xxxxxx_xxxxxxxx"."xxxxx_xxxxxx_xx", 
> "xxx_xxxxxx_xxxxxxxx"."xxxxxxxxx_xx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxx_xx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxx_xx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxxxxxx_xxxxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxx_xx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxx_xxxxxxx_xx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxxx_xxxxxxxxx_xxxxxxx_xx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxx_xx_xx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxx_xxxxxxx_xx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxx_xxxxxxxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xx_xxxxxxxx_xxxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxx_xx_xxxxxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxx_xxxxx_xx_xxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxx_xxx_xxxx_xxxxxxxxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxx_xxxxxxxxxx_xx_xxxxxxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxx_xxxxxxxxxx_xx_xxxxxxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xx_xxxxxxxx_xxxxxxx_xxxx_xx_xxxxxx_xxxxxxx_xxxxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xx_xxxxxxxx_xxxxxxx_xxxx_xxx_xxxxxxxxxx_xxxxxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xx_xxxxx_xxx_xxxxxxxx_xxxxx_xx_xxxxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxxx_xxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxx_xxxxx_xxxxxxxx_xxxxxxxxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxxx_xxxxxxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxx_xxxxx_xxxxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxx_xxxxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxx_xxxxxx_xxxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxx_xxxxxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxx_xxx_xxxxxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxx_xxxxxxxxxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxxx_xx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxxxx_xx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxx_xx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxxxx_xx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxxx_xxxxxx_x3_xxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxxxx_xx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxxxx_xx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxx_xxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxx_xxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxx_xxxxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxx_xxxxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxxxx_xxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxxxxxxxx_xxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxxxx_xxxx1", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxxxx_xxxxxxx_xxxxxxx_xxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxx_xx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxxxxxxxxx_xx", 
> "xxxxxxxxxx_xxxxxxxxxxxxxxxxxxxxx"."xx", 
> "xxxxxxxxxx_xxxxxxxxxxxxxxxxxxxxx"."xxxxxxx_xx", 
> "xxxxxxxxxx_xxxxxxxxxxxxxxxxxxxxx"."xxxxxxx_xx", 
> "xxxxxxxxxx_xxxxxxxxxxxxxxxxxxxxx"."xxxxx", 
> "xxxxxxxxxx_xxxxxxxxxxxxxxxxxxxxx"."xxxxxxxxx_xx", 
> "xxxxxxxxxx_xxxxxxxxxxxxxxxxxxxxx"."xxxxxxxx_xx_xx", 
> "xxxxxxxxxx_xxxxxxxxxxxxxxxxxxxxx"."xxxxxxxx_xx", 
> "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xx", 
> "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxxxx_xx", 
> "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxxxx_xx", 
> "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxx_xxxx", 
> "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxx_xxxx", 
> "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxx_xxxxxx", 
> "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxx_xxxxxx", 
> "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxxxx_xxxx", 
> "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxxxxxxxx_xxxx", 
> "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxxxxxxxx_xx", 
> "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxx", 
> "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxx", 
> "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxxx", 
> "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxxxx_xxxx1", 
> "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxxxx_xxxx2", 
> "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxxxx_xxxx", 
> "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxxxx_xxxxx", 
> "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxxxx_xxxxxxx", 
> "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxxxx_xxxxxx_xxxx", 
> "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxx", T11."xx", T11."xxxxxxxx", 
> T11."xxxx_xxxxx", T11."xx_xxxxxxxxx", T11."xxxxx", 
> T11."xxxxxxxxxxx_xxxxxxx_xxxxx", T11."xxxxxxx_xx", T11."xxxxx_xxxx", 
> T11."xxxx_xxxx", T11."xxxxxxxx", T11."xxxxxx", T11."xxxxx_xxxxxx", 
> T11."xxxxxxx_xxxxxxx_xx", T11."xxxxxxx_xxxxxxxx_xxxxxxx_xx", 
> T11."xxxxxxx_xx_xxxxx", T11."xxx_xxx_xxx_xxxxxxxx", T11."xx_xxxxx", 
> T11."xxxxx_xxxxx_xxxxx_xxxxxxx", T11."xx_xxxxxx", T11."xx_xxxxx", 
> T11."xxxxxxx_xx", T11."xxxxxxx_xx", T11."xxxxxxx_xx", 
> T11."xxxx_xxxxx_xxxxxxx", T11."xxxxxxxxxxx_xxxxxx_xxxxxx", T12."xx", 
> T12."xxxxxxx_xx", T12."xxxxxxx_xx", T12."xxx", T12."xxxxx_xxxx", 
> T12."xxxx_xxxx", T12."xxxxx", T12."xxxxx_xxxxxx", T12."xxx_xxxxxx", 
> T12."xxxxxxx_xxxx", T12."xxxxxxxxxxx_xxxx", T12."xxxx", T12."xxxxx", 
> T12."xxxxxxx_xxxx1", T12."xxxxxxx", T12."xxxxxxx_xxxxxxx_xxxxxxx_xxx", 
> T12."xxxx_xx", T12."xxxxxxxxxxxx_xx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxxx_xx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxxx_xx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxxxx_xxxxxxx_xx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxxx_xxxxxxx_xxxxxxxxxx_xx_xxxxxxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxxx_xxxxxxx_xxxxx_xx_xxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxxx_xxxx_xx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxxx_xxxx_xxxxxxxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxx_xxxxxxxxxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxxx_xxxxxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxx_xxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxxxx_xxxxx_xxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxx_xxxxxxxxxx_xxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxx_xxx_xxxxxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxxx_xxxxxxx_xxxxxxx_xxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xx_xxxxxxxx_xxxxxxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxx_xxxxx_xxxxxx", 
> "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxxxxxxx_xxxx", 
> "xxx_xxxxxx_xxxxxxxxxxxxxxx"."xx", 
> "xxx_xxxxxx_xxxxxxxxxxxxxxx"."xxxxxxx_xx", 
> "xxx_xxxxxx_xxxxxxxxxxxxxxx"."xxxxxxx_xx", 
> "xxx_xxxxxx_xxxxxxxxxxxxxxx"."xxxx", 
> "xxx_xxxxxx_xxxxxxxxxxxxxxx"."xxxxx_xxxxx", 
> "xxx_xxxxxx_xxxxxxxxxxxxxxx"."xxxxxxx_xxxxxxxx", 
> "xxx_xxxxxx_xxxxxxxxxxxxxxx"."xxxxxxxxxx_xxxx", 
> "xxx_xxxxxx_xxxxxxxxxxxxxxx"."xxxxxxx", 
> "xxx_xxxxxx_xxxxxxxxxxxxxxx"."xxx_xxxxxxxxxxx", 
> "xxx_xxxxxx_xxxxxxxxxxxxxxx"."xxxxxxxx_xx", 
> "xxx_xxxxxx_xxxxxxxxxxxxxxx"."xx_xxxxxxx", 
> "xxx_xxxxxx_xxxxxxxxxxxxxxx"."xxxxxxx", "xxxxxxxx_xxxxxxxx"."xx", 
> "xxxxxxxx_xxxxxxxx"."xxxxxxx_xx", "xxxxxxxx_xxxxxxxx"."xxxxxxx_xx", 
> "xxxxxxxx_xxxxxxxx"."xxxxxxxx_xxxxxx", "xxxxxxxx_xxxxxxxx"."xxxx_xx", 
> "xxxxxxxx_xxxxxxxx"."xxxxxxx_xx", 
> "xxxxxxxx_xxxxxxxx"."xxxxxxxx_xxxx_xxxxx", 
> "xxxxxxxx_xxxxxxxx"."xxxxxxxx_xxxxxxx_xx", 
> "xxxxxxxx_xxxxxxxx"."xxxxxxxx_xxxxx_xxxxx", 
> "xxxxxxxx_xxxxxxxx"."xxxx_xx", 
> "xxxxxxxx_xxxxxxxx"."xxxxxxxxx_xxxxx_xx", 
> "xxxxxxxx_xxxxxxxx"."xx_xxxx_xx", "xxxxxxxx_xxxxxxxx"."xxx_xxx_xxxx"; 
> xxxx=('xxxxxxxxx', datetime.datetime(2015, 4, 20, 0, 0, 
> tzinfo=<DstTzInfo 'America/Los_Angeles' PDT-1 day, 17:00:00 DST>), 
> 'ff', 'qa')
>
>
> ===
>
>
>
> In GNU Emacs 25.1.1 (x86_64-apple-darwin15.6.0, NS appkit-1404.47 
> Version 10.11.6 (Build 15G1004))
>  of 2016-09-17 built on hell.PK5001Z
> Windowing system distributor 'Apple', version 10.3.1404
> Configured using:
>  'configure --disable-dependency-tracking --disable-silent-rules
>  --enable-locallisppath=/usr/local/share/emacs/site-lisp
>  --infodir=/usr/local/Cellar/emacs/25.1/share/info/emacs
>  --prefix=/usr/local/Cellar/emacs/25.1 --without-x --with-xml2
>  --without-dbus --without-gnutls --with-rsvg --with-ns
>  --disable-ns-self-contained'
>
> Configured features:
> JPEG RSVG NOTIFY ACL LIBXML2 ZLIB TOOLKIT_SCROLL_BARS NS
>
> Important settings:
>   value of $LANG: en_US.UTF-8
>   locale-coding-system: utf-8-unix
>
> Major mode: JavaScript
>
> Minor modes in effect:
>   helm-mode: t
>   diff-auto-refine-mode: t
>   rainbow-identifiers-mode: t
>   rainbow-delimiters-mode: t
>   async-bytecomp-package-mode: t
>   global-auto-revert-mode: t
>   desktop-save-mode: t
>   savehist-mode: t
>   show-paren-mode: t
>   delete-selection-mode: t
>   recentf-mode: t
>   global-subword-mode: t
>   subword-mode: t
>   shell-dirtrack-mode: t
>   global-eldoc-mode: t
>   mouse-wheel-mode: t
>   file-name-shadow-mode: t
>   global-font-lock-mode: t
>   font-lock-mode: t
>   auto-composition-mode: t
>   auto-encryption-mode: t
>   auto-compression-mode: t
>   column-number-mode: t
>   line-number-mode: t
>   transient-mark-mode: t
>
> Recent messages:
> Saving file /Users/ryan/.emacs.d/recentf...
> Wrote /Users/ryan/.emacs.d/recentf
> Desktop saved in ~/.emacs.d/
> Saving file /Users/ryan/.emacs.d/recentf...
> Wrote /Users/ryan/.emacs.d/recentf
> Reverting buffer ‘recentf’.
> next-line: End of buffer [2 times]
> Mark set [5 times]
> Saving file /tmp/*scratch*...
> Wrote /tmp/*scratch*
>
> Load-path shadows:
> /Users/ryan/.emacs.d/elpa/seq-2.19/seq hides 
> /usr/local/Cellar/emacs/25.1/share/emacs/25.1/lisp/emacs-lisp/seq
>
> Features:
> (shadow sort mail-extr emacsbug sendmail ibuf-ext man vc-annotate
> log-view pcmpl-unix vc-bzr vc-src vc-sccs vc-cvs vc-rcs dabbrev
> image-file dirtrack emacs-lock manoj-dark-theme ibuffer eieio-opt
> find-func cus-edit rst fillcode cc-bytecomp make-mode filecache
> tramp-cache conf-mode helm-command vc-svn helm-elisp helm-eval edebug
> sql view json-mode json-reformat json-snatcher misearch multi-isearch
> ido ess-toolbar ess-mouse mouseme ess-menu ess-swv ess-noweb
> ess-noweb-font-lock-mode ess-bugs-l essd-els ess-sas-d ess-sas-l
> ess-sas-a ess-sta-d ess-sta-l make-regexp ess-sp6-d ess-dde ess-sp3-d
> ess-julia julia-mode ess-r-d ess-r-syntax ess-r-completion ess-roxy
> essddr hideshow ess-help ess-r-package ess-s-l ess-site ess ess-inf
> ess-tracebug ess-mode ess-noweb-mode ess-utils ess-generics cl
> ess-custom ess-compat nxml-uchnm rng-xsd xsd-regexp rng-cmpct rng-nxml
> rng-valid rng-loc rng-uri rng-parse nxml-parse rng-match rng-dt rng-util
> rng-pttrn nxml-ns nxml-mode nxml-outln nxml-rap nxml-util nxml-glyph
> nxml-enc xmltok php-mode derived speedbar sb-image ezimage dframe
> flymake cc-langs smerge-mode vc-dir ewoc vc vc-dispatcher winner
> yaml-mode jka-compr helm-mode vc-git diff-mode rainbow-identifiers color
> rainbow-delimiters helm-misc helm-files image-dired dired-x dired-aux
> helm-buffers helm-elscreen helm-tags helm-bookmark helm-adaptive
> helm-info bookmark pp helm-locate helm-grep helm-regexp helm-external
> helm-net browse-url xml helm-utils helm-help helm-types helm-config
> helm-easymenu async-bytecomp async helm edmacro kmacro helm-source
> helm-multi-match helm-lib midnight autorevert filenotify desktop
> frameset savehist paren redo+ delsel warnings grep cus-start cus-load
> git-link dash-at-point recentf tree-widget wid-edit cap-words superword
> subword jade-mode js imenu cc-mode cc-fonts cc-guess cc-menus cc-cmds
> cc-styles cc-align cc-engine cc-vars cc-defs python tramp-sh tramp
> tramp-compat tramp-loaddefs trampver shell pcomplete sh-script
> executable sgml-mode go-mode url url-proxy url-privacy url-expand
> url-methods url-history url-cookie url-domsuf url-util mailcap find-file
> ffap etags xref project compile comint ansi-color css-mode smie
> markdown-mode thingatpt noutline outline log-edit easy-mmode message
> dired format-spec rfc822 mml mml-sec epg mm-decode mm-bodies mm-encode
> mail-parse rfc2231 rfc2047 rfc2045 ietf-drums mailabbrev mail-utils
> gmm-utils mailheader ring pcvs-util add-log finder-inf gh-common
> gh-profile url-parse auth-source gnus-util mm-util help-fns mail-prsvr
> password-cache url-vars rx s marshal cl-seq eieio-compat ht json map
> dash eieio eieio-core cl-macs info package epg-config seq byte-opt gv
> bytecomp byte-compile cl-extra help-mode easymenu cconv cl-loaddefs
> cl-lib subr-x pcase advice server time-date mule-util tooltip eldoc
> electric uniquify ediff-hook vc-hooks lisp-float-type mwheel ns-win
> ucs-normalize term/common-win tool-bar dnd fontset image regexp-opt
> fringe tabulated-list newcomment elisp-mode lisp-mode prog-mode register
> page menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock
> font-lock syntax facemenu font-core frame cl-generic cham georgian
> utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
> japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european
> ethiopic indian cyrillic chinese charscript case-table epa-hook
> jka-cmpr-hook help simple abbrev minibuffer cl-preloaded nadvice
> loaddefs button faces cus-face macroexp files text-properties overlay
> sha1 md5 base64 format env code-pages mule custom widget
> hashtable-print-readable backquote kqueue cocoa ns multi-tty
> make-network-process emacs)
>
> Memory information:
> ((conses 16 5126063 736652)
>  (symbols 48 53998 0)
>  (miscs 40 3720 24660)
>  (strings 32 157538 77287)
>  (string-bytes 1 5024002)
>  (vectors 16 90573)
>  (vector-slots 8 2240527 189813)
>  (floats 8 946 1835)
>  (intervals 56 1059644 6492)
>  (buffers 976 638))
>
>
> -- 
> https://snarfed.org/

At my machine, which is not fastest, it took 55 sec until cursor returned.
GNU Emacs 25.1.91.1 (i686-pc-linux-gnu, GTK+ Version 3.14.5) of 2017-01-02

Linux sprache 3.16.0-4-686-pae #1 SMP Debian 3.16.39-1 (2016-12-30) i686 
GNU/Linux

--------------8088F609970B9AF097731D5C
Content-Type: text/html; charset=utf-8
Content-Transfer-Encoding: 8bit

<html>
  <head>
    <meta content="text/html; charset=utf-8" http-equiv="Content-Type">
  </head>
  <body bgcolor="#000000" text="#996633">
    <p><br>
    </p>
    <br>
    <div class="moz-cite-prefix">On 10.02.2017 22:33, Ryan B wrote:<br>
    </div>
    <blockquote
cite="mid:CA+caGh9CW_4UBri3xngZg9qkO8xunLUGmpA7HpOPVQGSOuYUtQ@HIDDEN"
      type="cite">
      <div dir="ltr">i occasionally have very long lines in some
        buffers, e.g. 10k-20k characters. font-lock-mode often hangs for
        a long time (5-10s) when fontifying these lines.<br>
        <br>
        this has evidently been a known issue with font-lock-mode for a
        long time, and inspired a number of optimizations and
        workarounds: jit-lock/lazy-lock (formerly fast-lock),
        font-lock-maximum-decoration, <a moz-do-not-send="true"
          href="https://www.emacswiki.org/emacs/SoLong">https://www.emacswiki.org/emacs/SoLong</a>
        , etc. they all work by deferring, downgrading, or disabling
        fontification in certain buffers.<br>
        <br>
        that's nice, but i'd ideally like to keep font-lock-mode on in
        buffers where very long lines appear, and still prevent the
        hangs. i'm considering adding an opt-in max line length to
        font-lock-mode, after which it would stop fontifying or
        evaluating regexps. i'd love to hear feedback on whether this
        makes sense!<br>
        <br>
        here are steps that reproduce this, with gnu emacs 25.1.1 on mac
        os x:<br>
        <br>
        1. put the single long line under the === below (18572 chars
        long) into a file<br>
        2. run emacs -Q<br>
        3. type C-x C-f &lt;filename&gt; RET to open the file<br>
        4. type M-x compilation-mode RET<br>
        <br>
        this consistently hangs emacs for 9-10s for me on modern
        hardware, a 2014 retina macbook pro.<br>
        <br>
        ===<br>
        <br>
        [2017-02-10T07:35:45Z django.db.backends] DEBUG: (0.057) SELECT
        "xxx_xxxxxx_xxxxxxxx"."xx", "xxx_xxxxxx_xxxxxxxx"."xxxxxxx_xx",
        "xxx_xxxxxx_xxxxxxxx"."xxxxxxx_xx",
        "xxx_xxxxxx_xxxxxxxx"."xxxxxxxx_xxxxx",
        "xxx_xxxxxx_xxxxxxxx"."xxxxxxxx_xx_xx",
        "xxx_xxxxxx_xxxxxxxx"."xxxxxxxx_xx",
        "xxx_xxxxxx_xxxxxxxx"."xxxxxxxx_xx_xx",
        "xxx_xxxxxx_xxxxxxxx"."xxxxxxxx_xx",
        "xxx_xxxxxx_xxxxxxxx"."xxxxxxxxx_xxxx",
        "xxx_xxxxxx_xxxxxxxx"."xxxxx_xxxxxx",
        "xxx_xxxxxx_xxxxxxxx"."xxxx_xx",
        "xxx_xxxxxx_xxxxxxxx"."xxxxxxxxx_xxxxx_xx",
        "xxx_xxxxxx_xxxxxxxx"."xxxxxxxxxxx_xxxx_xx",
        "xxx_xxxxxx_xxxxxxxx"."xxxx_xxxx",
        "xxx_xxxxxx_xxxxxxxx"."xxx_xxxxx_xxxxx",
        "xxx_xxxxxx_xxxxxxxx"."xxxxx_xxxxx_xxxxx",
        "xxx_xxxxxx_xxxxxxxx"."xxxxx_xxxxx_xxxxxx",
        "xxx_xxxxxx_xxxxxxxx"."xxxxxxxx",
        "xxx_xxxxxx_xxxxxxxx"."xxxxx_xx_xxx",
        "xxx_xxxxxx_xxxxxxxx"."xxxx_xxx_xxxxxxx",
        "xxx_xxxxxx_xxxxxxxx"."xxxxxxx_xx",
        "xxx_xxxxxx_xxxxxxxx"."xxxxxxxx_xx",
        "xxx_xxxxxx_xxxxxxxx"."xxxxx",
        "xxx_xxxxxx_xxxxxxxx"."xxxxx_xxxxxx_xx",
        "xxx_xxxxxx_xxxxxxxx"."xxxxxxxxx_xx",
        MAX("xxx_xxxxxx_xxxxxxxxxxxxxxxxxx"."xx") AS "xxxxxxxx_xx",
        COUNT(DISTINCT "xxx_xxxxxx_xxxxxxxx_xxxxxxx"."xxxxxx_xx") AS
        "xxx_xxxxxxx", MAX("xxxxxxx_xxxxxx"."xxxx_xx") AS
        "xxxxxx_xxxx_xx", STRING_AGG("xxxxxxx_xxxxxx"."xxx_xxxxxxx", '
        ') AS "xxx_xxxxxxxx", "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxx_xx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxx_xx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxxxxxx_xxxxxx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxx_xx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxx_xxxxxxx_xx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxxx_xxxxxxxxx_xxxxxxx_xx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxx_xx_xx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxx_xxxxxxx_xx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxx_xxxxxxxxx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xx_xxxxxxxx_xxxxx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxx_xx_xxxxxxx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxx_xxxxx_xx_xxxx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxx_xxx_xxxx_xxxxxxxxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxx_xxxxxxxxxx_xx_xxxxxxxx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxx_xxxxxxxxxx_xx_xxxxxxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xx_xxxxxxxx_xxxxxxx_xxxx_xx_xxxxxx_xxxxxxx_xxxxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xx_xxxxxxxx_xxxxxxx_xxxx_xxx_xxxxxxxxxx_xxxxxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xx_xxxxx_xxx_xxxxxxxx_xxxxx_xx_xxxxxx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxxx_xxxx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxx_xxxxx_xxxxxxxx_xxxxxxxxxx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxxx_xxxxxxxx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxx_xxxxx_xxxxxx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxx_xxxxxx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxx_xxxxxx_xxxxx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxx_xxxxxxx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxx_xxx_xxxxxxx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxx_xxxxxxxxxxx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxxx_xx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxxxx_xx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxx_xx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxxxx_xx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxxx_xxxxxx_x3_xxxx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxxxx_xx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxxxx_xx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxx_xxxx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxx_xxxx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxx_xxxxxx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxx_xxxxxx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxxxx_xxxx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxxxxxxxx_xxxx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxxxx_xxxx1",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxxxx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxxxx_xxxxxxx_xxxxxxx_xxx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxx_xx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxxxxxxxxx_xx",
        "xxxxxxxxxx_xxxxxxxxxxxxxxxxxxxxx"."xx",
        "xxxxxxxxxx_xxxxxxxxxxxxxxxxxxxxx"."xxxxxxx_xx",
        "xxxxxxxxxx_xxxxxxxxxxxxxxxxxxxxx"."xxxxxxx_xx",
        "xxxxxxxxxx_xxxxxxxxxxxxxxxxxxxxx"."xxxxx",
        "xxxxxxxxxx_xxxxxxxxxxxxxxxxxxxxx"."xxxxxxxxx_xx",
        "xxxxxxxxxx_xxxxxxxxxxxxxxxxxxxxx"."xxxxxxxx_xx_xx",
        "xxxxxxxxxx_xxxxxxxxxxxxxxxxxxxxx"."xxxxxxxx_xx",
        "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xx",
        "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxxxx_xx",
        "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxxxx_xx",
        "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxx_xxxx",
        "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxx_xxxx",
        "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxx_xxxxxx",
        "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxx_xxxxxx",
        "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxxxx_xxxx",
        "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxxxxxxxx_xxxx",
        "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxxxxxxxx_xx",
        "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxx",
        "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxx",
        "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxxx",
        "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxxxx_xxxx1",
        "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxxxx_xxxx2",
        "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxxxx_xxxx",
        "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxxxx_xxxxx",
        "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxxxx_xxxxxxx",
        "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxxxx_xxxxxx_xxxx",
        "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxx", T11."xx",
        T11."xxxxxxxx", T11."xxxx_xxxxx", T11."xx_xxxxxxxxx",
        T11."xxxxx", T11."xxxxxxxxxxx_xxxxxxx_xxxxx", T11."xxxxxxx_xx",
        T11."xxxxx_xxxx", T11."xxxx_xxxx", T11."xxxxxxxx", T11."xxxxxx",
        T11."xxxxx_xxxxxx", T11."xxxxxxx_xxxxxxx_xx",
        T11."xxxxxxx_xxxxxxxx_xxxxxxx_xx", T11."xxxxxxx_xx_xxxxx",
        T11."xxx_xxx_xxx_xxxxxxxx", T11."xx_xxxxx",
        T11."xxxxx_xxxxx_xxxxx_xxxxxxx", T11."xx_xxxxxx",
        T11."xx_xxxxx", T11."xxxxxxx_xx", T11."xxxxxxx_xx",
        T11."xxxxxxx_xx", T11."xxxx_xxxxx_xxxxxxx",
        T11."xxxxxxxxxxx_xxxxxx_xxxxxx", T12."xx", T12."xxxxxxx_xx",
        T12."xxxxxxx_xx", T12."xxx", T12."xxxxx_xxxx", T12."xxxx_xxxx",
        T12."xxxxx", T12."xxxxx_xxxxxx", T12."xxx_xxxxxx",
        T12."xxxxxxx_xxxx", T12."xxxxxxxxxxx_xxxx", T12."xxxx",
        T12."xxxxx", T12."xxxxxxx_xxxx1", T12."xxxxxxx",
        T12."xxxxxxx_xxxxxxx_xxxxxxx_xxx", T12."xxxx_xx",
        T12."xxxxxxxxxxxx_xx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxxx_xx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxxx_xx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxxxx_xxxxxxx_xx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxxx_xxxxxxx_xxxxxxxxxx_xx_xxxxxxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxxx_xxxxxxx_xxxxx_xx_xxxx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxxx_xxxx_xx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxxx_xxxx_xxxxxxxxx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxx_xxxxxxxxxxx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxxx_xxxxxxx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxx_xxxx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxxxx_xxxxx_xxxx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxx_xxxxxxxxxx_xxxx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxx_xxx_xxxxxxx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxxx_xxxxxxx_xxxxxxx_xxx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xx_xxxxxxxx_xxxxxxxx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxx_xxxxx_xxxxxx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxxxxxxx_xxxx",
        "xxx_xxxxxx_xxxxxxxxxxxxxxx"."xx",
        "xxx_xxxxxx_xxxxxxxxxxxxxxx"."xxxxxxx_xx",
        "xxx_xxxxxx_xxxxxxxxxxxxxxx"."xxxxxxx_xx",
        "xxx_xxxxxx_xxxxxxxxxxxxxxx"."xxxx",
        "xxx_xxxxxx_xxxxxxxxxxxxxxx"."xxxxx_xxxxx",
        "xxx_xxxxxx_xxxxxxxxxxxxxxx"."xxxxxxx_xxxxxxxx",
        "xxx_xxxxxx_xxxxxxxxxxxxxxx"."xxxxxxxxxx_xxxx",
        "xxx_xxxxxx_xxxxxxxxxxxxxxx"."xxxxxxx",
        "xxx_xxxxxx_xxxxxxxxxxxxxxx"."xxx_xxxxxxxxxxx",
        "xxx_xxxxxx_xxxxxxxxxxxxxxx"."xxxxxxxx_xx",
        "xxx_xxxxxx_xxxxxxxxxxxxxxx"."xx_xxxxxxx",
        "xxx_xxxxxx_xxxxxxxxxxxxxxx"."xxxxxxx",
        "xxxxxxxx_xxxxxxxx"."xx", "xxxxxxxx_xxxxxxxx"."xxxxxxx_xx",
        "xxxxxxxx_xxxxxxxx"."xxxxxxx_xx",
        "xxxxxxxx_xxxxxxxx"."xxxxxxxx_xxxxxx",
        "xxxxxxxx_xxxxxxxx"."xxxx_xx", "xxxxxxxx_xxxxxxxx"."xxxxxxx_xx",
        "xxxxxxxx_xxxxxxxx"."xxxxxxxx_xxxx_xxxxx",
        "xxxxxxxx_xxxxxxxx"."xxxxxxxx_xxxxxxx_xx",
        "xxxxxxxx_xxxxxxxx"."xxxxxxxx_xxxxx_xxxxx",
        "xxxxxxxx_xxxxxxxx"."xxxx_xx",
        "xxxxxxxx_xxxxxxxx"."xxxxxxxxx_xxxxx_xx",
        "xxxxxxxx_xxxxxxxx"."xx_xxxx_xx",
        "xxxxxxxx_xxxxxxxx"."xxx_xxx_xxxx" FROM "xxx_xxxxxx_xxxxxxxx"
        LEFT OUTER JOIN "xxx_xxxxxx_xxxxxxxxxxxxxxx" ON (
        "xxx_xxxxxx_xxxxxxxx"."xxxxxxxxxxx_xxxx_xx" =
        "xxx_xxxxxx_xxxxxxxxxxxxxxx"."xx" ) LEFT OUTER JOIN
        "xxx_xxxxxx_xxxxxxxxxxxxxxxxxx" ON ( "xxx_xxxxxx_xxxxxxxx"."xx"
        = "xxx_xxxxxx_xxxxxxxxxxxxxxxxxx"."xxx_xxxxx_xx" ) LEFT OUTER
        JOIN "xxx_xxxxxx_xxxxxxxx_xxxxxxx" ON (
        "xxx_xxxxxx_xxxxxxxx"."xx" =
        "xxx_xxxxxx_xxxxxxxx_xxxxxxx"."xxxxxxxx_xx" ) LEFT OUTER JOIN
        "xxxxxxx_xxxxxx" ON ( "xxx_xxxxxx_xxxxxxxx_xxxxxxx"."xxxxxx_xx"
        = "xxxxxxx_xxxxxx"."xx" ) LEFT OUTER JOIN
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx" ON (
        "xxx_xxxxxx_xxxxxxxx"."xxxxxxxxx_xxxxx_xx" =
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xx" ) LEFT OUTER JOIN
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx" ON (
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxxx_xxxxxxxxx_xxxxxxx_xx"
        = "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xx" ) LEFT OUTER JOIN
        "xxxxxxxxxx_xxxxxxxxxxxxxxxxxxxxx" ON (
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxxxxxxxxx_xx" =
        "xxxxxxxxxx_xxxxxxxxxxxxxxxxxxxxx"."xx" ) LEFT OUTER JOIN
        "xxxxxxxxxx_xxxxxxxxxxxxxxxxx" ON (
        "xxxxxxxxxx_xxxxxxxxxxxxxxxxxxxxx"."xxxxxxxxx_xx" =
        "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xx" ) LEFT OUTER JOIN
        "xxxxx_xxxxxxxxx" T11 ON (
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxx_xx_xx" = T11."xx" )
        LEFT OUTER JOIN "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx" T12 ON (
        T11."xx" = T12."xxxx_xx" ) LEFT OUTER JOIN
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx" ON ( T12."xx" =
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxxxx_xxxxxxx_xx" )
        LEFT OUTER JOIN "xxxxxxxx_xxxxxxxx" ON (
        "xxx_xxxxxx_xxxxxxxx"."xxxxxxxx_xx" = "xxxxxxxx_xxxxxxxx"."xx" )
        WHERE (NOT ("xxx_xxxxxx_xxxxxxxx"."xxxxx" = 'xxxxxxxxx') AND NOT
        ("xxx_xxxxxx_xxxxxxxx"."xxxxxxx_xx" &lt;
        '2015-04-20T00:00:00-07:00'::xxxxxxxxxxx) AND NOT
        ("xxx_xxxxxx_xxxxxxxxxxxxxxx"."xxxxxxx" IN ('xx', 'xx') AND
        "xxx_xxxxxx_xxxxxxxxxxxxxxx"."xxxxxxx" IS NOT NULL)) GROUP BY
        "xxx_xxxxxx_xxxxxxxx"."xx", "xxx_xxxxxx_xxxxxxxx"."xxxxxxx_xx",
        "xxx_xxxxxx_xxxxxxxx"."xxxxxxx_xx",
        "xxx_xxxxxx_xxxxxxxx"."xxxxxxxx_xxxxx",
        "xxx_xxxxxx_xxxxxxxx"."xxxxxxxx_xx_xx",
        "xxx_xxxxxx_xxxxxxxx"."xxxxxxxx_xx",
        "xxx_xxxxxx_xxxxxxxx"."xxxxxxxx_xx_xx",
        "xxx_xxxxxx_xxxxxxxx"."xxxxxxxx_xx",
        "xxx_xxxxxx_xxxxxxxx"."xxxxxxxxx_xxxx",
        "xxx_xxxxxx_xxxxxxxx"."xxxxx_xxxxxx",
        "xxx_xxxxxx_xxxxxxxx"."xxxx_xx",
        "xxx_xxxxxx_xxxxxxxx"."xxxxxxxxx_xxxxx_xx",
        "xxx_xxxxxx_xxxxxxxx"."xxxxxxxxxxx_xxxx_xx",
        "xxx_xxxxxx_xxxxxxxx"."xxxx_xxxx",
        "xxx_xxxxxx_xxxxxxxx"."xxx_xxxxx_xxxxx",
        "xxx_xxxxxx_xxxxxxxx"."xxxxx_xxxxx_xxxxx",
        "xxx_xxxxxx_xxxxxxxx"."xxxxx_xxxxx_xxxxxx",
        "xxx_xxxxxx_xxxxxxxx"."xxxxxxxx",
        "xxx_xxxxxx_xxxxxxxx"."xxxxx_xx_xxx",
        "xxx_xxxxxx_xxxxxxxx"."xxxx_xxx_xxxxxxx",
        "xxx_xxxxxx_xxxxxxxx"."xxxxxxx_xx",
        "xxx_xxxxxx_xxxxxxxx"."xxxxxxxx_xx",
        "xxx_xxxxxx_xxxxxxxx"."xxxxx",
        "xxx_xxxxxx_xxxxxxxx"."xxxxx_xxxxxx_xx",
        "xxx_xxxxxx_xxxxxxxx"."xxxxxxxxx_xx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxx_xx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxx_xx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxxxxxx_xxxxxx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxx_xx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxx_xxxxxxx_xx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxxx_xxxxxxxxx_xxxxxxx_xx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxx_xx_xx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxx_xxxxxxx_xx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxx_xxxxxxxxx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xx_xxxxxxxx_xxxxx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxx_xx_xxxxxxx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxx_xxxxx_xx_xxxx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxx_xxx_xxxx_xxxxxxxxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxx_xxxxxxxxxx_xx_xxxxxxxx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxx_xxxxxxxxxx_xx_xxxxxxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xx_xxxxxxxx_xxxxxxx_xxxx_xx_xxxxxx_xxxxxxx_xxxxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xx_xxxxxxxx_xxxxxxx_xxxx_xxx_xxxxxxxxxx_xxxxxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xx_xxxxx_xxx_xxxxxxxx_xxxxx_xx_xxxxxx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxxx_xxxx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxx_xxxxx_xxxxxxxx_xxxxxxxxxx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxxx_xxxxxxxx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxx_xxxxx_xxxxxx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxx_xxxxxx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxx_xxxxxx_xxxxx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxx_xxxxxxx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxx_xxx_xxxxxxx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxx_xxxxxxxxxxx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxxx_xx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxxxx_xx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxx_xx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxxxx_xx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxxx_xxxxxx_x3_xxxx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxxxx_xx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxxxx_xx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxx_xxxx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxx_xxxx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxx_xxxxxx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxx_xxxxxx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxxxx_xxxx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxxxxxxxx_xxxx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxxxx_xxxx1",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxxxx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxxxx_xxxxxxx_xxxxxxx_xxx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxx_xx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxxxxxxxxx_xx",
        "xxxxxxxxxx_xxxxxxxxxxxxxxxxxxxxx"."xx",
        "xxxxxxxxxx_xxxxxxxxxxxxxxxxxxxxx"."xxxxxxx_xx",
        "xxxxxxxxxx_xxxxxxxxxxxxxxxxxxxxx"."xxxxxxx_xx",
        "xxxxxxxxxx_xxxxxxxxxxxxxxxxxxxxx"."xxxxx",
        "xxxxxxxxxx_xxxxxxxxxxxxxxxxxxxxx"."xxxxxxxxx_xx",
        "xxxxxxxxxx_xxxxxxxxxxxxxxxxxxxxx"."xxxxxxxx_xx_xx",
        "xxxxxxxxxx_xxxxxxxxxxxxxxxxxxxxx"."xxxxxxxx_xx",
        "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xx",
        "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxxxx_xx",
        "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxxxx_xx",
        "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxx_xxxx",
        "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxx_xxxx",
        "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxx_xxxxxx",
        "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxx_xxxxxx",
        "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxxxx_xxxx",
        "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxxxxxxxx_xxxx",
        "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxxxxxxxx_xx",
        "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxx",
        "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxx",
        "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxxx",
        "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxxxx_xxxx1",
        "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxxxx_xxxx2",
        "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxxxx_xxxx",
        "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxxxx_xxxxx",
        "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxxxx_xxxxxxx",
        "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxxxx_xxxxxx_xxxx",
        "xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxx", T11."xx",
        T11."xxxxxxxx", T11."xxxx_xxxxx", T11."xx_xxxxxxxxx",
        T11."xxxxx", T11."xxxxxxxxxxx_xxxxxxx_xxxxx", T11."xxxxxxx_xx",
        T11."xxxxx_xxxx", T11."xxxx_xxxx", T11."xxxxxxxx", T11."xxxxxx",
        T11."xxxxx_xxxxxx", T11."xxxxxxx_xxxxxxx_xx",
        T11."xxxxxxx_xxxxxxxx_xxxxxxx_xx", T11."xxxxxxx_xx_xxxxx",
        T11."xxx_xxx_xxx_xxxxxxxx", T11."xx_xxxxx",
        T11."xxxxx_xxxxx_xxxxx_xxxxxxx", T11."xx_xxxxxx",
        T11."xx_xxxxx", T11."xxxxxxx_xx", T11."xxxxxxx_xx",
        T11."xxxxxxx_xx", T11."xxxx_xxxxx_xxxxxxx",
        T11."xxxxxxxxxxx_xxxxxx_xxxxxx", T12."xx", T12."xxxxxxx_xx",
        T12."xxxxxxx_xx", T12."xxx", T12."xxxxx_xxxx", T12."xxxx_xxxx",
        T12."xxxxx", T12."xxxxx_xxxxxx", T12."xxx_xxxxxx",
        T12."xxxxxxx_xxxx", T12."xxxxxxxxxxx_xxxx", T12."xxxx",
        T12."xxxxx", T12."xxxxxxx_xxxx1", T12."xxxxxxx",
        T12."xxxxxxx_xxxxxxx_xxxxxxx_xxx", T12."xxxx_xx",
        T12."xxxxxxxxxxxx_xx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxxx_xx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxxx_xx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxxxx_xxxxxxx_xx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxxx_xxxxxxx_xxxxxxxxxx_xx_xxxxxxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxxx_xxxxxxx_xxxxx_xx_xxxx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxxx_xxxx_xx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxxx_xxxx_xxxxxxxxx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxx_xxxxxxxxxxx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxxx_xxxxxxx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxx_xxxx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxxxx_xxxxx_xxxx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxx_xxxxxxxxxx_xxxx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxx_xxx_xxxxxxx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxxx_xxxxxxx_xxxxxxx_xxx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xx_xxxxxxxx_xxxxxxxx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxx_xxxxx_xxxxxx",
        "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxxxxxxx_xxxx",
        "xxx_xxxxxx_xxxxxxxxxxxxxxx"."xx",
        "xxx_xxxxxx_xxxxxxxxxxxxxxx"."xxxxxxx_xx",
        "xxx_xxxxxx_xxxxxxxxxxxxxxx"."xxxxxxx_xx",
        "xxx_xxxxxx_xxxxxxxxxxxxxxx"."xxxx",
        "xxx_xxxxxx_xxxxxxxxxxxxxxx"."xxxxx_xxxxx",
        "xxx_xxxxxx_xxxxxxxxxxxxxxx"."xxxxxxx_xxxxxxxx",
        "xxx_xxxxxx_xxxxxxxxxxxxxxx"."xxxxxxxxxx_xxxx",
        "xxx_xxxxxx_xxxxxxxxxxxxxxx"."xxxxxxx",
        "xxx_xxxxxx_xxxxxxxxxxxxxxx"."xxx_xxxxxxxxxxx",
        "xxx_xxxxxx_xxxxxxxxxxxxxxx"."xxxxxxxx_xx",
        "xxx_xxxxxx_xxxxxxxxxxxxxxx"."xx_xxxxxxx",
        "xxx_xxxxxx_xxxxxxxxxxxxxxx"."xxxxxxx",
        "xxxxxxxx_xxxxxxxx"."xx", "xxxxxxxx_xxxxxxxx"."xxxxxxx_xx",
        "xxxxxxxx_xxxxxxxx"."xxxxxxx_xx",
        "xxxxxxxx_xxxxxxxx"."xxxxxxxx_xxxxxx",
        "xxxxxxxx_xxxxxxxx"."xxxx_xx", "xxxxxxxx_xxxxxxxx"."xxxxxxx_xx",
        "xxxxxxxx_xxxxxxxx"."xxxxxxxx_xxxx_xxxxx",
        "xxxxxxxx_xxxxxxxx"."xxxxxxxx_xxxxxxx_xx",
        "xxxxxxxx_xxxxxxxx"."xxxxxxxx_xxxxx_xxxxx",
        "xxxxxxxx_xxxxxxxx"."xxxx_xx",
        "xxxxxxxx_xxxxxxxx"."xxxxxxxxx_xxxxx_xx",
        "xxxxxxxx_xxxxxxxx"."xx_xxxx_xx",
        "xxxxxxxx_xxxxxxxx"."xxx_xxx_xxxx"; xxxx=('xxxxxxxxx',
        datetime.datetime(2015, 4, 20, 0, 0, tzinfo=&lt;DstTzInfo
        'America/Los_Angeles' PDT-1 day, 17:00:00 DST&gt;), 'ff', 'qa')<br>
        <br>
        <br>
        ===<br>
        <br>
        <br>
        <br>
        In GNU Emacs 25.1.1 (x86_64-apple-darwin15.6.0, NS
        appkit-1404.47 Version 10.11.6 (Build 15G1004))<br>
         of 2016-09-17 built on hell.PK5001Z<br>
        Windowing system distributor 'Apple', version 10.3.1404<br>
        Configured using:<br>
         'configure --disable-dependency-tracking --disable-silent-rules<br>
         --enable-locallisppath=/usr/local/share/emacs/site-lisp<br>
         --infodir=/usr/local/Cellar/emacs/25.1/share/info/emacs<br>
         --prefix=/usr/local/Cellar/emacs/25.1 --without-x --with-xml2<br>
         --without-dbus --without-gnutls --with-rsvg --with-ns<br>
         --disable-ns-self-contained'<br>
        <br>
        Configured features:<br>
        JPEG RSVG NOTIFY ACL LIBXML2 ZLIB TOOLKIT_SCROLL_BARS NS<br>
        <br>
        Important settings:<br>
          value of $LANG: en_US.UTF-8<br>
          locale-coding-system: utf-8-unix<br>
        <br>
        Major mode: JavaScript<br>
        <br>
        Minor modes in effect:<br>
          helm-mode: t<br>
          diff-auto-refine-mode: t<br>
          rainbow-identifiers-mode: t<br>
          rainbow-delimiters-mode: t<br>
          async-bytecomp-package-mode: t<br>
          global-auto-revert-mode: t<br>
          desktop-save-mode: t<br>
          savehist-mode: t<br>
          show-paren-mode: t<br>
          delete-selection-mode: t<br>
          recentf-mode: t<br>
          global-subword-mode: t<br>
          subword-mode: t<br>
          shell-dirtrack-mode: t<br>
          global-eldoc-mode: t<br>
          mouse-wheel-mode: t<br>
          file-name-shadow-mode: t<br>
          global-font-lock-mode: t<br>
          font-lock-mode: t<br>
          auto-composition-mode: t<br>
          auto-encryption-mode: t<br>
          auto-compression-mode: t<br>
          column-number-mode: t<br>
          line-number-mode: t<br>
          transient-mark-mode: t<br>
        <br>
        Recent messages:<br>
        Saving file /Users/ryan/.emacs.d/recentf...<br>
        Wrote /Users/ryan/.emacs.d/recentf<br>
        Desktop saved in ~/.emacs.d/<br>
        Saving file /Users/ryan/.emacs.d/recentf...<br>
        Wrote /Users/ryan/.emacs.d/recentf<br>
        Reverting buffer ‘recentf’.<br>
        next-line: End of buffer [2 times]<br>
        Mark set [5 times]<br>
        Saving file /tmp/*scratch*...<br>
        Wrote /tmp/*scratch*<br>
        <br>
        Load-path shadows:<br>
        /Users/ryan/.emacs.d/elpa/seq-2.19/seq hides
        /usr/local/Cellar/emacs/25.1/share/emacs/25.1/lisp/emacs-lisp/seq<br>
        <br>
        Features:<br>
        (shadow sort mail-extr emacsbug sendmail ibuf-ext man
        vc-annotate<br>
        log-view pcmpl-unix vc-bzr vc-src vc-sccs vc-cvs vc-rcs dabbrev<br>
        image-file dirtrack emacs-lock manoj-dark-theme ibuffer
        eieio-opt<br>
        find-func cus-edit rst fillcode cc-bytecomp make-mode filecache<br>
        tramp-cache conf-mode helm-command vc-svn helm-elisp helm-eval
        edebug<br>
        sql view json-mode json-reformat json-snatcher misearch
        multi-isearch<br>
        ido ess-toolbar ess-mouse mouseme ess-menu ess-swv ess-noweb<br>
        ess-noweb-font-lock-mode ess-bugs-l essd-els ess-sas-d ess-sas-l<br>
        ess-sas-a ess-sta-d ess-sta-l make-regexp ess-sp6-d ess-dde
        ess-sp3-d<br>
        ess-julia julia-mode ess-r-d ess-r-syntax ess-r-completion
        ess-roxy<br>
        essddr hideshow ess-help ess-r-package ess-s-l ess-site ess
        ess-inf<br>
        ess-tracebug ess-mode ess-noweb-mode ess-utils ess-generics cl<br>
        ess-custom ess-compat nxml-uchnm rng-xsd xsd-regexp rng-cmpct
        rng-nxml<br>
        rng-valid rng-loc rng-uri rng-parse nxml-parse rng-match rng-dt
        rng-util<br>
        rng-pttrn nxml-ns nxml-mode nxml-outln nxml-rap nxml-util
        nxml-glyph<br>
        nxml-enc xmltok php-mode derived speedbar sb-image ezimage
        dframe<br>
        flymake cc-langs smerge-mode vc-dir ewoc vc vc-dispatcher winner<br>
        yaml-mode jka-compr helm-mode vc-git diff-mode
        rainbow-identifiers color<br>
        rainbow-delimiters helm-misc helm-files image-dired dired-x
        dired-aux<br>
        helm-buffers helm-elscreen helm-tags helm-bookmark helm-adaptive<br>
        helm-info bookmark pp helm-locate helm-grep helm-regexp
        helm-external<br>
        helm-net browse-url xml helm-utils helm-help helm-types
        helm-config<br>
        helm-easymenu async-bytecomp async helm edmacro kmacro
        helm-source<br>
        helm-multi-match helm-lib midnight autorevert filenotify desktop<br>
        frameset savehist paren redo+ delsel warnings grep cus-start
        cus-load<br>
        git-link dash-at-point recentf tree-widget wid-edit cap-words
        superword<br>
        subword jade-mode js imenu cc-mode cc-fonts cc-guess cc-menus
        cc-cmds<br>
        cc-styles cc-align cc-engine cc-vars cc-defs python tramp-sh
        tramp<br>
        tramp-compat tramp-loaddefs trampver shell pcomplete sh-script<br>
        executable sgml-mode go-mode url url-proxy url-privacy
        url-expand<br>
        url-methods url-history url-cookie url-domsuf url-util mailcap
        find-file<br>
        ffap etags xref project compile comint ansi-color css-mode smie<br>
        markdown-mode thingatpt noutline outline log-edit easy-mmode
        message<br>
        dired format-spec rfc822 mml mml-sec epg mm-decode mm-bodies
        mm-encode<br>
        mail-parse rfc2231 rfc2047 rfc2045 ietf-drums mailabbrev
        mail-utils<br>
        gmm-utils mailheader ring pcvs-util add-log finder-inf gh-common<br>
        gh-profile url-parse auth-source gnus-util mm-util help-fns
        mail-prsvr<br>
        password-cache url-vars rx s marshal cl-seq eieio-compat ht json
        map<br>
        dash eieio eieio-core cl-macs info package epg-config seq
        byte-opt gv<br>
        bytecomp byte-compile cl-extra help-mode easymenu cconv
        cl-loaddefs<br>
        cl-lib subr-x pcase advice server time-date mule-util tooltip
        eldoc<br>
        electric uniquify ediff-hook vc-hooks lisp-float-type mwheel
        ns-win<br>
        ucs-normalize term/common-win tool-bar dnd fontset image
        regexp-opt<br>
        fringe tabulated-list newcomment elisp-mode lisp-mode prog-mode
        register<br>
        page menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock<br>
        font-lock syntax facemenu font-core frame cl-generic cham
        georgian<br>
        utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean<br>
        japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
        european<br>
        ethiopic indian cyrillic chinese charscript case-table epa-hook<br>
        jka-cmpr-hook help simple abbrev minibuffer cl-preloaded nadvice<br>
        loaddefs button faces cus-face macroexp files text-properties
        overlay<br>
        sha1 md5 base64 format env code-pages mule custom widget<br>
        hashtable-print-readable backquote kqueue cocoa ns multi-tty<br>
        make-network-process emacs)<br>
        <br>
        Memory information:<br>
        ((conses 16 5126063 736652)<br>
         (symbols 48 53998 0)<br>
         (miscs 40 3720 24660)<br>
         (strings 32 157538 77287)<br>
         (string-bytes 1 5024002)<br>
         (vectors 16 90573)<br>
         (vector-slots 8 2240527 189813)<br>
         (floats 8 946 1835)<br>
         (intervals 56 1059644 6492)<br>
         (buffers 976 638))<br>
        <br clear="all">
        <br>
        -- <br>
        <div class="gmail_signature"><a moz-do-not-send="true"
            href="https://snarfed.org/" target="_blank">https://snarfed.org/</a></div>
      </div>
    </blockquote>
    <br>
    At my machine, which is not fastest, it took 55 sec until cursor
    returned.<br>
    GNU Emacs 25.1.91.1 (i686-pc-linux-gnu, GTK+ Version 3.14.5) of
    2017-01-02<br>
    <br>
    Linux sprache 3.16.0-4-686-pae #1 SMP Debian 3.16.39-1 (2016-12-30)
    i686 GNU/Linux<br>
  </body>
</html>

--------------8088F609970B9AF097731D5C--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25682; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 10 Feb 2017 21:45:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 10 16:44:59 2017
Received: from localhost ([127.0.0.1]:35090 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ccIzy-0006ex-DQ
	for submit <at> debbugs.gnu.org; Fri, 10 Feb 2017 16:44:59 -0500
Received: from eggs.gnu.org ([208.118.235.92]:52852)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <public@HIDDEN>) id 1ccIqA-0006Qw-6x
 for submit <at> debbugs.gnu.org; Fri, 10 Feb 2017 16:34:51 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <public@HIDDEN>) id 1ccIq0-00007Y-4n
 for submit <at> debbugs.gnu.org; Fri, 10 Feb 2017 16:34:44 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,HTML_MESSAGE
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:43571)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <public@HIDDEN>) id 1ccIpz-00007S-WB
 for submit <at> debbugs.gnu.org; Fri, 10 Feb 2017 16:34:40 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:43747)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <public@HIDDEN>) id 1ccIpu-00035t-I2
 for bug-gnu-emacs@HIDDEN; Fri, 10 Feb 2017 16:34:39 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <public@HIDDEN>) id 1ccIpp-0008Uz-Lj
 for bug-gnu-emacs@HIDDEN; Fri, 10 Feb 2017 16:34:34 -0500
Received: from smtp3.cs.stanford.edu ([171.64.64.27]:48271)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <public@HIDDEN>) id 1ccIpp-0008UC-4Y
 for bug-gnu-emacs@HIDDEN; Fri, 10 Feb 2017 16:34:29 -0500
Received: from mail-vk0-f52.google.com ([209.85.213.52]:33803)
 by smtp3.cs.Stanford.EDU with esmtpsa
 (TLSv1.2:ECDHE-RSA-AES128-GCM-SHA256:128) (Exim 4.88)
 (envelope-from <public@HIDDEN>) id 1ccIpk-0001QB-BA
 for bug-gnu-emacs@HIDDEN; Fri, 10 Feb 2017 13:34:27 -0800
Received: by mail-vk0-f52.google.com with SMTP id r136so34818686vke.1
 for <bug-gnu-emacs@HIDDEN>; Fri, 10 Feb 2017 13:34:24 -0800 (PST)
X-Gm-Message-State: AMke39kWp9eCE745EN6pVU58M9egu+wQPf4RSVe4LhC9ID6HlrPAaVbEaGRh6DhdNQgmdFiLddEifx/UNQxG6w==
X-Received: by 10.31.155.75 with SMTP id d72mr5163897vke.55.1486762463277;
 Fri, 10 Feb 2017 13:34:23 -0800 (PST)
MIME-Version: 1.0
Received: by 10.176.65.134 with HTTP; Fri, 10 Feb 2017 13:33:52 -0800 (PST)
From: Ryan B <public@HIDDEN>
Date: Fri, 10 Feb 2017 13:33:52 -0800
X-Gmail-Original-Message-ID: <CA+caGh9CW_4UBri3xngZg9qkO8xunLUGmpA7HpOPVQGSOuYUtQ@HIDDEN>
Message-ID: <CA+caGh9CW_4UBri3xngZg9qkO8xunLUGmpA7HpOPVQGSOuYUtQ@HIDDEN>
Subject: 25.1; font-lock: fontifying too slow in some modes on very long lines
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary=001a1141ddd27d3f5e054833dc12
X-Scan-Signature: caa97369d9b0a96268ab7ebed178327c
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.3 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Fri, 10 Feb 2017 16:44:57 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.3 (----)

--001a1141ddd27d3f5e054833dc12
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

i occasionally have very long lines in some buffers, e.g. 10k-20k
characters. font-lock-mode often hangs for a long time (5-10s) when
fontifying these lines.

this has evidently been a known issue with font-lock-mode for a long time,
and inspired a number of optimizations and workarounds: jit-lock/lazy-lock
(formerly fast-lock), font-lock-maximum-decoration,
https://www.emacswiki.org/emacs/SoLong , etc. they all work by deferring,
downgrading, or disabling fontification in certain buffers.

that's nice, but i'd ideally like to keep font-lock-mode on in buffers
where very long lines appear, and still prevent the hangs. i'm considering
adding an opt-in max line length to font-lock-mode, after which it would
stop fontifying or evaluating regexps. i'd love to hear feedback on whether
this makes sense!

here are steps that reproduce this, with gnu emacs 25.1.1 on mac os x:

1. put the single long line under the =3D=3D=3D below (18572 chars long) in=
to a
file
2. run emacs -Q
3. type C-x C-f <filename> RET to open the file
4. type M-x compilation-mode RET

this consistently hangs emacs for 9-10s for me on modern hardware, a 2014
retina macbook pro.

=3D=3D=3D

[2017-02-10T07:35:45Z django.db.backends] DEBUG: (0.057) SELECT
"xxx_xxxxxx_xxxxxxxx"."xx", "xxx_xxxxxx_xxxxxxxx"."xxxxxxx_xx",
"xxx_xxxxxx_xxxxxxxx"."xxxxxxx_xx", "xxx_xxxxxx_xxxxxxxx"."xxxxxxxx_xxxxx",
"xxx_xxxxxx_xxxxxxxx"."xxxxxxxx_xx_xx",
"xxx_xxxxxx_xxxxxxxx"."xxxxxxxx_xx",
"xxx_xxxxxx_xxxxxxxx"."xxxxxxxx_xx_xx",
"xxx_xxxxxx_xxxxxxxx"."xxxxxxxx_xx",
"xxx_xxxxxx_xxxxxxxx"."xxxxxxxxx_xxxx",
"xxx_xxxxxx_xxxxxxxx"."xxxxx_xxxxxx", "xxx_xxxxxx_xxxxxxxx"."xxxx_xx",
"xxx_xxxxxx_xxxxxxxx"."xxxxxxxxx_xxxxx_xx",
"xxx_xxxxxx_xxxxxxxx"."xxxxxxxxxxx_xxxx_xx",
"xxx_xxxxxx_xxxxxxxx"."xxxx_xxxx", "xxx_xxxxxx_xxxxxxxx"."xxx_xxxxx_xxxxx",
"xxx_xxxxxx_xxxxxxxx"."xxxxx_xxxxx_xxxxx",
"xxx_xxxxxx_xxxxxxxx"."xxxxx_xxxxx_xxxxxx",
"xxx_xxxxxx_xxxxxxxx"."xxxxxxxx", "xxx_xxxxxx_xxxxxxxx"."xxxxx_xx_xxx",
"xxx_xxxxxx_xxxxxxxx"."xxxx_xxx_xxxxxxx",
"xxx_xxxxxx_xxxxxxxx"."xxxxxxx_xx", "xxx_xxxxxx_xxxxxxxx"."xxxxxxxx_xx",
"xxx_xxxxxx_xxxxxxxx"."xxxxx", "xxx_xxxxxx_xxxxxxxx"."xxxxx_xxxxxx_xx",
"xxx_xxxxxx_xxxxxxxx"."xxxxxxxxx_xx",
MAX("xxx_xxxxxx_xxxxxxxxxxxxxxxxxx"."xx") AS "xxxxxxxx_xx", COUNT(DISTINCT
"xxx_xxxxxx_xxxxxxxx_xxxxxxx"."xxxxxx_xx") AS "xxx_xxxxxxx",
MAX("xxxxxxx_xxxxxx"."xxxx_xx") AS "xxxxxx_xxxx_xx",
STRING_AGG("xxxxxxx_xxxxxx"."xxx_xxxxxxx", ' ') AS "xxx_xxxxxxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxx_xx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxx_xx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxxxxxx_xxxxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxx_xx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxx_xxxxxxx_xx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxxx_xxxxxxxxx_xxxxxxx_xx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxx_xx_xx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxx_xxxxxxx_xx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxx_xxxxxxxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xx_xxxxxxxx_xxxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxx_xx_xxxxxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxx_xxxxx_xx_xxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxx_xxx_xxxx_xxxxxxxxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxx_xxxxxxxxxx_xx_xxxxxxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxx_xxxxxxxxxx_xx_xxxxxxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xx_xxxxxxxx_xxxxxxx_xxxx_xx_xxxxxx_xx=
xxxxx_xxxxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xx_xxxxxxxx_xxxxxxx_xxxx_xxx_xxxxxxxx=
xx_xxxxxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xx_xxxxx_xxx_xxxxxxxx_xxxxx_xx_xxxxxx=
",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxxx_xxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxx_xxxxx_xxxxxxxx_xxxxxxxxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxxx_xxxxxxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxx_xxxxx_xxxxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxx_xxxxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxx_xxxxxx_xxxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxx_xxxxxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxx_xxx_xxxxxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxx_xxxxxxxxxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxxx_xx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxxxx_xx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxx_xx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxxxx_xx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxxx_xxxxxx_x3_xxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxxxx_xx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxxxx_xx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxx_xxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxx_xxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxx_xxxxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxx_xxxxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxxxx_xxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxxxxxxxx_xxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxxxx_xxxx1",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxxxx_xxxxxxx_xxxxxxx_xxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxx_xx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxxxxxxxxx_xx",
"xxxxxxxxxx_xxxxxxxxxxxxxxxxxxxxx"."xx",
"xxxxxxxxxx_xxxxxxxxxxxxxxxxxxxxx"."xxxxxxx_xx",
"xxxxxxxxxx_xxxxxxxxxxxxxxxxxxxxx"."xxxxxxx_xx",
"xxxxxxxxxx_xxxxxxxxxxxxxxxxxxxxx"."xxxxx",
"xxxxxxxxxx_xxxxxxxxxxxxxxxxxxxxx"."xxxxxxxxx_xx",
"xxxxxxxxxx_xxxxxxxxxxxxxxxxxxxxx"."xxxxxxxx_xx_xx",
"xxxxxxxxxx_xxxxxxxxxxxxxxxxxxxxx"."xxxxxxxx_xx",
"xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xx",
"xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxxxx_xx",
"xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxxxx_xx",
"xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxx_xxxx",
"xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxx_xxxx",
"xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxx_xxxxxx",
"xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxx_xxxxxx",
"xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxxxx_xxxx",
"xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxxxxxxxx_xxxx",
"xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxxxxxxxx_xx",
"xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxx",
"xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxx",
"xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxxx",
"xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxxxx_xxxx1",
"xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxxxx_xxxx2",
"xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxxxx_xxxx",
"xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxxxx_xxxxx",
"xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxxxx_xxxxxxx",
"xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxxxx_xxxxxx_xxxx",
"xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxx", T11."xx", T11."xxxxxxxx",
T11."xxxx_xxxxx", T11."xx_xxxxxxxxx", T11."xxxxx",
T11."xxxxxxxxxxx_xxxxxxx_xxxxx", T11."xxxxxxx_xx", T11."xxxxx_xxxx",
T11."xxxx_xxxx", T11."xxxxxxxx", T11."xxxxxx", T11."xxxxx_xxxxxx",
T11."xxxxxxx_xxxxxxx_xx", T11."xxxxxxx_xxxxxxxx_xxxxxxx_xx",
T11."xxxxxxx_xx_xxxxx", T11."xxx_xxx_xxx_xxxxxxxx", T11."xx_xxxxx",
T11."xxxxx_xxxxx_xxxxx_xxxxxxx", T11."xx_xxxxxx", T11."xx_xxxxx",
T11."xxxxxxx_xx", T11."xxxxxxx_xx", T11."xxxxxxx_xx",
T11."xxxx_xxxxx_xxxxxxx", T11."xxxxxxxxxxx_xxxxxx_xxxxxx", T12."xx",
T12."xxxxxxx_xx", T12."xxxxxxx_xx", T12."xxx", T12."xxxxx_xxxx",
T12."xxxx_xxxx", T12."xxxxx", T12."xxxxx_xxxxxx", T12."xxx_xxxxxx",
T12."xxxxxxx_xxxx", T12."xxxxxxxxxxx_xxxx", T12."xxxx", T12."xxxxx",
T12."xxxxxxx_xxxx1", T12."xxxxxxx", T12."xxxxxxx_xxxxxxx_xxxxxxx_xxx",
T12."xxxx_xx", T12."xxxxxxxxxxxx_xx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxxx_xx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxxx_xx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxxxx_xxxxxxx_xx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxxx_xxxxxxx_xxxxxxxxxx_xx_xxxxx=
xxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxxx_xxxxxxx_xxxxx_xx_xxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxxx_xxxx_xx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxxx_xxxx_xxxxxxxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxx_xxxxxxxxxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxxx_xxxxxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxx_xxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxxxx_xxxxx_xxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxx_xxxxxxxxxx_xxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxx_xxx_xxxxxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxxx_xxxxxxx_xxxxxxx_xxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xx_xxxxxxxx_xxxxxxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxx_xxxxx_xxxxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxxxxxxx_xxxx",
"xxx_xxxxxx_xxxxxxxxxxxxxxx"."xx",
"xxx_xxxxxx_xxxxxxxxxxxxxxx"."xxxxxxx_xx",
"xxx_xxxxxx_xxxxxxxxxxxxxxx"."xxxxxxx_xx",
"xxx_xxxxxx_xxxxxxxxxxxxxxx"."xxxx",
"xxx_xxxxxx_xxxxxxxxxxxxxxx"."xxxxx_xxxxx",
"xxx_xxxxxx_xxxxxxxxxxxxxxx"."xxxxxxx_xxxxxxxx",
"xxx_xxxxxx_xxxxxxxxxxxxxxx"."xxxxxxxxxx_xxxx",
"xxx_xxxxxx_xxxxxxxxxxxxxxx"."xxxxxxx",
"xxx_xxxxxx_xxxxxxxxxxxxxxx"."xxx_xxxxxxxxxxx",
"xxx_xxxxxx_xxxxxxxxxxxxxxx"."xxxxxxxx_xx",
"xxx_xxxxxx_xxxxxxxxxxxxxxx"."xx_xxxxxxx",
"xxx_xxxxxx_xxxxxxxxxxxxxxx"."xxxxxxx", "xxxxxxxx_xxxxxxxx"."xx",
"xxxxxxxx_xxxxxxxx"."xxxxxxx_xx", "xxxxxxxx_xxxxxxxx"."xxxxxxx_xx",
"xxxxxxxx_xxxxxxxx"."xxxxxxxx_xxxxxx", "xxxxxxxx_xxxxxxxx"."xxxx_xx",
"xxxxxxxx_xxxxxxxx"."xxxxxxx_xx",
"xxxxxxxx_xxxxxxxx"."xxxxxxxx_xxxx_xxxxx",
"xxxxxxxx_xxxxxxxx"."xxxxxxxx_xxxxxxx_xx",
"xxxxxxxx_xxxxxxxx"."xxxxxxxx_xxxxx_xxxxx", "xxxxxxxx_xxxxxxxx"."xxxx_xx",
"xxxxxxxx_xxxxxxxx"."xxxxxxxxx_xxxxx_xx", "xxxxxxxx_xxxxxxxx"."xx_xxxx_xx",
"xxxxxxxx_xxxxxxxx"."xxx_xxx_xxxx" FROM "xxx_xxxxxx_xxxxxxxx" LEFT OUTER
JOIN "xxx_xxxxxx_xxxxxxxxxxxxxxx" ON (
"xxx_xxxxxx_xxxxxxxx"."xxxxxxxxxxx_xxxx_xx" =3D
"xxx_xxxxxx_xxxxxxxxxxxxxxx"."xx" ) LEFT OUTER JOIN
"xxx_xxxxxx_xxxxxxxxxxxxxxxxxx" ON ( "xxx_xxxxxx_xxxxxxxx"."xx" =3D
"xxx_xxxxxx_xxxxxxxxxxxxxxxxxx"."xxx_xxxxx_xx" ) LEFT OUTER JOIN
"xxx_xxxxxx_xxxxxxxx_xxxxxxx" ON ( "xxx_xxxxxx_xxxxxxxx"."xx" =3D
"xxx_xxxxxx_xxxxxxxx_xxxxxxx"."xxxxxxxx_xx" ) LEFT OUTER JOIN
"xxxxxxx_xxxxxx" ON ( "xxx_xxxxxx_xxxxxxxx_xxxxxxx"."xxxxxx_xx" =3D
"xxxxxxx_xxxxxx"."xx" ) LEFT OUTER JOIN
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx" ON (
"xxx_xxxxxx_xxxxxxxx"."xxxxxxxxx_xxxxx_xx" =3D
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xx" ) LEFT OUTER JOIN
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx" ON (
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxxx_xxxxxxxxx_xxxxxxx_xx" =3D
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xx" ) LEFT OUTER JOIN
"xxxxxxxxxx_xxxxxxxxxxxxxxxxxxxxx" ON (
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxxxxxxxxx_xx" =3D
"xxxxxxxxxx_xxxxxxxxxxxxxxxxxxxxx"."xx" ) LEFT OUTER JOIN
"xxxxxxxxxx_xxxxxxxxxxxxxxxxx" ON (
"xxxxxxxxxx_xxxxxxxxxxxxxxxxxxxxx"."xxxxxxxxx_xx" =3D
"xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xx" ) LEFT OUTER JOIN "xxxxx_xxxxxxxxx" T11
ON ( "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxx_xx_xx" =3D T11."xx" ) LEF=
T
OUTER JOIN "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx" T12 ON ( T11."xx" =3D
T12."xxxx_xx" ) LEFT OUTER JOIN "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx" ON (
T12."xx" =3D "xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxxxx_xxxxxxx_xx" )
LEFT OUTER JOIN "xxxxxxxx_xxxxxxxx" ON (
"xxx_xxxxxx_xxxxxxxx"."xxxxxxxx_xx" =3D "xxxxxxxx_xxxxxxxx"."xx" ) WHERE (N=
OT
("xxx_xxxxxx_xxxxxxxx"."xxxxx" =3D 'xxxxxxxxx') AND NOT
("xxx_xxxxxx_xxxxxxxx"."xxxxxxx_xx" <
'2015-04-20T00:00:00-07:00'::xxxxxxxxxxx) AND NOT
("xxx_xxxxxx_xxxxxxxxxxxxxxx"."xxxxxxx" IN ('xx', 'xx') AND
"xxx_xxxxxx_xxxxxxxxxxxxxxx"."xxxxxxx" IS NOT NULL)) GROUP BY
"xxx_xxxxxx_xxxxxxxx"."xx", "xxx_xxxxxx_xxxxxxxx"."xxxxxxx_xx",
"xxx_xxxxxx_xxxxxxxx"."xxxxxxx_xx", "xxx_xxxxxx_xxxxxxxx"."xxxxxxxx_xxxxx",
"xxx_xxxxxx_xxxxxxxx"."xxxxxxxx_xx_xx",
"xxx_xxxxxx_xxxxxxxx"."xxxxxxxx_xx",
"xxx_xxxxxx_xxxxxxxx"."xxxxxxxx_xx_xx",
"xxx_xxxxxx_xxxxxxxx"."xxxxxxxx_xx",
"xxx_xxxxxx_xxxxxxxx"."xxxxxxxxx_xxxx",
"xxx_xxxxxx_xxxxxxxx"."xxxxx_xxxxxx", "xxx_xxxxxx_xxxxxxxx"."xxxx_xx",
"xxx_xxxxxx_xxxxxxxx"."xxxxxxxxx_xxxxx_xx",
"xxx_xxxxxx_xxxxxxxx"."xxxxxxxxxxx_xxxx_xx",
"xxx_xxxxxx_xxxxxxxx"."xxxx_xxxx", "xxx_xxxxxx_xxxxxxxx"."xxx_xxxxx_xxxxx",
"xxx_xxxxxx_xxxxxxxx"."xxxxx_xxxxx_xxxxx",
"xxx_xxxxxx_xxxxxxxx"."xxxxx_xxxxx_xxxxxx",
"xxx_xxxxxx_xxxxxxxx"."xxxxxxxx", "xxx_xxxxxx_xxxxxxxx"."xxxxx_xx_xxx",
"xxx_xxxxxx_xxxxxxxx"."xxxx_xxx_xxxxxxx",
"xxx_xxxxxx_xxxxxxxx"."xxxxxxx_xx", "xxx_xxxxxx_xxxxxxxx"."xxxxxxxx_xx",
"xxx_xxxxxx_xxxxxxxx"."xxxxx", "xxx_xxxxxx_xxxxxxxx"."xxxxx_xxxxxx_xx",
"xxx_xxxxxx_xxxxxxxx"."xxxxxxxxx_xx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxx_xx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxx_xx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxxxxxx_xxxxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxx_xx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxx_xxxxxxx_xx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxxx_xxxxxxxxx_xxxxxxx_xx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxx_xx_xx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxx_xxxxxxx_xx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxx_xxxxxxxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xx_xxxxxxxx_xxxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxx_xx_xxxxxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxx_xxxxx_xx_xxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxx_xxx_xxxx_xxxxxxxxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxx_xxxxxxxxxx_xx_xxxxxxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxx_xxxxxxxxxx_xx_xxxxxxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xx_xxxxxxxx_xxxxxxx_xxxx_xx_xxxxxx_xx=
xxxxx_xxxxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xx_xxxxxxxx_xxxxxxx_xxxx_xxx_xxxxxxxx=
xx_xxxxxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xx_xxxxx_xxx_xxxxxxxx_xxxxx_xx_xxxxxx=
",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxxx_xxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxx_xxxxx_xxxxxxxx_xxxxxxxxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxxx_xxxxxxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxx_xxxxx_xxxxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxx_xxxxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxx_xxxxxx_xxxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxx_xxxxxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxx_xxx_xxxxxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxx_xxxxxxxxxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxxx_xx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxxxx_xx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxx_xx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxxxx_xx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx"."xxxxxxxx_xxxxxx_x3_xxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxxxx_xx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxxxx_xx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxx_xxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxx_xxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxx_xxxxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxx_xxxxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxxxx_xxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxxxxxxxx_xxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxxxx_xxxx1",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxxxx_xxxxxxx_xxxxxxx_xxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxx_xx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx"."xxxxxxxxxxxx_xx",
"xxxxxxxxxx_xxxxxxxxxxxxxxxxxxxxx"."xx",
"xxxxxxxxxx_xxxxxxxxxxxxxxxxxxxxx"."xxxxxxx_xx",
"xxxxxxxxxx_xxxxxxxxxxxxxxxxxxxxx"."xxxxxxx_xx",
"xxxxxxxxxx_xxxxxxxxxxxxxxxxxxxxx"."xxxxx",
"xxxxxxxxxx_xxxxxxxxxxxxxxxxxxxxx"."xxxxxxxxx_xx",
"xxxxxxxxxx_xxxxxxxxxxxxxxxxxxxxx"."xxxxxxxx_xx_xx",
"xxxxxxxxxx_xxxxxxxxxxxxxxxxxxxxx"."xxxxxxxx_xx",
"xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xx",
"xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxxxx_xx",
"xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxxxx_xx",
"xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxx_xxxx",
"xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxx_xxxx",
"xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxx_xxxxxx",
"xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxx_xxxxxx",
"xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxxxx_xxxx",
"xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxxxxxxxx_xxxx",
"xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxxxxxxxx_xx",
"xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxx",
"xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxx",
"xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxxx",
"xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxxxx_xxxx1",
"xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxxxx_xxxx2",
"xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxxxx_xxxx",
"xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxxxx_xxxxx",
"xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxxxx_xxxxxxx",
"xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxxxx_xxxxxx_xxxx",
"xxxxxxxxxx_xxxxxxxxxxxxxxxxx"."xxxxx", T11."xx", T11."xxxxxxxx",
T11."xxxx_xxxxx", T11."xx_xxxxxxxxx", T11."xxxxx",
T11."xxxxxxxxxxx_xxxxxxx_xxxxx", T11."xxxxxxx_xx", T11."xxxxx_xxxx",
T11."xxxx_xxxx", T11."xxxxxxxx", T11."xxxxxx", T11."xxxxx_xxxxxx",
T11."xxxxxxx_xxxxxxx_xx", T11."xxxxxxx_xxxxxxxx_xxxxxxx_xx",
T11."xxxxxxx_xx_xxxxx", T11."xxx_xxx_xxx_xxxxxxxx", T11."xx_xxxxx",
T11."xxxxx_xxxxx_xxxxx_xxxxxxx", T11."xx_xxxxxx", T11."xx_xxxxx",
T11."xxxxxxx_xx", T11."xxxxxxx_xx", T11."xxxxxxx_xx",
T11."xxxx_xxxxx_xxxxxxx", T11."xxxxxxxxxxx_xxxxxx_xxxxxx", T12."xx",
T12."xxxxxxx_xx", T12."xxxxxxx_xx", T12."xxx", T12."xxxxx_xxxx",
T12."xxxx_xxxx", T12."xxxxx", T12."xxxxx_xxxxxx", T12."xxx_xxxxxx",
T12."xxxxxxx_xxxx", T12."xxxxxxxxxxx_xxxx", T12."xxxx", T12."xxxxx",
T12."xxxxxxx_xxxx1", T12."xxxxxxx", T12."xxxxxxx_xxxxxxx_xxxxxxx_xxx",
T12."xxxx_xx", T12."xxxxxxxxxxxx_xx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxxx_xx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxxx_xx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxxxx_xxxxxxx_xx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxxx_xxxxxxx_xxxxxxxxxx_xx_xxxxx=
xxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxxx_xxxxxxx_xxxxx_xx_xxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxxx_xxxx_xx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxxx_xxxx_xxxxxxxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxx_xxxxxxxxxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxxx_xxxxxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxx_xxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxxxx_xxxxx_xxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxx_xxxxxxxxxx_xxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxx_xxx_xxxxxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxxx_xxxxxxx_xxxxxxx_xxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xx_xxxxxxxx_xxxxxxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxx_xxxxx_xxxxxx",
"xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx"."xxxxxxxxxxx_xxxx",
"xxx_xxxxxx_xxxxxxxxxxxxxxx"."xx",
"xxx_xxxxxx_xxxxxxxxxxxxxxx"."xxxxxxx_xx",
"xxx_xxxxxx_xxxxxxxxxxxxxxx"."xxxxxxx_xx",
"xxx_xxxxxx_xxxxxxxxxxxxxxx"."xxxx",
"xxx_xxxxxx_xxxxxxxxxxxxxxx"."xxxxx_xxxxx",
"xxx_xxxxxx_xxxxxxxxxxxxxxx"."xxxxxxx_xxxxxxxx",
"xxx_xxxxxx_xxxxxxxxxxxxxxx"."xxxxxxxxxx_xxxx",
"xxx_xxxxxx_xxxxxxxxxxxxxxx"."xxxxxxx",
"xxx_xxxxxx_xxxxxxxxxxxxxxx"."xxx_xxxxxxxxxxx",
"xxx_xxxxxx_xxxxxxxxxxxxxxx"."xxxxxxxx_xx",
"xxx_xxxxxx_xxxxxxxxxxxxxxx"."xx_xxxxxxx",
"xxx_xxxxxx_xxxxxxxxxxxxxxx"."xxxxxxx", "xxxxxxxx_xxxxxxxx"."xx",
"xxxxxxxx_xxxxxxxx"."xxxxxxx_xx", "xxxxxxxx_xxxxxxxx"."xxxxxxx_xx",
"xxxxxxxx_xxxxxxxx"."xxxxxxxx_xxxxxx", "xxxxxxxx_xxxxxxxx"."xxxx_xx",
"xxxxxxxx_xxxxxxxx"."xxxxxxx_xx",
"xxxxxxxx_xxxxxxxx"."xxxxxxxx_xxxx_xxxxx",
"xxxxxxxx_xxxxxxxx"."xxxxxxxx_xxxxxxx_xx",
"xxxxxxxx_xxxxxxxx"."xxxxxxxx_xxxxx_xxxxx", "xxxxxxxx_xxxxxxxx"."xxxx_xx",
"xxxxxxxx_xxxxxxxx"."xxxxxxxxx_xxxxx_xx", "xxxxxxxx_xxxxxxxx"."xx_xxxx_xx",
"xxxxxxxx_xxxxxxxx"."xxx_xxx_xxxx"; xxxx=3D('xxxxxxxxx',
datetime.datetime(2015, 4, 20, 0, 0, tzinfo=3D<DstTzInfo
'America/Los_Angeles' PDT-1 day, 17:00:00 DST>), 'ff', 'qa')


=3D=3D=3D



In GNU Emacs 25.1.1 (x86_64-apple-darwin15.6.0, NS appkit-1404.47 Version
10.11.6 (Build 15G1004))
 of 2016-09-17 built on hell.PK5001Z
Windowing system distributor 'Apple', version 10.3.1404
Configured using:
 'configure --disable-dependency-tracking --disable-silent-rules
 --enable-locallisppath=3D/usr/local/share/emacs/site-lisp
 --infodir=3D/usr/local/Cellar/emacs/25.1/share/info/emacs
 --prefix=3D/usr/local/Cellar/emacs/25.1 --without-x --with-xml2
 --without-dbus --without-gnutls --with-rsvg --with-ns
 --disable-ns-self-contained'

Configured features:
JPEG RSVG NOTIFY ACL LIBXML2 ZLIB TOOLKIT_SCROLL_BARS NS

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: JavaScript

Minor modes in effect:
  helm-mode: t
  diff-auto-refine-mode: t
  rainbow-identifiers-mode: t
  rainbow-delimiters-mode: t
  async-bytecomp-package-mode: t
  global-auto-revert-mode: t
  desktop-save-mode: t
  savehist-mode: t
  show-paren-mode: t
  delete-selection-mode: t
  recentf-mode: t
  global-subword-mode: t
  subword-mode: t
  shell-dirtrack-mode: t
  global-eldoc-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent messages:
Saving file /Users/ryan/.emacs.d/recentf...
Wrote /Users/ryan/.emacs.d/recentf
Desktop saved in ~/.emacs.d/
Saving file /Users/ryan/.emacs.d/recentf...
Wrote /Users/ryan/.emacs.d/recentf
Reverting buffer =E2=80=98recentf=E2=80=99.
next-line: End of buffer [2 times]
Mark set [5 times]
Saving file /tmp/*scratch*...
Wrote /tmp/*scratch*

Load-path shadows:
/Users/ryan/.emacs.d/elpa/seq-2.19/seq hides
/usr/local/Cellar/emacs/25.1/share/emacs/25.1/lisp/emacs-lisp/seq

Features:
(shadow sort mail-extr emacsbug sendmail ibuf-ext man vc-annotate
log-view pcmpl-unix vc-bzr vc-src vc-sccs vc-cvs vc-rcs dabbrev
image-file dirtrack emacs-lock manoj-dark-theme ibuffer eieio-opt
find-func cus-edit rst fillcode cc-bytecomp make-mode filecache
tramp-cache conf-mode helm-command vc-svn helm-elisp helm-eval edebug
sql view json-mode json-reformat json-snatcher misearch multi-isearch
ido ess-toolbar ess-mouse mouseme ess-menu ess-swv ess-noweb
ess-noweb-font-lock-mode ess-bugs-l essd-els ess-sas-d ess-sas-l
ess-sas-a ess-sta-d ess-sta-l make-regexp ess-sp6-d ess-dde ess-sp3-d
ess-julia julia-mode ess-r-d ess-r-syntax ess-r-completion ess-roxy
essddr hideshow ess-help ess-r-package ess-s-l ess-site ess ess-inf
ess-tracebug ess-mode ess-noweb-mode ess-utils ess-generics cl
ess-custom ess-compat nxml-uchnm rng-xsd xsd-regexp rng-cmpct rng-nxml
rng-valid rng-loc rng-uri rng-parse nxml-parse rng-match rng-dt rng-util
rng-pttrn nxml-ns nxml-mode nxml-outln nxml-rap nxml-util nxml-glyph
nxml-enc xmltok php-mode derived speedbar sb-image ezimage dframe
flymake cc-langs smerge-mode vc-dir ewoc vc vc-dispatcher winner
yaml-mode jka-compr helm-mode vc-git diff-mode rainbow-identifiers color
rainbow-delimiters helm-misc helm-files image-dired dired-x dired-aux
helm-buffers helm-elscreen helm-tags helm-bookmark helm-adaptive
helm-info bookmark pp helm-locate helm-grep helm-regexp helm-external
helm-net browse-url xml helm-utils helm-help helm-types helm-config
helm-easymenu async-bytecomp async helm edmacro kmacro helm-source
helm-multi-match helm-lib midnight autorevert filenotify desktop
frameset savehist paren redo+ delsel warnings grep cus-start cus-load
git-link dash-at-point recentf tree-widget wid-edit cap-words superword
subword jade-mode js imenu cc-mode cc-fonts cc-guess cc-menus cc-cmds
cc-styles cc-align cc-engine cc-vars cc-defs python tramp-sh tramp
tramp-compat tramp-loaddefs trampver shell pcomplete sh-script
executable sgml-mode go-mode url url-proxy url-privacy url-expand
url-methods url-history url-cookie url-domsuf url-util mailcap find-file
ffap etags xref project compile comint ansi-color css-mode smie
markdown-mode thingatpt noutline outline log-edit easy-mmode message
dired format-spec rfc822 mml mml-sec epg mm-decode mm-bodies mm-encode
mail-parse rfc2231 rfc2047 rfc2045 ietf-drums mailabbrev mail-utils
gmm-utils mailheader ring pcvs-util add-log finder-inf gh-common
gh-profile url-parse auth-source gnus-util mm-util help-fns mail-prsvr
password-cache url-vars rx s marshal cl-seq eieio-compat ht json map
dash eieio eieio-core cl-macs info package epg-config seq byte-opt gv
bytecomp byte-compile cl-extra help-mode easymenu cconv cl-loaddefs
cl-lib subr-x pcase advice server time-date mule-util tooltip eldoc
electric uniquify ediff-hook vc-hooks lisp-float-type mwheel ns-win
ucs-normalize term/common-win tool-bar dnd fontset image regexp-opt
fringe tabulated-list newcomment elisp-mode lisp-mode prog-mode register
page menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock
font-lock syntax facemenu font-core frame cl-generic cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese charscript case-table epa-hook
jka-cmpr-hook help simple abbrev minibuffer cl-preloaded nadvice
loaddefs button faces cus-face macroexp files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote kqueue cocoa ns multi-tty
make-network-process emacs)

Memory information:
((conses 16 5126063 736652)
 (symbols 48 53998 0)
 (miscs 40 3720 24660)
 (strings 32 157538 77287)
 (string-bytes 1 5024002)
 (vectors 16 90573)
 (vector-slots 8 2240527 189813)
 (floats 8 946 1835)
 (intervals 56 1059644 6492)
 (buffers 976 638))


--=20
https://snarfed.org/

--001a1141ddd27d3f5e054833dc12
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">i occasionally have very long lines in some buffers, e.g. =
10k-20k characters. font-lock-mode often hangs for a long time (5-10s) when=
 fontifying these lines.<br><br>this has evidently been a known issue with =
font-lock-mode for a long time, and inspired a number of optimizations and =
workarounds: jit-lock/lazy-lock (formerly fast-lock), font-lock-maximum-dec=
oration, <a href=3D"https://www.emacswiki.org/emacs/SoLong">https://www.ema=
cswiki.org/emacs/SoLong</a> , etc. they all work by deferring, downgrading,=
 or disabling fontification in certain buffers.<br><br>that&#39;s nice, but=
 i&#39;d ideally like to keep font-lock-mode on in buffers where very long =
lines appear, and still prevent the hangs. i&#39;m considering adding an op=
t-in max line length to font-lock-mode, after which it would stop fontifyin=
g or evaluating regexps. i&#39;d love to hear feedback on whether this make=
s sense!<br><br>here are steps that reproduce this, with gnu emacs 25.1.1 o=
n mac os x:<br><br>1. put the single long line under the =3D=3D=3D below (1=
8572 chars long) into a file<br>2. run emacs -Q<br>3. type C-x C-f &lt;file=
name&gt; RET to open the file<br>4. type M-x compilation-mode RET<br><br>th=
is consistently hangs emacs for 9-10s for me on modern hardware, a 2014 ret=
ina macbook pro.<br><br>=3D=3D=3D<br><br>[2017-02-10T07:35:45Z django.db.ba=
ckends] DEBUG: (0.057) SELECT &quot;xxx_xxxxxx_xxxxxxxx&quot;.&quot;xx&quot=
;, &quot;xxx_xxxxxx_xxxxxxxx&quot;.&quot;xxxxxxx_xx&quot;, &quot;xxx_xxxxxx=
_xxxxxxxx&quot;.&quot;xxxxxxx_xx&quot;, &quot;xxx_xxxxxx_xxxxxxxx&quot;.&qu=
ot;xxxxxxxx_xxxxx&quot;, &quot;xxx_xxxxxx_xxxxxxxx&quot;.&quot;xxxxxxxx_xx_=
xx&quot;, &quot;xxx_xxxxxx_xxxxxxxx&quot;.&quot;xxxxxxxx_xx&quot;, &quot;xx=
x_xxxxxx_xxxxxxxx&quot;.&quot;xxxxxxxx_xx_xx&quot;, &quot;xxx_xxxxxx_xxxxxx=
xx&quot;.&quot;xxxxxxxx_xx&quot;, &quot;xxx_xxxxxx_xxxxxxxx&quot;.&quot;xxx=
xxxxxx_xxxx&quot;, &quot;xxx_xxxxxx_xxxxxxxx&quot;.&quot;xxxxx_xxxxxx&quot;=
, &quot;xxx_xxxxxx_xxxxxxxx&quot;.&quot;xxxx_xx&quot;, &quot;xxx_xxxxxx_xxx=
xxxxx&quot;.&quot;xxxxxxxxx_xxxxx_xx&quot;, &quot;xxx_xxxxxx_xxxxxxxx&quot;=
.&quot;xxxxxxxxxxx_xxxx_xx&quot;, &quot;xxx_xxxxxx_xxxxxxxx&quot;.&quot;xxx=
x_xxxx&quot;, &quot;xxx_xxxxxx_xxxxxxxx&quot;.&quot;xxx_xxxxx_xxxxx&quot;, =
&quot;xxx_xxxxxx_xxxxxxxx&quot;.&quot;xxxxx_xxxxx_xxxxx&quot;, &quot;xxx_xx=
xxxx_xxxxxxxx&quot;.&quot;xxxxx_xxxxx_xxxxxx&quot;, &quot;xxx_xxxxxx_xxxxxx=
xx&quot;.&quot;xxxxxxxx&quot;, &quot;xxx_xxxxxx_xxxxxxxx&quot;.&quot;xxxxx_=
xx_xxx&quot;, &quot;xxx_xxxxxx_xxxxxxxx&quot;.&quot;xxxx_xxx_xxxxxxx&quot;,=
 &quot;xxx_xxxxxx_xxxxxxxx&quot;.&quot;xxxxxxx_xx&quot;, &quot;xxx_xxxxxx_x=
xxxxxxx&quot;.&quot;xxxxxxxx_xx&quot;, &quot;xxx_xxxxxx_xxxxxxxx&quot;.&quo=
t;xxxxx&quot;, &quot;xxx_xxxxxx_xxxxxxxx&quot;.&quot;xxxxx_xxxxxx_xx&quot;,=
 &quot;xxx_xxxxxx_xxxxxxxx&quot;.&quot;xxxxxxxxx_xx&quot;, MAX(&quot;xxx_xx=
xxxx_xxxxxxxxxxxxxxxxxx&quot;.&quot;xx&quot;) AS &quot;xxxxxxxx_xx&quot;, C=
OUNT(DISTINCT &quot;xxx_xxxxxx_xxxxxxxx_xxxxxxx&quot;.&quot;xxxxxx_xx&quot;=
) AS &quot;xxx_xxxxxxx&quot;, MAX(&quot;xxxxxxx_xxxxxx&quot;.&quot;xxxx_xx&=
quot;) AS &quot;xxxxxx_xxxx_xx&quot;, STRING_AGG(&quot;xxxxxxx_xxxxxx&quot;=
.&quot;xxx_xxxxxxx&quot;, &#39; &#39;) AS &quot;xxx_xxxxxxxx&quot;, &quot;x=
xxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx&quot;.&quot;xx&quot;, &quot;xxxxxxxx_xxxx=
xxxxxx_xxxxxxxxxxxxxx&quot;.&quot;xxxxxxx_xx&quot;, &quot;xxxxxxxx_xxxxxxxx=
xx_xxxxxxxxxxxxxx&quot;.&quot;xxxxxxx_xx&quot;, &quot;xxxxxxxx_xxxxxxxxxx_x=
xxxxxxxxxxxxx&quot;.&quot;xxxxxxxxxxx_xxxxxx&quot;, &quot;xxxxxxxx_xxxxxxxx=
xx_xxxxxxxxxxxxxx&quot;.&quot;xxxxxx_xx&quot;, &quot;xxxxxxxx_xxxxxxxxxx_xx=
xxxxxxxxxxxx&quot;.&quot;xxxxxxx_xxxxxxx_xx&quot;, &quot;xxxxxxxx_xxxxxxxxx=
x_xxxxxxxxxxxxxx&quot;.&quot;xxxxxxxx_xxxxxxxxx_xxxxxxx_xx&quot;, &quot;xxx=
xxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx&quot;.&quot;xxxxxx_xx_xx&quot;, &quot;xxxxx=
xxx_xxxxxxxxxx_xxxxxxxxxxxxxx&quot;.&quot;xxxxxxx_xxxxxxx_xx&quot;, &quot;x=
xxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx&quot;.&quot;xxxx_xxxxxxxxx&quot;, &quot;x=
xxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx&quot;.&quot;xx_xxxxxxxx_xxxxx&quot;, &quo=
t;xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx&quot;.&quot;xxxxxxx_xx_xxxxxxx&quot;, =
&quot;xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx&quot;.&quot;xxxxxxx_xxxxx_xx_xxxx&=
quot;, &quot;xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx&quot;.&quot;xxxxxxx_xxx_xxx=
x_xxxxxxxxxx&quot;, &quot;xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx&quot;.&quot;xx=
xxxxx_xxxxxxxxxx_xx_xxxxxxxx&quot;, &quot;xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxx=
x&quot;.&quot;xxxxxxx_xxxxxxxxxx_xx_xxxxxxxx&quot;, &quot;xxxxxxxx_xxxxxxxx=
xx_xxxxxxxxxxxxxx&quot;.&quot;xx_xxxxxxxx_xxxxxxx_xxxx_xx_xxxxxx_xxxxxxx_xx=
xxxx&quot;, &quot;xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx&quot;.&quot;xx_xxxxxxx=
x_xxxxxxx_xxxx_xxx_xxxxxxxxxx_xxxxxxx&quot;, &quot;xxxxxxxx_xxxxxxxxxx_xxxx=
xxxxxxxxxx&quot;.&quot;xx_xxxxx_xxx_xxxxxxxx_xxxxx_xx_xxxxxx&quot;, &quot;x=
xxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx&quot;.&quot;xxxxxxxx_xxxx&quot;, &quot;xx=
xxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx&quot;.&quot;xxx_xxxxx_xxxxxxxx_xxxxxxxxxx&=
quot;, &quot;xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx&quot;.&quot;xxxxxxxx_xxxxxx=
xx&quot;, &quot;xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx&quot;.&quot;xxx_xxxxx_xx=
xxxx&quot;, &quot;xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx&quot;.&quot;xxxxx_xxxx=
xx&quot;, &quot;xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx&quot;.&quot;xxxx_xxxxxx_=
xxxxx&quot;, &quot;xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx&quot;.&quot;xxxx&quot=
;, &quot;xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx&quot;.&quot;xxxx_xxxxxxx&quot;,=
 &quot;xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx&quot;.&quot;xxxx_xxx_xxxxxxx&quot=
;, &quot;xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx&quot;.&quot;xxxxxx_xxxxxxxxxxx&=
quot;, &quot;xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx&quot;.&quot;xxxxxxxx_xx&quo=
t;, &quot;xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx&quot;.&quot;xxxxx&quot;, &quot=
;xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx&quot;.&quot;xxxxxxxxx_xx&quot;, &quot;x=
xxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx&quot;.&quot;xxxx_xx&quot;, &quot;xxxxxxxx=
_xxxxxxxxxx_xxxxxxxxxxxxxx&quot;.&quot;xxxxxxxxx_xx&quot;, &quot;xxxxxxxx_x=
xxxxxxxxx_xxxxxxxxxxxxxx&quot;.&quot;xxxxxxxx_xxxxxx_x3_xxxx&quot;, &quot;x=
xxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx&quot;.&quot;xx&quot;, &quot;xxxxxxxx_xxx=
xxxxxxx_xxxxxxxxxxxxxxx&quot;.&quot;xxxxxxx_xx&quot;, &quot;xxxxxxxx_xxxxxx=
xxxx_xxxxxxxxxxxxxxx&quot;.&quot;xxxxxxx_xx&quot;, &quot;xxxxxxxx_xxxxxxxxx=
x_xxxxxxxxxxxxxxx&quot;.&quot;xxx&quot;, &quot;xxxxxxxx_xxxxxxxxxx_xxxxxxxx=
xxxxxxx&quot;.&quot;xxxxx_xxxx&quot;, &quot;xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxx=
xxxx&quot;.&quot;xxxx_xxxx&quot;, &quot;xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx=
&quot;.&quot;xxxxx&quot;, &quot;xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx&quot;.&=
quot;xxxxx_xxxxxx&quot;, &quot;xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx&quot;.&q=
uot;xxx_xxxxxx&quot;, &quot;xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx&quot;.&quot=
;xxxxxxx_xxxx&quot;, &quot;xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx&quot;.&quot;=
xxxxxxxxxxx_xxxx&quot;, &quot;xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx&quot;.&qu=
ot;xxxx&quot;, &quot;xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx&quot;.&quot;xxxxx&=
quot;, &quot;xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx&quot;.&quot;xxxxxxx_xxxx1&=
quot;, &quot;xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx&quot;.&quot;xxxxxxx&quot;,=
 &quot;xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx&quot;.&quot;xxxxxxx_xxxxxxx_xxxx=
xxx_xxx&quot;, &quot;xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx&quot;.&quot;xxxx_x=
x&quot;, &quot;xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx&quot;.&quot;xxxxxxxxxxxx=
_xx&quot;, &quot;xxxxxxxxxx_xxxxxxxxxxxxxxxxxxxxx&quot;.&quot;xx&quot;, &qu=
ot;xxxxxxxxxx_xxxxxxxxxxxxxxxxxxxxx&quot;.&quot;xxxxxxx_xx&quot;, &quot;xxx=
xxxxxxx_xxxxxxxxxxxxxxxxxxxxx&quot;.&quot;xxxxxxx_xx&quot;, &quot;xxxxxxxxx=
x_xxxxxxxxxxxxxxxxxxxxx&quot;.&quot;xxxxx&quot;, &quot;xxxxxxxxxx_xxxxxxxxx=
xxxxxxxxxxxx&quot;.&quot;xxxxxxxxx_xx&quot;, &quot;xxxxxxxxxx_xxxxxxxxxxxxx=
xxxxxxxx&quot;.&quot;xxxxxxxx_xx_xx&quot;, &quot;xxxxxxxxxx_xxxxxxxxxxxxxxx=
xxxxxx&quot;.&quot;xxxxxxxx_xx&quot;, &quot;xxxxxxxxxx_xxxxxxxxxxxxxxxxx&qu=
ot;.&quot;xx&quot;, &quot;xxxxxxxxxx_xxxxxxxxxxxxxxxxx&quot;.&quot;xxxxxxx_=
xx&quot;, &quot;xxxxxxxxxx_xxxxxxxxxxxxxxxxx&quot;.&quot;xxxxxxx_xx&quot;, =
&quot;xxxxxxxxxx_xxxxxxxxxxxxxxxxx&quot;.&quot;xxxxx_xxxx&quot;, &quot;xxxx=
xxxxxx_xxxxxxxxxxxxxxxxx&quot;.&quot;xxxx_xxxx&quot;, &quot;xxxxxxxxxx_xxxx=
xxxxxxxxxxxxx&quot;.&quot;xxxxx_xxxxxx&quot;, &quot;xxxxxxxxxx_xxxxxxxxxxxx=
xxxxx&quot;.&quot;xxx_xxxxxx&quot;, &quot;xxxxxxxxxx_xxxxxxxxxxxxxxxxx&quot=
;.&quot;xxxxxxx_xxxx&quot;, &quot;xxxxxxxxxx_xxxxxxxxxxxxxxxxx&quot;.&quot;=
xxxxxxxxxxx_xxxx&quot;, &quot;xxxxxxxxxx_xxxxxxxxxxxxxxxxx&quot;.&quot;xxxx=
xxxxxxx_xx&quot;, &quot;xxxxxxxxxx_xxxxxxxxxxxxxxxxx&quot;.&quot;xxxxx&quot=
;, &quot;xxxxxxxxxx_xxxxxxxxxxxxxxxxx&quot;.&quot;xxx&quot;, &quot;xxxxxxxx=
xx_xxxxxxxxxxxxxxxxx&quot;.&quot;xxxxxx&quot;, &quot;xxxxxxxxxx_xxxxxxxxxxx=
xxxxxx&quot;.&quot;xxxxxxx_xxxx1&quot;, &quot;xxxxxxxxxx_xxxxxxxxxxxxxxxxx&=
quot;.&quot;xxxxxxx_xxxx2&quot;, &quot;xxxxxxxxxx_xxxxxxxxxxxxxxxxx&quot;.&=
quot;xxxxxxx_xxxx&quot;, &quot;xxxxxxxxxx_xxxxxxxxxxxxxxxxx&quot;.&quot;xxx=
xxxx_xxxxx&quot;, &quot;xxxxxxxxxx_xxxxxxxxxxxxxxxxx&quot;.&quot;xxxxxxx_xx=
xxxxx&quot;, &quot;xxxxxxxxxx_xxxxxxxxxxxxxxxxx&quot;.&quot;xxxxxxx_xxxxxx_=
xxxx&quot;, &quot;xxxxxxxxxx_xxxxxxxxxxxxxxxxx&quot;.&quot;xxxxx&quot;, T11=
.&quot;xx&quot;, T11.&quot;xxxxxxxx&quot;, T11.&quot;xxxx_xxxxx&quot;, T11.=
&quot;xx_xxxxxxxxx&quot;, T11.&quot;xxxxx&quot;, T11.&quot;xxxxxxxxxxx_xxxx=
xxx_xxxxx&quot;, T11.&quot;xxxxxxx_xx&quot;, T11.&quot;xxxxx_xxxx&quot;, T1=
1.&quot;xxxx_xxxx&quot;, T11.&quot;xxxxxxxx&quot;, T11.&quot;xxxxxx&quot;, =
T11.&quot;xxxxx_xxxxxx&quot;, T11.&quot;xxxxxxx_xxxxxxx_xx&quot;, T11.&quot=
;xxxxxxx_xxxxxxxx_xxxxxxx_xx&quot;, T11.&quot;xxxxxxx_xx_xxxxx&quot;, T11.&=
quot;xxx_xxx_xxx_xxxxxxxx&quot;, T11.&quot;xx_xxxxx&quot;, T11.&quot;xxxxx_=
xxxxx_xxxxx_xxxxxxx&quot;, T11.&quot;xx_xxxxxx&quot;, T11.&quot;xx_xxxxx&qu=
ot;, T11.&quot;xxxxxxx_xx&quot;, T11.&quot;xxxxxxx_xx&quot;, T11.&quot;xxxx=
xxx_xx&quot;, T11.&quot;xxxx_xxxxx_xxxxxxx&quot;, T11.&quot;xxxxxxxxxxx_xxx=
xxx_xxxxxx&quot;, T12.&quot;xx&quot;, T12.&quot;xxxxxxx_xx&quot;, T12.&quot=
;xxxxxxx_xx&quot;, T12.&quot;xxx&quot;, T12.&quot;xxxxx_xxxx&quot;, T12.&qu=
ot;xxxx_xxxx&quot;, T12.&quot;xxxxx&quot;, T12.&quot;xxxxx_xxxxxx&quot;, T1=
2.&quot;xxx_xxxxxx&quot;, T12.&quot;xxxxxxx_xxxx&quot;, T12.&quot;xxxxxxxxx=
xx_xxxx&quot;, T12.&quot;xxxx&quot;, T12.&quot;xxxxx&quot;, T12.&quot;xxxxx=
xx_xxxx1&quot;, T12.&quot;xxxxxxx&quot;, T12.&quot;xxxxxxx_xxxxxxx_xxxxxxx_=
xxx&quot;, T12.&quot;xxxx_xx&quot;, T12.&quot;xxxxxxxxxxxx_xx&quot;, &quot;=
xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx&quot;.&quot;xx&quot;, &quot;xxxxxxxx_x=
xxxxxxxxx_xxxxxxxxxxxxxxxx&quot;.&quot;xxxxxxx_xx&quot;, &quot;xxxxxxxx_xxx=
xxxxxxx_xxxxxxxxxxxxxxxx&quot;.&quot;xxxxxxx_xx&quot;, &quot;xxxxxxxx_xxxxx=
xxxxx_xxxxxxxxxxxxxxxx&quot;.&quot;xxxxxxxx_xxxxxxx_xx&quot;, &quot;xxxxxxx=
x_xxxxxxxxxx_xxxxxxxxxxxxxxxx&quot;.&quot;xxxxxxx_xxxxxxx_xxxxxxxxxx_xx_xxx=
xxxxx&quot;, &quot;xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx&quot;.&quot;xxxxxxx=
_xxxxxxx_xxxxx_xx_xxxx&quot;, &quot;xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx&qu=
ot;.&quot;xxxxxxx_xxxx_xx&quot;, &quot;xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx=
&quot;.&quot;xxxxxxx_xxxx_xxxxxxxxx&quot;, &quot;xxxxxxxx_xxxxxxxxxx_xxxxxx=
xxxxxxxxxx&quot;.&quot;xxxxxx_xxxxxxxxxxx&quot;, &quot;xxxxxxxx_xxxxxxxxxx_=
xxxxxxxxxxxxxxxx&quot;.&quot;xxxxxxx_xxxxxxx&quot;, &quot;xxxxxxxx_xxxxxxxx=
xx_xxxxxxxxxxxxxxxx&quot;.&quot;xxxxx_xxxx&quot;, &quot;xxxxxxxx_xxxxxxxxxx=
_xxxxxxxxxxxxxxxx&quot;.&quot;xxxxxxxx_xxxxx_xxxx&quot;, &quot;xxxxxxxx_xxx=
xxxxxxx_xxxxxxxxxxxxxxxx&quot;.&quot;xxxx_xxxxxxxxxx_xxxx&quot;, &quot;xxxx=
xxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx&quot;.&quot;xxxx_xxx_xxxxxxx&quot;, &quot;=
xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx&quot;.&quot;xxxxxxx_xxxxxxx_xxxxxxx_xx=
x&quot;, &quot;xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx&quot;.&quot;xx_xxxxxxxx=
_xxxxxxxx&quot;, &quot;xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx&quot;.&quot;xxx=
x_xxxxx_xxxxxx&quot;, &quot;xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx&quot;.&quo=
t;xxxxxxxxxxx_xxxx&quot;, &quot;xxx_xxxxxx_xxxxxxxxxxxxxxx&quot;.&quot;xx&q=
uot;, &quot;xxx_xxxxxx_xxxxxxxxxxxxxxx&quot;.&quot;xxxxxxx_xx&quot;, &quot;=
xxx_xxxxxx_xxxxxxxxxxxxxxx&quot;.&quot;xxxxxxx_xx&quot;, &quot;xxx_xxxxxx_x=
xxxxxxxxxxxxxx&quot;.&quot;xxxx&quot;, &quot;xxx_xxxxxx_xxxxxxxxxxxxxxx&quo=
t;.&quot;xxxxx_xxxxx&quot;, &quot;xxx_xxxxxx_xxxxxxxxxxxxxxx&quot;.&quot;xx=
xxxxx_xxxxxxxx&quot;, &quot;xxx_xxxxxx_xxxxxxxxxxxxxxx&quot;.&quot;xxxxxxxx=
xx_xxxx&quot;, &quot;xxx_xxxxxx_xxxxxxxxxxxxxxx&quot;.&quot;xxxxxxx&quot;, =
&quot;xxx_xxxxxx_xxxxxxxxxxxxxxx&quot;.&quot;xxx_xxxxxxxxxxx&quot;, &quot;x=
xx_xxxxxx_xxxxxxxxxxxxxxx&quot;.&quot;xxxxxxxx_xx&quot;, &quot;xxx_xxxxxx_x=
xxxxxxxxxxxxxx&quot;.&quot;xx_xxxxxxx&quot;, &quot;xxx_xxxxxx_xxxxxxxxxxxxx=
xx&quot;.&quot;xxxxxxx&quot;, &quot;xxxxxxxx_xxxxxxxx&quot;.&quot;xx&quot;,=
 &quot;xxxxxxxx_xxxxxxxx&quot;.&quot;xxxxxxx_xx&quot;, &quot;xxxxxxxx_xxxxx=
xxx&quot;.&quot;xxxxxxx_xx&quot;, &quot;xxxxxxxx_xxxxxxxx&quot;.&quot;xxxxx=
xxx_xxxxxx&quot;, &quot;xxxxxxxx_xxxxxxxx&quot;.&quot;xxxx_xx&quot;, &quot;=
xxxxxxxx_xxxxxxxx&quot;.&quot;xxxxxxx_xx&quot;, &quot;xxxxxxxx_xxxxxxxx&quo=
t;.&quot;xxxxxxxx_xxxx_xxxxx&quot;, &quot;xxxxxxxx_xxxxxxxx&quot;.&quot;xxx=
xxxxx_xxxxxxx_xx&quot;, &quot;xxxxxxxx_xxxxxxxx&quot;.&quot;xxxxxxxx_xxxxx_=
xxxxx&quot;, &quot;xxxxxxxx_xxxxxxxx&quot;.&quot;xxxx_xx&quot;, &quot;xxxxx=
xxx_xxxxxxxx&quot;.&quot;xxxxxxxxx_xxxxx_xx&quot;, &quot;xxxxxxxx_xxxxxxxx&=
quot;.&quot;xx_xxxx_xx&quot;, &quot;xxxxxxxx_xxxxxxxx&quot;.&quot;xxx_xxx_x=
xxx&quot; FROM &quot;xxx_xxxxxx_xxxxxxxx&quot; LEFT OUTER JOIN &quot;xxx_xx=
xxxx_xxxxxxxxxxxxxxx&quot; ON ( &quot;xxx_xxxxxx_xxxxxxxx&quot;.&quot;xxxxx=
xxxxxx_xxxx_xx&quot; =3D &quot;xxx_xxxxxx_xxxxxxxxxxxxxxx&quot;.&quot;xx&qu=
ot; ) LEFT OUTER JOIN &quot;xxx_xxxxxx_xxxxxxxxxxxxxxxxxx&quot; ON ( &quot;=
xxx_xxxxxx_xxxxxxxx&quot;.&quot;xx&quot; =3D &quot;xxx_xxxxxx_xxxxxxxxxxxxx=
xxxxx&quot;.&quot;xxx_xxxxx_xx&quot; ) LEFT OUTER JOIN &quot;xxx_xxxxxx_xxx=
xxxxx_xxxxxxx&quot; ON ( &quot;xxx_xxxxxx_xxxxxxxx&quot;.&quot;xx&quot; =3D=
 &quot;xxx_xxxxxx_xxxxxxxx_xxxxxxx&quot;.&quot;xxxxxxxx_xx&quot; ) LEFT OUT=
ER JOIN &quot;xxxxxxx_xxxxxx&quot; ON ( &quot;xxx_xxxxxx_xxxxxxxx_xxxxxxx&q=
uot;.&quot;xxxxxx_xx&quot; =3D &quot;xxxxxxx_xxxxxx&quot;.&quot;xx&quot; ) =
LEFT OUTER JOIN &quot;xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx&quot; ON ( &quot;x=
xx_xxxxxx_xxxxxxxx&quot;.&quot;xxxxxxxxx_xxxxx_xx&quot; =3D &quot;xxxxxxxx_=
xxxxxxxxxx_xxxxxxxxxxxxxx&quot;.&quot;xx&quot; ) LEFT OUTER JOIN &quot;xxxx=
xxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx&quot; ON ( &quot;xxxxxxxx_xxxxxxxxxx_xxxxxx=
xxxxxxxx&quot;.&quot;xxxxxxxx_xxxxxxxxx_xxxxxxx_xx&quot; =3D &quot;xxxxxxxx=
_xxxxxxxxxx_xxxxxxxxxxxxxxx&quot;.&quot;xx&quot; ) LEFT OUTER JOIN &quot;xx=
xxxxxxxx_xxxxxxxxxxxxxxxxxxxxx&quot; ON ( &quot;xxxxxxxx_xxxxxxxxxx_xxxxxxx=
xxxxxxxx&quot;.&quot;xxxxxxxxxxxx_xx&quot; =3D &quot;xxxxxxxxxx_xxxxxxxxxxx=
xxxxxxxxxx&quot;.&quot;xx&quot; ) LEFT OUTER JOIN &quot;xxxxxxxxxx_xxxxxxxx=
xxxxxxxxx&quot; ON ( &quot;xxxxxxxxxx_xxxxxxxxxxxxxxxxxxxxx&quot;.&quot;xxx=
xxxxxx_xx&quot; =3D &quot;xxxxxxxxxx_xxxxxxxxxxxxxxxxx&quot;.&quot;xx&quot;=
 ) LEFT OUTER JOIN &quot;xxxxx_xxxxxxxxx&quot; T11 ON ( &quot;xxxxxxxx_xxxx=
xxxxxx_xxxxxxxxxxxxxx&quot;.&quot;xxxxxx_xx_xx&quot; =3D T11.&quot;xx&quot;=
 ) LEFT OUTER JOIN &quot;xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx&quot; T12 ON (=
 T11.&quot;xx&quot; =3D T12.&quot;xxxx_xx&quot; ) LEFT OUTER JOIN &quot;xxx=
xxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx&quot; ON ( T12.&quot;xx&quot; =3D &quot;x=
xxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx&quot;.&quot;xxxxxxxx_xxxxxxx_xx&quot; )=
 LEFT OUTER JOIN &quot;xxxxxxxx_xxxxxxxx&quot; ON ( &quot;xxx_xxxxxx_xxxxxx=
xx&quot;.&quot;xxxxxxxx_xx&quot; =3D &quot;xxxxxxxx_xxxxxxxx&quot;.&quot;xx=
&quot; ) WHERE (NOT (&quot;xxx_xxxxxx_xxxxxxxx&quot;.&quot;xxxxx&quot; =3D =
&#39;xxxxxxxxx&#39;) AND NOT (&quot;xxx_xxxxxx_xxxxxxxx&quot;.&quot;xxxxxxx=
_xx&quot; &lt; &#39;2015-04-20T00:00:00-07:00&#39;::xxxxxxxxxxx) AND NOT (&=
quot;xxx_xxxxxx_xxxxxxxxxxxxxxx&quot;.&quot;xxxxxxx&quot; IN (&#39;xx&#39;,=
 &#39;xx&#39;) AND &quot;xxx_xxxxxx_xxxxxxxxxxxxxxx&quot;.&quot;xxxxxxx&quo=
t; IS NOT NULL)) GROUP BY &quot;xxx_xxxxxx_xxxxxxxx&quot;.&quot;xx&quot;, &=
quot;xxx_xxxxxx_xxxxxxxx&quot;.&quot;xxxxxxx_xx&quot;, &quot;xxx_xxxxxx_xxx=
xxxxx&quot;.&quot;xxxxxxx_xx&quot;, &quot;xxx_xxxxxx_xxxxxxxx&quot;.&quot;x=
xxxxxxx_xxxxx&quot;, &quot;xxx_xxxxxx_xxxxxxxx&quot;.&quot;xxxxxxxx_xx_xx&q=
uot;, &quot;xxx_xxxxxx_xxxxxxxx&quot;.&quot;xxxxxxxx_xx&quot;, &quot;xxx_xx=
xxxx_xxxxxxxx&quot;.&quot;xxxxxxxx_xx_xx&quot;, &quot;xxx_xxxxxx_xxxxxxxx&q=
uot;.&quot;xxxxxxxx_xx&quot;, &quot;xxx_xxxxxx_xxxxxxxx&quot;.&quot;xxxxxxx=
xx_xxxx&quot;, &quot;xxx_xxxxxx_xxxxxxxx&quot;.&quot;xxxxx_xxxxxx&quot;, &q=
uot;xxx_xxxxxx_xxxxxxxx&quot;.&quot;xxxx_xx&quot;, &quot;xxx_xxxxxx_xxxxxxx=
x&quot;.&quot;xxxxxxxxx_xxxxx_xx&quot;, &quot;xxx_xxxxxx_xxxxxxxx&quot;.&qu=
ot;xxxxxxxxxxx_xxxx_xx&quot;, &quot;xxx_xxxxxx_xxxxxxxx&quot;.&quot;xxxx_xx=
xx&quot;, &quot;xxx_xxxxxx_xxxxxxxx&quot;.&quot;xxx_xxxxx_xxxxx&quot;, &quo=
t;xxx_xxxxxx_xxxxxxxx&quot;.&quot;xxxxx_xxxxx_xxxxx&quot;, &quot;xxx_xxxxxx=
_xxxxxxxx&quot;.&quot;xxxxx_xxxxx_xxxxxx&quot;, &quot;xxx_xxxxxx_xxxxxxxx&q=
uot;.&quot;xxxxxxxx&quot;, &quot;xxx_xxxxxx_xxxxxxxx&quot;.&quot;xxxxx_xx_x=
xx&quot;, &quot;xxx_xxxxxx_xxxxxxxx&quot;.&quot;xxxx_xxx_xxxxxxx&quot;, &qu=
ot;xxx_xxxxxx_xxxxxxxx&quot;.&quot;xxxxxxx_xx&quot;, &quot;xxx_xxxxxx_xxxxx=
xxx&quot;.&quot;xxxxxxxx_xx&quot;, &quot;xxx_xxxxxx_xxxxxxxx&quot;.&quot;xx=
xxx&quot;, &quot;xxx_xxxxxx_xxxxxxxx&quot;.&quot;xxxxx_xxxxxx_xx&quot;, &qu=
ot;xxx_xxxxxx_xxxxxxxx&quot;.&quot;xxxxxxxxx_xx&quot;, &quot;xxxxxxxx_xxxxx=
xxxxx_xxxxxxxxxxxxxx&quot;.&quot;xx&quot;, &quot;xxxxxxxx_xxxxxxxxxx_xxxxxx=
xxxxxxxx&quot;.&quot;xxxxxxx_xx&quot;, &quot;xxxxxxxx_xxxxxxxxxx_xxxxxxxxxx=
xxxx&quot;.&quot;xxxxxxx_xx&quot;, &quot;xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx=
&quot;.&quot;xxxxxxxxxxx_xxxxxx&quot;, &quot;xxxxxxxx_xxxxxxxxxx_xxxxxxxxxx=
xxxx&quot;.&quot;xxxxxx_xx&quot;, &quot;xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx&=
quot;.&quot;xxxxxxx_xxxxxxx_xx&quot;, &quot;xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxx=
xxx&quot;.&quot;xxxxxxxx_xxxxxxxxx_xxxxxxx_xx&quot;, &quot;xxxxxxxx_xxxxxxx=
xxx_xxxxxxxxxxxxxx&quot;.&quot;xxxxxx_xx_xx&quot;, &quot;xxxxxxxx_xxxxxxxxx=
x_xxxxxxxxxxxxxx&quot;.&quot;xxxxxxx_xxxxxxx_xx&quot;, &quot;xxxxxxxx_xxxxx=
xxxxx_xxxxxxxxxxxxxx&quot;.&quot;xxxx_xxxxxxxxx&quot;, &quot;xxxxxxxx_xxxxx=
xxxxx_xxxxxxxxxxxxxx&quot;.&quot;xx_xxxxxxxx_xxxxx&quot;, &quot;xxxxxxxx_xx=
xxxxxxxx_xxxxxxxxxxxxxx&quot;.&quot;xxxxxxx_xx_xxxxxxx&quot;, &quot;xxxxxxx=
x_xxxxxxxxxx_xxxxxxxxxxxxxx&quot;.&quot;xxxxxxx_xxxxx_xx_xxxx&quot;, &quot;=
xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx&quot;.&quot;xxxxxxx_xxx_xxxx_xxxxxxxxxx&=
quot;, &quot;xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx&quot;.&quot;xxxxxxx_xxxxxxx=
xxx_xx_xxxxxxxx&quot;, &quot;xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx&quot;.&quot=
;xxxxxxx_xxxxxxxxxx_xx_xxxxxxxx&quot;, &quot;xxxxxxxx_xxxxxxxxxx_xxxxxxxxxx=
xxxx&quot;.&quot;xx_xxxxxxxx_xxxxxxx_xxxx_xx_xxxxxx_xxxxxxx_xxxxxx&quot;, &=
quot;xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx&quot;.&quot;xx_xxxxxxxx_xxxxxxx_xxx=
x_xxx_xxxxxxxxxx_xxxxxxx&quot;, &quot;xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx&qu=
ot;.&quot;xx_xxxxx_xxx_xxxxxxxx_xxxxx_xx_xxxxxx&quot;, &quot;xxxxxxxx_xxxxx=
xxxxx_xxxxxxxxxxxxxx&quot;.&quot;xxxxxxxx_xxxx&quot;, &quot;xxxxxxxx_xxxxxx=
xxxx_xxxxxxxxxxxxxx&quot;.&quot;xxx_xxxxx_xxxxxxxx_xxxxxxxxxx&quot;, &quot;=
xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx&quot;.&quot;xxxxxxxx_xxxxxxxx&quot;, &qu=
ot;xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx&quot;.&quot;xxx_xxxxx_xxxxxx&quot;, &=
quot;xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx&quot;.&quot;xxxxx_xxxxxx&quot;, &qu=
ot;xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx&quot;.&quot;xxxx_xxxxxx_xxxxx&quot;, =
&quot;xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx&quot;.&quot;xxxx&quot;, &quot;xxxx=
xxxx_xxxxxxxxxx_xxxxxxxxxxxxxx&quot;.&quot;xxxx_xxxxxxx&quot;, &quot;xxxxxx=
xx_xxxxxxxxxx_xxxxxxxxxxxxxx&quot;.&quot;xxxx_xxx_xxxxxxx&quot;, &quot;xxxx=
xxxx_xxxxxxxxxx_xxxxxxxxxxxxxx&quot;.&quot;xxxxxx_xxxxxxxxxxx&quot;, &quot;=
xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx&quot;.&quot;xxxxxxxx_xx&quot;, &quot;xxx=
xxxxx_xxxxxxxxxx_xxxxxxxxxxxxxx&quot;.&quot;xxxxx&quot;, &quot;xxxxxxxx_xxx=
xxxxxxx_xxxxxxxxxxxxxx&quot;.&quot;xxxxxxxxx_xx&quot;, &quot;xxxxxxxx_xxxxx=
xxxxx_xxxxxxxxxxxxxx&quot;.&quot;xxxx_xx&quot;, &quot;xxxxxxxx_xxxxxxxxxx_x=
xxxxxxxxxxxxx&quot;.&quot;xxxxxxxxx_xx&quot;, &quot;xxxxxxxx_xxxxxxxxxx_xxx=
xxxxxxxxxxx&quot;.&quot;xxxxxxxx_xxxxxx_x3_xxxx&quot;, &quot;xxxxxxxx_xxxxx=
xxxxx_xxxxxxxxxxxxxxx&quot;.&quot;xx&quot;, &quot;xxxxxxxx_xxxxxxxxxx_xxxxx=
xxxxxxxxxx&quot;.&quot;xxxxxxx_xx&quot;, &quot;xxxxxxxx_xxxxxxxxxx_xxxxxxxx=
xxxxxxx&quot;.&quot;xxxxxxx_xx&quot;, &quot;xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxx=
xxxx&quot;.&quot;xxx&quot;, &quot;xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx&quot;=
.&quot;xxxxx_xxxx&quot;, &quot;xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx&quot;.&q=
uot;xxxx_xxxx&quot;, &quot;xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx&quot;.&quot;=
xxxxx&quot;, &quot;xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx&quot;.&quot;xxxxx_xx=
xxxx&quot;, &quot;xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx&quot;.&quot;xxx_xxxxx=
x&quot;, &quot;xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx&quot;.&quot;xxxxxxx_xxxx=
&quot;, &quot;xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx&quot;.&quot;xxxxxxxxxxx_x=
xxx&quot;, &quot;xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx&quot;.&quot;xxxx&quot;=
, &quot;xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx&quot;.&quot;xxxxx&quot;, &quot;=
xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx&quot;.&quot;xxxxxxx_xxxx1&quot;, &quot;=
xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx&quot;.&quot;xxxxxxx&quot;, &quot;xxxxxx=
xx_xxxxxxxxxx_xxxxxxxxxxxxxxx&quot;.&quot;xxxxxxx_xxxxxxx_xxxxxxx_xxx&quot;=
, &quot;xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx&quot;.&quot;xxxx_xx&quot;, &quo=
t;xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxx&quot;.&quot;xxxxxxxxxxxx_xx&quot;, &q=
uot;xxxxxxxxxx_xxxxxxxxxxxxxxxxxxxxx&quot;.&quot;xx&quot;, &quot;xxxxxxxxxx=
_xxxxxxxxxxxxxxxxxxxxx&quot;.&quot;xxxxxxx_xx&quot;, &quot;xxxxxxxxxx_xxxxx=
xxxxxxxxxxxxxxxx&quot;.&quot;xxxxxxx_xx&quot;, &quot;xxxxxxxxxx_xxxxxxxxxxx=
xxxxxxxxxx&quot;.&quot;xxxxx&quot;, &quot;xxxxxxxxxx_xxxxxxxxxxxxxxxxxxxxx&=
quot;.&quot;xxxxxxxxx_xx&quot;, &quot;xxxxxxxxxx_xxxxxxxxxxxxxxxxxxxxx&quot=
;.&quot;xxxxxxxx_xx_xx&quot;, &quot;xxxxxxxxxx_xxxxxxxxxxxxxxxxxxxxx&quot;.=
&quot;xxxxxxxx_xx&quot;, &quot;xxxxxxxxxx_xxxxxxxxxxxxxxxxx&quot;.&quot;xx&=
quot;, &quot;xxxxxxxxxx_xxxxxxxxxxxxxxxxx&quot;.&quot;xxxxxxx_xx&quot;, &qu=
ot;xxxxxxxxxx_xxxxxxxxxxxxxxxxx&quot;.&quot;xxxxxxx_xx&quot;, &quot;xxxxxxx=
xxx_xxxxxxxxxxxxxxxxx&quot;.&quot;xxxxx_xxxx&quot;, &quot;xxxxxxxxxx_xxxxxx=
xxxxxxxxxxx&quot;.&quot;xxxx_xxxx&quot;, &quot;xxxxxxxxxx_xxxxxxxxxxxxxxxxx=
&quot;.&quot;xxxxx_xxxxxx&quot;, &quot;xxxxxxxxxx_xxxxxxxxxxxxxxxxx&quot;.&=
quot;xxx_xxxxxx&quot;, &quot;xxxxxxxxxx_xxxxxxxxxxxxxxxxx&quot;.&quot;xxxxx=
xx_xxxx&quot;, &quot;xxxxxxxxxx_xxxxxxxxxxxxxxxxx&quot;.&quot;xxxxxxxxxxx_x=
xxx&quot;, &quot;xxxxxxxxxx_xxxxxxxxxxxxxxxxx&quot;.&quot;xxxxxxxxxxx_xx&qu=
ot;, &quot;xxxxxxxxxx_xxxxxxxxxxxxxxxxx&quot;.&quot;xxxxx&quot;, &quot;xxxx=
xxxxxx_xxxxxxxxxxxxxxxxx&quot;.&quot;xxx&quot;, &quot;xxxxxxxxxx_xxxxxxxxxx=
xxxxxxx&quot;.&quot;xxxxxx&quot;, &quot;xxxxxxxxxx_xxxxxxxxxxxxxxxxx&quot;.=
&quot;xxxxxxx_xxxx1&quot;, &quot;xxxxxxxxxx_xxxxxxxxxxxxxxxxx&quot;.&quot;x=
xxxxxx_xxxx2&quot;, &quot;xxxxxxxxxx_xxxxxxxxxxxxxxxxx&quot;.&quot;xxxxxxx_=
xxxx&quot;, &quot;xxxxxxxxxx_xxxxxxxxxxxxxxxxx&quot;.&quot;xxxxxxx_xxxxx&qu=
ot;, &quot;xxxxxxxxxx_xxxxxxxxxxxxxxxxx&quot;.&quot;xxxxxxx_xxxxxxx&quot;, =
&quot;xxxxxxxxxx_xxxxxxxxxxxxxxxxx&quot;.&quot;xxxxxxx_xxxxxx_xxxx&quot;, &=
quot;xxxxxxxxxx_xxxxxxxxxxxxxxxxx&quot;.&quot;xxxxx&quot;, T11.&quot;xx&quo=
t;, T11.&quot;xxxxxxxx&quot;, T11.&quot;xxxx_xxxxx&quot;, T11.&quot;xx_xxxx=
xxxxx&quot;, T11.&quot;xxxxx&quot;, T11.&quot;xxxxxxxxxxx_xxxxxxx_xxxxx&quo=
t;, T11.&quot;xxxxxxx_xx&quot;, T11.&quot;xxxxx_xxxx&quot;, T11.&quot;xxxx_=
xxxx&quot;, T11.&quot;xxxxxxxx&quot;, T11.&quot;xxxxxx&quot;, T11.&quot;xxx=
xx_xxxxxx&quot;, T11.&quot;xxxxxxx_xxxxxxx_xx&quot;, T11.&quot;xxxxxxx_xxxx=
xxxx_xxxxxxx_xx&quot;, T11.&quot;xxxxxxx_xx_xxxxx&quot;, T11.&quot;xxx_xxx_=
xxx_xxxxxxxx&quot;, T11.&quot;xx_xxxxx&quot;, T11.&quot;xxxxx_xxxxx_xxxxx_x=
xxxxxx&quot;, T11.&quot;xx_xxxxxx&quot;, T11.&quot;xx_xxxxx&quot;, T11.&quo=
t;xxxxxxx_xx&quot;, T11.&quot;xxxxxxx_xx&quot;, T11.&quot;xxxxxxx_xx&quot;,=
 T11.&quot;xxxx_xxxxx_xxxxxxx&quot;, T11.&quot;xxxxxxxxxxx_xxxxxx_xxxxxx&qu=
ot;, T12.&quot;xx&quot;, T12.&quot;xxxxxxx_xx&quot;, T12.&quot;xxxxxxx_xx&q=
uot;, T12.&quot;xxx&quot;, T12.&quot;xxxxx_xxxx&quot;, T12.&quot;xxxx_xxxx&=
quot;, T12.&quot;xxxxx&quot;, T12.&quot;xxxxx_xxxxxx&quot;, T12.&quot;xxx_x=
xxxxx&quot;, T12.&quot;xxxxxxx_xxxx&quot;, T12.&quot;xxxxxxxxxxx_xxxx&quot;=
, T12.&quot;xxxx&quot;, T12.&quot;xxxxx&quot;, T12.&quot;xxxxxxx_xxxx1&quot=
;, T12.&quot;xxxxxxx&quot;, T12.&quot;xxxxxxx_xxxxxxx_xxxxxxx_xxx&quot;, T1=
2.&quot;xxxx_xx&quot;, T12.&quot;xxxxxxxxxxxx_xx&quot;, &quot;xxxxxxxx_xxxx=
xxxxxx_xxxxxxxxxxxxxxxx&quot;.&quot;xx&quot;, &quot;xxxxxxxx_xxxxxxxxxx_xxx=
xxxxxxxxxxxxx&quot;.&quot;xxxxxxx_xx&quot;, &quot;xxxxxxxx_xxxxxxxxxx_xxxxx=
xxxxxxxxxxx&quot;.&quot;xxxxxxx_xx&quot;, &quot;xxxxxxxx_xxxxxxxxxx_xxxxxxx=
xxxxxxxxx&quot;.&quot;xxxxxxxx_xxxxxxx_xx&quot;, &quot;xxxxxxxx_xxxxxxxxxx_=
xxxxxxxxxxxxxxxx&quot;.&quot;xxxxxxx_xxxxxxx_xxxxxxxxxx_xx_xxxxxxxx&quot;, =
&quot;xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx&quot;.&quot;xxxxxxx_xxxxxxx_xxxx=
x_xx_xxxx&quot;, &quot;xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx&quot;.&quot;xxx=
xxxx_xxxx_xx&quot;, &quot;xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx&quot;.&quot;=
xxxxxxx_xxxx_xxxxxxxxx&quot;, &quot;xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx&qu=
ot;.&quot;xxxxxx_xxxxxxxxxxx&quot;, &quot;xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxx=
xxx&quot;.&quot;xxxxxxx_xxxxxxx&quot;, &quot;xxxxxxxx_xxxxxxxxxx_xxxxxxxxxx=
xxxxxx&quot;.&quot;xxxxx_xxxx&quot;, &quot;xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxx=
xxxx&quot;.&quot;xxxxxxxx_xxxxx_xxxx&quot;, &quot;xxxxxxxx_xxxxxxxxxx_xxxxx=
xxxxxxxxxxx&quot;.&quot;xxxx_xxxxxxxxxx_xxxx&quot;, &quot;xxxxxxxx_xxxxxxxx=
xx_xxxxxxxxxxxxxxxx&quot;.&quot;xxxx_xxx_xxxxxxx&quot;, &quot;xxxxxxxx_xxxx=
xxxxxx_xxxxxxxxxxxxxxxx&quot;.&quot;xxxxxxx_xxxxxxx_xxxxxxx_xxx&quot;, &quo=
t;xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx&quot;.&quot;xx_xxxxxxxx_xxxxxxxx&quo=
t;, &quot;xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx&quot;.&quot;xxxx_xxxxx_xxxxx=
x&quot;, &quot;xxxxxxxx_xxxxxxxxxx_xxxxxxxxxxxxxxxx&quot;.&quot;xxxxxxxxxxx=
_xxxx&quot;, &quot;xxx_xxxxxx_xxxxxxxxxxxxxxx&quot;.&quot;xx&quot;, &quot;x=
xx_xxxxxx_xxxxxxxxxxxxxxx&quot;.&quot;xxxxxxx_xx&quot;, &quot;xxx_xxxxxx_xx=
xxxxxxxxxxxxx&quot;.&quot;xxxxxxx_xx&quot;, &quot;xxx_xxxxxx_xxxxxxxxxxxxxx=
x&quot;.&quot;xxxx&quot;, &quot;xxx_xxxxxx_xxxxxxxxxxxxxxx&quot;.&quot;xxxx=
x_xxxxx&quot;, &quot;xxx_xxxxxx_xxxxxxxxxxxxxxx&quot;.&quot;xxxxxxx_xxxxxxx=
x&quot;, &quot;xxx_xxxxxx_xxxxxxxxxxxxxxx&quot;.&quot;xxxxxxxxxx_xxxx&quot;=
, &quot;xxx_xxxxxx_xxxxxxxxxxxxxxx&quot;.&quot;xxxxxxx&quot;, &quot;xxx_xxx=
xxx_xxxxxxxxxxxxxxx&quot;.&quot;xxx_xxxxxxxxxxx&quot;, &quot;xxx_xxxxxx_xxx=
xxxxxxxxxxxx&quot;.&quot;xxxxxxxx_xx&quot;, &quot;xxx_xxxxxx_xxxxxxxxxxxxxx=
x&quot;.&quot;xx_xxxxxxx&quot;, &quot;xxx_xxxxxx_xxxxxxxxxxxxxxx&quot;.&quo=
t;xxxxxxx&quot;, &quot;xxxxxxxx_xxxxxxxx&quot;.&quot;xx&quot;, &quot;xxxxxx=
xx_xxxxxxxx&quot;.&quot;xxxxxxx_xx&quot;, &quot;xxxxxxxx_xxxxxxxx&quot;.&qu=
ot;xxxxxxx_xx&quot;, &quot;xxxxxxxx_xxxxxxxx&quot;.&quot;xxxxxxxx_xxxxxx&qu=
ot;, &quot;xxxxxxxx_xxxxxxxx&quot;.&quot;xxxx_xx&quot;, &quot;xxxxxxxx_xxxx=
xxxx&quot;.&quot;xxxxxxx_xx&quot;, &quot;xxxxxxxx_xxxxxxxx&quot;.&quot;xxxx=
xxxx_xxxx_xxxxx&quot;, &quot;xxxxxxxx_xxxxxxxx&quot;.&quot;xxxxxxxx_xxxxxxx=
_xx&quot;, &quot;xxxxxxxx_xxxxxxxx&quot;.&quot;xxxxxxxx_xxxxx_xxxxx&quot;, =
&quot;xxxxxxxx_xxxxxxxx&quot;.&quot;xxxx_xx&quot;, &quot;xxxxxxxx_xxxxxxxx&=
quot;.&quot;xxxxxxxxx_xxxxx_xx&quot;, &quot;xxxxxxxx_xxxxxxxx&quot;.&quot;x=
x_xxxx_xx&quot;, &quot;xxxxxxxx_xxxxxxxx&quot;.&quot;xxx_xxx_xxxx&quot;; xx=
xx=3D(&#39;xxxxxxxxx&#39;, datetime.datetime(2015, 4, 20, 0, 0, tzinfo=3D&l=
t;DstTzInfo &#39;America/Los_Angeles&#39; PDT-1 day, 17:00:00 DST&gt;), &#3=
9;ff&#39;, &#39;qa&#39;)<br><br><br>=3D=3D=3D<br><br><br><br>In GNU Emacs 2=
5.1.1 (x86_64-apple-darwin15.6.0, NS appkit-1404.47 Version 10.11.6 (Build =
15G1004))<br>=C2=A0of 2016-09-17 built on hell.PK5001Z<br>Windowing system =
distributor &#39;Apple&#39;, version 10.3.1404<br>Configured using:<br>=C2=
=A0&#39;configure --disable-dependency-tracking --disable-silent-rules<br>=
=C2=A0--enable-locallisppath=3D/usr/local/share/emacs/site-lisp<br>=C2=A0--=
infodir=3D/usr/local/Cellar/emacs/25.1/share/info/emacs<br>=C2=A0--prefix=
=3D/usr/local/Cellar/emacs/25.1 --without-x --with-xml2<br>=C2=A0--without-=
dbus --without-gnutls --with-rsvg --with-ns<br>=C2=A0--disable-ns-self-cont=
ained&#39;<br><br>Configured features:<br>JPEG RSVG NOTIFY ACL LIBXML2 ZLIB=
 TOOLKIT_SCROLL_BARS NS<br><br>Important settings:<br>=C2=A0 value of $LANG=
: en_US.UTF-8<br>=C2=A0 locale-coding-system: utf-8-unix<br><br>Major mode:=
 JavaScript<br><br>Minor modes in effect:<br>=C2=A0 helm-mode: t<br>=C2=A0 =
diff-auto-refine-mode: t<br>=C2=A0 rainbow-identifiers-mode: t<br>=C2=A0 ra=
inbow-delimiters-mode: t<br>=C2=A0 async-bytecomp-package-mode: t<br>=C2=A0=
 global-auto-revert-mode: t<br>=C2=A0 desktop-save-mode: t<br>=C2=A0 savehi=
st-mode: t<br>=C2=A0 show-paren-mode: t<br>=C2=A0 delete-selection-mode: t<=
br>=C2=A0 recentf-mode: t<br>=C2=A0 global-subword-mode: t<br>=C2=A0 subwor=
d-mode: t<br>=C2=A0 shell-dirtrack-mode: t<br>=C2=A0 global-eldoc-mode: t<b=
r>=C2=A0 mouse-wheel-mode: t<br>=C2=A0 file-name-shadow-mode: t<br>=C2=A0 g=
lobal-font-lock-mode: t<br>=C2=A0 font-lock-mode: t<br>=C2=A0 auto-composit=
ion-mode: t<br>=C2=A0 auto-encryption-mode: t<br>=C2=A0 auto-compression-mo=
de: t<br>=C2=A0 column-number-mode: t<br>=C2=A0 line-number-mode: t<br>=C2=
=A0 transient-mark-mode: t<br><br>Recent messages:<br>Saving file /Users/ry=
an/.emacs.d/recentf...<br>Wrote /Users/ryan/.emacs.d/recentf<br>Desktop sav=
ed in ~/.emacs.d/<br>Saving file /Users/ryan/.emacs.d/recentf...<br>Wrote /=
Users/ryan/.emacs.d/recentf<br>Reverting buffer =E2=80=98recentf=E2=80=99.<=
br>next-line: End of buffer [2 times]<br>Mark set [5 times]<br>Saving file =
/tmp/*scratch*...<br>Wrote /tmp/*scratch*<br><br>Load-path shadows:<br>/Use=
rs/ryan/.emacs.d/elpa/seq-2.19/seq hides /usr/local/Cellar/emacs/25.1/share=
/emacs/25.1/lisp/emacs-lisp/seq<br><br>Features:<br>(shadow sort mail-extr =
emacsbug sendmail ibuf-ext man vc-annotate<br>log-view pcmpl-unix vc-bzr vc=
-src vc-sccs vc-cvs vc-rcs dabbrev<br>image-file dirtrack emacs-lock manoj-=
dark-theme ibuffer eieio-opt<br>find-func cus-edit rst fillcode cc-bytecomp=
 make-mode filecache<br>tramp-cache conf-mode helm-command vc-svn helm-elis=
p helm-eval edebug<br>sql view json-mode json-reformat json-snatcher misear=
ch multi-isearch<br>ido ess-toolbar ess-mouse mouseme ess-menu ess-swv ess-=
noweb<br>ess-noweb-font-lock-mode ess-bugs-l essd-els ess-sas-d ess-sas-l<b=
r>ess-sas-a ess-sta-d ess-sta-l make-regexp ess-sp6-d ess-dde ess-sp3-d<br>=
ess-julia julia-mode ess-r-d ess-r-syntax ess-r-completion ess-roxy<br>essd=
dr hideshow ess-help ess-r-package ess-s-l ess-site ess ess-inf<br>ess-trac=
ebug ess-mode ess-noweb-mode ess-utils ess-generics cl<br>ess-custom ess-co=
mpat nxml-uchnm rng-xsd xsd-regexp rng-cmpct rng-nxml<br>rng-valid rng-loc =
rng-uri rng-parse nxml-parse rng-match rng-dt rng-util<br>rng-pttrn nxml-ns=
 nxml-mode nxml-outln nxml-rap nxml-util nxml-glyph<br>nxml-enc xmltok php-=
mode derived speedbar sb-image ezimage dframe<br>flymake cc-langs smerge-mo=
de vc-dir ewoc vc vc-dispatcher winner<br>yaml-mode jka-compr helm-mode vc-=
git diff-mode rainbow-identifiers color<br>rainbow-delimiters helm-misc hel=
m-files image-dired dired-x dired-aux<br>helm-buffers helm-elscreen helm-ta=
gs helm-bookmark helm-adaptive<br>helm-info bookmark pp helm-locate helm-gr=
ep helm-regexp helm-external<br>helm-net browse-url xml helm-utils helm-hel=
p helm-types helm-config<br>helm-easymenu async-bytecomp async helm edmacro=
 kmacro helm-source<br>helm-multi-match helm-lib midnight autorevert fileno=
tify desktop<br>frameset savehist paren redo+ delsel warnings grep cus-star=
t cus-load<br>git-link dash-at-point recentf tree-widget wid-edit cap-words=
 superword<br>subword jade-mode js imenu cc-mode cc-fonts cc-guess cc-menus=
 cc-cmds<br>cc-styles cc-align cc-engine cc-vars cc-defs python tramp-sh tr=
amp<br>tramp-compat tramp-loaddefs trampver shell pcomplete sh-script<br>ex=
ecutable sgml-mode go-mode url url-proxy url-privacy url-expand<br>url-meth=
ods url-history url-cookie url-domsuf url-util mailcap find-file<br>ffap et=
ags xref project compile comint ansi-color css-mode smie<br>markdown-mode t=
hingatpt noutline outline log-edit easy-mmode message<br>dired format-spec =
rfc822 mml mml-sec epg mm-decode mm-bodies mm-encode<br>mail-parse rfc2231 =
rfc2047 rfc2045 ietf-drums mailabbrev mail-utils<br>gmm-utils mailheader ri=
ng pcvs-util add-log finder-inf gh-common<br>gh-profile url-parse auth-sour=
ce gnus-util mm-util help-fns mail-prsvr<br>password-cache url-vars rx s ma=
rshal cl-seq eieio-compat ht json map<br>dash eieio eieio-core cl-macs info=
 package epg-config seq byte-opt gv<br>bytecomp byte-compile cl-extra help-=
mode easymenu cconv cl-loaddefs<br>cl-lib subr-x pcase advice server time-d=
ate mule-util tooltip eldoc<br>electric uniquify ediff-hook vc-hooks lisp-f=
loat-type mwheel ns-win<br>ucs-normalize term/common-win tool-bar dnd fonts=
et image regexp-opt<br>fringe tabulated-list newcomment elisp-mode lisp-mod=
e prog-mode register<br>page menu-bar rfn-eshadow timer select scroll-bar m=
ouse jit-lock<br>font-lock syntax facemenu font-core frame cl-generic cham =
georgian<br>utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korea=
n<br>japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european<=
br>ethiopic indian cyrillic chinese charscript case-table epa-hook<br>jka-c=
mpr-hook help simple abbrev minibuffer cl-preloaded nadvice<br>loaddefs but=
ton faces cus-face macroexp files text-properties overlay<br>sha1 md5 base6=
4 format env code-pages mule custom widget<br>hashtable-print-readable back=
quote kqueue cocoa ns multi-tty<br>make-network-process emacs)<br><br>Memor=
y information:<br>((conses 16 5126063 736652)<br>=C2=A0(symbols 48 53998 0)=
<br>=C2=A0(miscs 40 3720 24660)<br>=C2=A0(strings 32 157538 77287)<br>=C2=
=A0(string-bytes 1 5024002)<br>=C2=A0(vectors 16 90573)<br>=C2=A0(vector-sl=
ots 8 2240527 189813)<br>=C2=A0(floats 8 946 1835)<br>=C2=A0(intervals 56 1=
059644 6492)<br>=C2=A0(buffers 976 638))<br><br clear=3D"all"><br>-- <br><d=
iv class=3D"gmail_signature"><a href=3D"https://snarfed.org/" target=3D"_bl=
ank">https://snarfed.org/</a></div>

</div>

--001a1141ddd27d3f5e054833dc12--




Acknowledgement sent to Ryan B <public@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#25682; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.